com.gemstone.gbj

## Class GbjGemStoneErrors

- java.lang.Object
- - com.gemstone.gbj.GbjGemStoneErrors

-     public class GbjGemStoneErrors
      extends java.lang.Object

  This class provides variables for all of the error numbers associated with GbjExceptions that have category GemStoneError.
  Version:
    3.1
  See Also:
    `GbjException.kernel`, `GbjSession.kernel`, `GbjKernelObjects.GemStoneError`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABORT_ERR_FINISHED_MARK` Completed execution of the markForCollection method.
    `static int` | `ABORT_ERR_FINISHED_OBJ_AUDIT` Object audit completed.
    `static int` | `ABORT_ERR_FINISHED_OBJ_AUDIT_WITH_ERRORS` Object audit completed, but contained errors.
    `static int` | `ABORT_ERR_GARBAGE_COLLECTION` The garbage collection process detected conflict on one of the objects that it might have collected.
    `static int` | `ABORT_ERR_LOST_OT_ROOT` This error indicates that while running outside of a transaction stone requested the gem process to abort but the gem did not respond in the allocated time, so stone revoked access to the object table.
    `static int` | `ABORT_ERR_RECLAIM_ALL_FAILURE` A reclaimAll operation has failed.
    `static int` | `ABORT_ERR_UNDEF_POM_OBJ` References to objects exist in Pom even though the objects have not been defined in Pom.
    `static int` | `ASSOC_ERR_BAD_COMPARISON` The evaluation of a selection block resulted in an illegal comparison being performed.
    `static int` | `ASSOC_ERR_BAD_DIRECTION` A sorting direction was specified that was not ASCENDING or DESCENDING.
    `static int` | `ASSOC_ERR_CLASS_MODIFIABLE` An attempt was made to create an index where the class of one of the terms in the path is a class that is still modifiable.
    `static int` | `ASSOC_ERR_NO_ELEMENTS_DETECTED` detect: was sent to a collection, but no elements of the collection satisfied the block.
    `static int` | `ASSOC_ERR_PATH_TOO_LONG` A path was specified with more than 1024 characters.
    `static int` | `ASSOC_ERR_SORT_ODD_LENGTH_ARRAY` A sorting array was specified that was not an even number of elements long.
    `static int` | `AUTH_ERR_PROCESS_SWITCH` Error in process switch.
    `static int` | `AUTH_ERR_SEG_CURRENT_SEG` No authorization to write in your current segment; resetting the current segment to your default login segment.
    `static int` | `AUTH_ERR_SEG_LOGIN_SEG` No authorization to write in your default login segment.
    `static int` | `AUTH_ERR_SEG_READ` An attempt was made to read an object with insufficient authorization.
    `static int` | `AUTH_ERR_SEG_READ_SEG` An attempt was made to read from a segment with insufficient authorization.
    `static int` | `AUTH_ERR_SEG_SET_CURRENT_SEG` No authorization to set the current segment to the given segment.
    `static int` | `AUTH_ERR_SEG_WRITE` An attempt was made to modify an object with insufficient authorization.
    `static int` | `AUTH_ERR_SEG_WRITE_SEG` An attempt was made to write to a segment with insufficient authorization.
    `static int` | `BKUP_ERR_BACKUP_NOT_COMPLETE` The backup was successful, but was not completed due to a byte limit restriction.
    `static int` | `BKUP_ERR_IN_PROGRESS` An attempt was made to do a full backup but a backup is currently in progress by another session.
    `static int` | `BKUP_ERR_LOGINS_ENABLED` A restore operation requires that logins be disabled.
    `static int` | `BKUP_ERR_MBYTE_LIMIT_BAD_RANGE` The byte limit may be zero (0), or must be within the range of 1 Mbytes to 4,194 Mbytes.
    `static int` | `BKUP_ERR_NO_SPC` Backup/restore disallowed with no shared page cache.
    `static int` | `BKUP_ERR_NO_START` GS/64 only: Backup failed.
    `static int` | `BKUP_ERR_NO_START_32` GS/32 only: Backup failed.
    `static int` | `BKUP_ERR_NOT_IN_PROGRESS` An attempt to continue a full backup when no backup is in progress.
    `static int` | `BKUP_ERR_OPEN_FAILED` An attempt to open a file failed.
    `static int` | `BKUP_ERR_READ_FAILED` An attempt to read from a file failed.
    `static int` | `BKUP_ERR_RESTORE_COMMIT_FAILED` Commit failed after restore, restore is unusable.
    `static int` | `BKUP_ERR_RESTORE_LOG_FAIL` A restore from a transaction log failed.
    `static int` | `BKUP_ERR_RESTORE_LOG_SUCCESS` A restore from a transaction log succeeded.
    `static int` | `BKUP_ERR_RESTORE_SUCCESSFUL` The restore of a full backup file was successful.
    `static int` | `BKUP_ERR_WRITE_FAILED` An attempt to write to a file failed.
    `static int` | `CLAMP_ERR_BAD_ARG` An argument to a clamp specification method had a bad size or implementation.
    `static int` | `CLAMP_ERR_NO_SUCH_INSTVAR` During clamp compilation, an instance variable clamp was encountered for a non-existent instance variable.
    `static int` | `CLAMP_ERR_NOT_A_CLAMPSPEC` In an attempt to perform clamped object traversal, a ClampSpecification object was expected, but the specified object was of the wrong class.
    `static int` | `CLAMP_ERR_NOT_A_CLASS` An object was specified for class or instance variable clamping that was not a class object.
    `static int` | `CLASS_ERR_BAD_CONSTRAINT` The constraint field was invalid in subclass creation.
    `static int` | `CLASS_ERR_BAD_FORMAT` A class creation was attempted with an illegal representation.
    `static int` | `CLASS_ERR_BAD_IDENTIFIER` An illegal identifier was used to name an instance variable or class.
    `static int` | `CLASS_ERR_BYTE_OBJ_INST_VARS` An attempt was made to create a byte subclass with instance variables.
    `static int` | `CLASS_ERR_BYTE_SUBCLASS` You may not create a byte subclass of the given class.
    `static int` | `CLASS_ERR_CLASS_VAR_NAME_EXISTS` An attempt was made to create a new class variable with the same name as an existing class variable.
    `static int` | `CLASS_ERR_CLASS_VAR_NOT_FOUND` An attempt was made to remove a class variable that did not exist.
    `static int` | `CLASS_ERR_CONSTR_INHER` The specified constraint is not a subclass of an inherited constraint for an inherited instance variable or indexable part.
    `static int` | `CLASS_ERR_CONSTR_PRIVATE_IV` Illegal attempt to constrain a private instance variable.
    `static int` | `CLASS_ERR_CONSTRAINT_NOT_CLASS` A constraint was specified incorrectly for subclass creation.
    `static int` | `CLASS_ERR_DUP_VAR_CONSTR` During subclass creation, more than one constraint was specified for the indexable part of a pointer object.
    `static int` | `CLASS_ERR_INVARIANT_SUPERCLASS` An attempt was made to create a variant subclass of an invariant class.
    `static int` | `CLASS_ERR_MAX_INST_VARS` Attempt to create a subclass while specifying more than 255 instance variables.
    `static int` | `CLASS_ERR_METH_CAT_EXISTS` An attempt was made to create a method category that already exists.
    `static int` | `CLASS_ERR_METH_CAT_NOT_FOUND` In searching a class, the specified category name was not found.
    `static int` | `CLASS_ERR_METH_DICT_LIMIT` A Class has more than 1500 methods in its method dictionary.
    `static int` | `CLASS_ERR_NOT_A_VAR` A symbol was not resolvable as a variable within a class (i.e., an instance variable, class variable, or pool variable).
    `static int` | `CLASS_ERR_NSC_INST_VARS` An attempt was made to create an Nsc subclass with instance variables.
    `static int` | `CLASS_ERR_NSC_NOT_INDEXABLE` An attempt was made to create an indexable subclass of an Nsc class.
    `static int` | `CLASS_ERR_POOL_DICT_EXISTS` An attempt was made to add a dictionary to a shared pool in which it was already a member.
    `static int` | `CLASS_ERR_POOL_DICT_NOT_FOUND` An attempt was made to remove a dictionary from a shared pool in which it was not a member.
    `static int` | `CLASS_ERR_REMOVE_INHER_IV` An attempt was made to remove an instance variable from a class, but the specified instance variable is inherited from a superclass.
    `static int` | `CLASS_ERR_SELECTOR_LOOKUP` A message sent to an object was not found in the proper class.
    `static int` | `CLASS_ERR_SELECTOR_NOT_FOUND` A reference was made to a selector that could not be found in a class's method dictionary.
    `static int` | `CLASS_ERR_SUBCLASS_DISALLOWED` Cannot create a subclass of the given class.
    `static int` | `COMPILER_ERR_STDB` compilation errors found.
    `static int` | `CONCUR_ERR_INVALID_MODE` An attempt was made to change to an invalid concurrency control mode.
    `static int` | `ERR_AbstractException`
    `static int` | `ERR_Admonition`
    `static int` | `ERR_AlmostOutOfMemory`
    `static int` | `ERR_AlmostOutOfStack`
    `static int` | `ERR_ArgumentError`
    `static int` | `ERR_ArgumentTypeError`
    `static int` | `ERR_Break`
    `static int` | `ERR_Breakpoint`
    `static int` | `ERR_CannotReturn`
    `static int` | `ERR_CANT_OPEN_TRAN_LOG` Unable to open the next transaction log for writing.
    `static int` | `ERR_ClientForwarderSend`
    `static int` | `ERR_COMMIT_WHILE_BACKUP_IN_PROGRESS` A commit or abort was attempted while a multi-file full backup is in progress.
    `static int` | `ERR_CompileError`
    `static int` | `ERR_ControlInterrupt`
    `static int` | `ERR_CORRUPT_OBJ_SIZE` The size of an object (usually a reserved object) in the database is not the size expected by the virtual machine.
    `static int` | `ERR_Deprecated`
    `static int` | `ERR_DURING_LOST_OT_SERVICE` An error occurred during servicing of error 3031.
    `static int` | `ERR_DURING_MT_OPERATION` An error occurred during a multi-threaded operation.
    `static int` | `ERR_EndOfStream`
    `static int` | `ERR_Error`
    `static int` | `ERR_Exception`
    `static int` | `ERR_ExternalError`
    `static int` | `ERR_FloatingPointError`
    `static int` | `ERR_FloatingPointException`
    `static int` | `ERR_GciTransportError`
    `static int` | `ERR_Halt`
    `static int` | `ERR_ImproperOperation`
    `static int` | `ERR_IndexingErrorPreventingCommit`
    `static int` | `ERR_InternalError`
    `static int` | `ERR_InterSessionSignal`
    `static int` | `ERR_IOError`
    `static int` | `ERR_LGC_NET_SHUTDOWN` connection to remote GCI client lost.
    `static int` | `ERR_LockError`
    `static int` | `ERR_LOG_IO_FAILURE` Gem commit failed due to a Transaction Log I/O Error.
    `static int` | `ERR_LookupError`
    `static int` | `ERR_MEMORY_REGION_FULL` a Memory region managed by the VM is full.
    `static int` | `ERR_MessageNotUnderstood`
    `static int` | `ERR_NameError`
    `static int` | `ERR_NO_BACKUP_IN_PROGRESS` a backup or restore continuation was attempted without having executed restoreFrom: or fullBackupTo:MBytes:.
    `static int` | `ERR_Notification`
    `static int` | `ERR_NumericError`
    `static int` | `ERR_ObjectsCommittedNotification`
    `static int` | `ERR_OffsetError`
    `static int` | `ERR_OutOfRange`
    `static int` | `ERR_PRIM_FAILED` The primitive failed for the specified selector.
    `static int` | `ERR_PRIM_NOT_SUPPORTED` The primitive is not supported in this executable.
    `static int` | `ERR_RangeError`
    `static int` | `ERR_RegexpError`
    `static int` | `ERR_RepositoryError`
    `static int` | `ERR_RepositoryViewLost`
    `static int` | `ERR_RUBY_BAD_INSTVAR_NAME` Error in Ruby instvar name.
    `static int` | `ERR_RUBY_PRINTF_ERROR` Error in Ruby printf.
    `static int` | `ERR_RUBY_SystemExitError`
    `static int` | `ERR_RubyBreakException`
    `static int` | `ERR_RubyThrowException`
    `static int` | `ERR_SecurityError`
    `static int` | `ERR_SESSION_BLOCKED_ON_OUTPUT` An attempt was made to send a signal to a session, but the output buffer from stone to the target session is full.
    `static int` | `ERR_SignalBufferFull`
    `static int` | `ERR_SocketError`
    `static int` | `ERR_SystemCallError`
    `static int` | `ERR_TerminateProcess`
    `static int` | `ERR_TestFailure`
    `static int` | `ERR_ThreadError`
    `static int` | `ERR_TransactionBacklog`
    `static int` | `ERR_TransactionError`
    `static int` | `ERR_UncontinuableError`
    `static int` | `ERR_UNCONVERTED_OBJECT` The contents of the object have not been converted from a prior version of GemStone; the object is not compatible with this executable.
    `static int` | `ERR_USER_PROFILE_LOST` The user profile object for this session has been garbage collected as a result of a restore operation, or by a commit from another session.
    `static int` | `ERR_UserDefinedError`
    `static int` | `ERR_Warning`
    `static int` | `ERR_ZeroDivide`
    `static int` | `FATAL_ERR_INTERNAL` SYSTEM ERROR: A system fatal error was detected.
    `static int` | `GCI_ERR_ACTION_DEFINED` This user action is already defined for this application.
    `static int` | `GCI_ERR_ACTION_DEFINED_FATAL` This user action is already defined for this application.
    `static int` | `GCI_ERR_ACTIVE_SESSIONS` You attempted to install a user action, and there are GemStone sessions already active.
    `static int` | `GCI_ERR_ALREADY_LOGGED_IN` An attempt was made to log in after the session was already established.
    `static int` | `GCI_ERR_ARG_NOT_PAIRS` The argument to remotePerform: should be a list of pairs of object/bools, of maximum size 20.
    `static int` | `GCI_ERR_BAD_NUM_ACTION_ARGS` You invoked a method or user action with the wrong number of arguments.
    `static int` | `GCI_ERR_BAD_NUM_LCL_ACTION_ARGS` You invoked a local user action with the wrong number of arguments.
    `static int` | `GCI_ERR_BAD_NUM_MSG_PARTS` GciSendMsg was called with an inconsistent number of message parts.
    `static int` | `GCI_ERR_BAD_SESSION_ID` The GCI was called with a SessionId that is not a legal VCID.
    `static int` | `GCI_ERR_BREAK_CANCELED_MSG` Given command was not processed due to a hard break.
    `static int` | `GCI_ERR_CALL_NOT_SUPPORTED` The GCI call is not supported when invoked from a client user action.
    `static int` | `GCI_ERR_CATCH_BUFF_LIMIT` The catch buffer level must be in the range 0 to 20.
    `static int` | `GCI_ERR_CATCH_BUFF_NOT_FOUND` A non-existent catch buffer was specified.
    `static int` | `GCI_ERR_EXEC_CLIENT_USERACT` Invoke the client useraction with arguments: (1) the action name; (2) reserved for internal use; (3-10) the arguments to the action routine.
    `static int` | `GCI_ERR_FATAL_INTERNAL_RPC` An internal logic error was detected in the implementation of an RPC GCI call.
    `static int` | `GCI_ERR_FETCH_PATH_FAIL` A path in GciFetchPaths failed due to another GemStone error.
    `static int` | `GCI_ERR_MAX_ACTION_ARGS` You are requesting too many arguments for a user action.
    `static int` | `GCI_ERR_NO_START_CMD` A request was made to complete a non-blocking GCI call when no such call was initiated.
    `static int` | `GCI_ERR_NO_USER_ACTION` Attempt to call a user action that is not registered with the gem.
    `static int` | `GCI_ERR_OP_IN_PROGRESS` A GCI operation was attempted before a previous nonblocking operation was completed.
    `static int` | `GCI_ERR_PARENT_SESSION` The attempted GCI operation is illegal in a user action when applied to a session inherited from a parent GemStone Smalltalk or GCI scope.
    `static int` | `GCI_ERR_RESULT_PATH_TOO_LARGE` In GciStrToPath, GciPathToStr, the result was larger than the C array specified to hold the result.
    `static int` | `GCI_ERR_SYMBOL_FWD_REF` User attempted to create a forward reference to a Symbol or define (fill in the state of) a forward reference as a Symbol Args: (1) oop specified for the forward reference.
    `static int` | `GCI_ERR_TRAV_BUFF_TOO_SMALL` The given traversal buffer length must be of sufficient size to report at least one object.
    `static int` | `GCI_ERR_TRAV_COMPLETED` There exists no valid traversal because there was no prior invocation of gciTraverseObjects or there has been a modification to the database.
    `static int` | `GCI_ERR_TRAV_OBJ_NOT_FOUND` The given object was not found within the given traversal buffer.
    `static int` | `GCI_ERR_UNEXPECTED_LNK_ERR` An active linkable GCI session received an unexpected error during processing a GCI call to another RPC session.
    `static int` | `GCI_ERR_USER_ACTION_PENDING` You attempted a GCI operation that is not legal during the implementation of a user action.
    `static int` | `GS_ERR_ACTIVE_USER_LIMIT` Too many sessions already logged in with given userId.
    `static int` | `GS_ERR_BAD_GEM_DBF_VERSION` The Gem and dbf versions are incompatible.
    `static int` | `GS_ERR_BAD_GEM_STONE_VERSION` The Gem and Stone versions are incompatible.
    `static int` | `GS_ERR_BAD_ROOT_PAGE` The root page of the repository is bad.
    `static int` | `GS_ERR_COPY_PROTECTION` Copy protection check failed.
    `static int` | `GS_ERR_DISCONNECT_IN_LOGIN` Stone disconnected during an attempt to login, probably because logins are disabled or max users are already logged in.
    `static int` | `GS_ERR_GCI_SESSIONS_LIMIT` Login failed because the session limit of the GCI has been reached.
    `static int` | `GS_ERR_GEM_FATAL_SHUTDOWN` Gem did not shut down normally.
    `static int` | `GS_ERR_GEM_NORMAL_SHUTDOWN` Gem is shutting down normally Args: none.
    `static int` | `GS_ERR_GEM_STONE_NET_PROTOCOL` A protocol error occurred on the Gem-Stone network connection.
    `static int` | `GS_ERR_LOGIN_DENIAL` The login failed because of an invalid userId/password combination, or an expired password.
    `static int` | `GS_ERR_LOGINS_DISABLED` The login failed because all logins are currently disabled.
    `static int` | `GS_ERR_MAX_REMOTE_CACHE_LIMIT` Login attempt failed - the maximum number of remote caches already exist.
    `static int` | `GS_ERR_MAX_SESSIONS_LIMIT` Login failed because the system was full.
    `static int` | `GS_ERR_NO_CAPABILITY` You attempted to use a feature not licensed to you.
    `static int` | `GS_ERR_NO_FREE_FRAMES` No free frames available from the shared page cache.
    `static int` | `GS_ERR_NO_MORE_OOPS` The GemStone system ran out of oops.
    `static int` | `GS_ERR_REMOTE_GEMS_DISALLOWED` GemStone/S Limited Edition does not allow remote sessions.
    `static int` | `GS_ERR_REMOVE_FROM_CACHES` A page owned by a Gem could not be removed from a remote cache.
    `static int` | `GS_ERR_SESSION_SHUTDOWN` The Data Curator is shutting down this session.
    `static int` | `GS_ERR_SHRPC_CONNECTION_FAILURE` The process detected a connection failure from the SharedPageCache monitor.
    `static int` | `GS_ERR_SHRPC_INVALID_CONFIG` The process tried to login to a Stone with the config file specifying that the SharedPageCache should NOT be used when the Stone already has a SharedPageCache active on the host machine.
    `static int` | `GS_ERR_SHRPC_UNEXPECTED_NET_EVENT` The process detected an unexpected read or write event from the SharedPageCache monitor.
    `static int` | `GS_ERR_STN_NET_LOST` An end of file was received over the Gem-Stone network, indicating that the network is being shut down.
    `static int` | `GS_ERR_STN_SHUTDOWN` Stone is shutting down.
    `static int` | `GS_ERR_STOP_GC_GEM` The GcGem process received a signal that forces a shutdown.
    `static int` | `GS_ERR_VM_OUT_OF_GSSCOPES` VM ran out of GsScopes memory.
    `static int` | `HOST_ERR_CANT_SPAWN` HostFork() attempted to spawn a Gem but was unable to do so.
    `static int` | `HOST_ERR_FILE_DELETE` The specified file cannot be deleted.
    `static int` | `HOST_ERR_FILE_DIRECTORY` Cannot fetch the server OS directory.
    `static int` | `HOST_ERR_FILE_EXPORT` The string cannot be exported to the specified file.
    `static int` | `HOST_ERR_FILE_IMPORT` The specified file cannot be imported.
    `static int` | `HOST_ERR_LOG_FILE_NOT_OPENED` Log file not opened before adding messages to it.
    `static int` | `HOST_ERR_MEMORY_ALLOC` Host memory allocation failed; there is insufficient primary memory and/or swap space.
    `static int` | `HOST_ERR_PERFORM` The specified string cannot be executed in the OS shell.
    `static int` | `HOST_FATAL_ERR_OUT_OF_MEM` Malloc failed in such a way that execution cannot continue.
    `static int` | `LAST_ANSI_ERROR_NUM`
    `static int` | `LGC_ERR_ARG_SIZE_INCONSISTENT` An array argument was received on the network that had a length different from that specified with the argument.
    `static int` | `LGC_ERR_BYTE_PACKET_TOO_LONG` A byte array packet was received over the network that was too long.
    `static int` | `LGC_ERR_COMPRESS_FAILURE` compress() in the zlib library failed.
    `static int` | `LGC_ERR_EXPECTED_CMD` A packet kind was received other than the command packet that was expected.
    `static int` | `LGC_ERR_EXPECTED_CONTINUE` A packet kind was received other than the continue packet that was expected.
    `static int` | `LGC_ERR_EXPECTED_END` A packet kind was received other than the end packet that was expected.
    `static int` | `LGC_ERR_INCOMPAT_GCI` The version of the GCI is not compatible with the version of the Gem.
    `static int` | `LGC_ERR_INCONSISTENT_OBJ_KIND` When using the network interface, inconsistent information was given about the implementation of an object; i.e., one implementation was specified but the class of the object had a different one.
    `static int` | `LGC_ERR_INCONSISTENT_SIZE` When using the network interface, inconsistent information was given about the size of an object; i.e., the size was specified as one value but the data given implied another size.
    `static int` | `LGC_ERR_OBJREPHDR_SIZE` Mismatch in size of GciObjRepHdrSType, problems with C compiler used to build a client GCI perhaps.
    `static int` | `LGC_ERR_OOP_PACKET_TOO_LONG` An oop array packet was received over the network that was too long.
    `static int` | `LGC_ERR_PACKET_KIND` Invalid IPC packet kind.
    `static int` | `LGC_ERR_PACKET_KIND_BAD` A packet of the wrong kind was received.
    `static int` | `LGC_ERR_PACKET_KIND_UNKNOWN` An unknown packet kind was received.
    `static int` | `LGC_ERR_SEQUENCE_MISMATCH` Sequence number mismatch for an IPC response packet.
    `static int` | `LGC_ERR_SYNC_1` The first byte of the two-byte synchronization sequence was wrong in the network.
    `static int` | `LGC_ERR_SYNC_2` The second byte of the two-byte synchronization sequence was wrong in the network.
    `static int` | `LGC_ERR_TRAV_BUFF_SIZE` a Traversal buffer received over the network exceeded RPC client's allocated buffer size.
    `static int` | `LGC_ERR_TRAVSWIZZ_FAILURE` travBuffSwizzle() in the linkgc.hc module failed.
    `static int` | `LGC_ERR_UNCOMPRESS_FAILURE` uncompress() in the zlib library failed.
    `static int` | `LOCK_ERR_ALL_SYMBOLS` Users are not allowed to lock AllSymbols.
    `static int` | `LOCK_ERR_ARG_SIZE` An argument to a locking primitive was too large.
    `static int` | `LOCK_ERR_DEADLOCK` RcRetry or Application write lock denied due to possible deadlock.
    `static int` | `LOCK_ERR_DENIED` A requested lock was denied.
    `static int` | `LOCK_ERR_INCOMPLETE` One or more of the objects you requested had a lock error.
    `static int` | `LOCK_ERR_INVALID_OBJECT` RcRetry or Application write lock denied: a different object is already registered with the lock queue.
    `static int` | `LOCK_ERR_OBJ_HAS_CHANGED` A requested lock was granted, but the object has changed value since you started this transaction.
    `static int` | `LOCK_ERR_REMOVE` The user is not allowed to remove a lock on an object that they do not have a lock on.
    `static int` | `LOCK_ERR_TIMEOUT` RcRetry or Application write lock denied due to timeout.
    `static int` | `LOCK_ERR_UNDEFINED_LOCK` The lock kind specified was invalid.
    `static int` | `NET_ERR` An undefined network error.
    `static int` | `NET_ERR_CONNECTION_REFUSED` The connection was refused - check the name of STONE.
    `static int` | `NET_ERR_NO_SUCH_STN` The given GemStone does not exist.
    `static int` | `NUM_ERR_ARG_NOT_CHR` An attempt was made to coerce an integer into a kind of Character, but its value was not in range.
    `static int` | `NUM_ERR_ARG_NOT_FLT_EXCEPTION` An unrecognized float exception was specified.
    `static int` | `NUM_ERR_ARG_NOT_FLT_STATUS` An invalid float status was specified.
    `static int` | `NUM_ERR_ARG_NOT_ROUNDING_MODE` An unrecognized float rounding mode was specified.
    `static int` | `NUM_ERR_FLT_EXCEPTION` A floating point exception has been raised.
    `static int` | `NUM_ERR_INT_DIVISION_BY_ZERO` An attempt was made to divide an integer by zero.
    `static int` | `OBJ_CLASS_NOT_BYTE_KIND` An attempt was made to create a byte object for a class which does not specify byte object format.
    `static int` | `OBJ_CLASS_NOT_OOP_KIND` An attempt was made to create a pointer object for a class which does not specify pointer object format.
    `static int` | `OBJ_CLASS_NOT_OOP_OR_NSC_KIND` An attempt was made to create a pointer object for a class which does not specify pointer object format.
    `static int` | `OBJ_ERR_ALREADY_EXISTS` An attempt was made to create an object that already exists.
    `static int` | `OBJ_ERR_BAD_CLUSTER_BUCKET` The specified clusterId is invalid.
    `static int` | `OBJ_ERR_BAD_FETCH_OFFSET` A structural access retrieval used an index that was out of range.
    `static int` | `OBJ_ERR_BAD_OFFSET` An object was indexed using structural access with a index that was out of range.
    `static int` | `OBJ_ERR_BAD_OFFSET_INCOMPLETE` An indexable object was referenced with an index that was out of range.
    `static int` | `OBJ_ERR_BAD_SIZE` An attempt was made to create an object of an illegal size or change it to an illegal size.
    `static int` | `OBJ_ERR_CANT_CREATE_INSTANCE` An attempt was made to create an instance of a class that does not allow "new".
    `static int` | `OBJ_ERR_CLASS_VARIANT` An attempt was made to create an instance of a modifiable class (that is, a class still involved in schema design).
    `static int` | `OBJ_ERR_COLLECTION_EMPTY` An attempt was made to access elements of an empty Collection.
    `static int` | `OBJ_ERR_CONSTRAINT_VIOLATION` An object of the wrong class was stored into a constrained instance variable.
    `static int` | `OBJ_ERR_CORRUPT_OBJ` The object is corrupt or inconsistent.
    `static int` | `OBJ_ERR_DATETIME_OUT_OF_RANGE` The DateTime passed is either out of range for a time_t, or the julianSeconds field is not between 0 and 86399 inclusive.
    `static int` | `OBJ_ERR_DICT_CONSTRAINT_VIOL` constraint violation when attempting to store a new value into a dictionary.
    `static int` | `OBJ_ERR_DOES_NOT_EXIST` The object does not exist.
    `static int` | `OBJ_ERR_INVARIANT` An attempt was made to change an invariant object.
    `static int` | `OBJ_ERR_LONG_NOT_SMALL_INT` The integer passed to gciIntToObject was outside the range of SmallIntegers.
    `static int` | `OBJ_ERR_MAX_SIZE` An attempt was made to extend an object to larger than the maximum allowable size.
    `static int` | `OBJ_ERR_NEGATIVE_COUNT` In a network call fetching elements out of an object a negative count was specified.
    `static int` | `OBJ_ERR_NOT_BOOLEAN` gciObjectToBool was passed an object that was not either True or False.
    `static int` | `OBJ_ERR_NOT_BYTE_KIND` The object is not implemented as a byte object.
    `static int` | `OBJ_ERR_NOT_CHR` The argument to a GCI object to character conversion was not an instance of Character, or is out of range of the result.
    `static int` | `OBJ_ERR_NOT_FLT` Through the GCI, a request was made to convert a float object into another representation.
    `static int` | `OBJ_ERR_NOT_IN_COLLECTION` Cannot find the object in designated collection.
    `static int` | `OBJ_ERR_NOT_IN_NSC` An object was not found in collection where it was expected.
    `static int` | `OBJ_ERR_NOT_INDEXABLE` An attempt was made to index an object that is not indexable.
    `static int` | `OBJ_ERR_NOT_LONG` gciObjectToInt was passed an object which was not a SmallInteger.
    `static int` | `OBJ_ERR_NOT_NSC_KIND` The object is not implemented as an Nsc object.
    `static int` | `OBJ_ERR_NOT_OOP_KIND` The object is not implemented as a pointer object.
    `static int` | `OBJ_ERR_NOT_OOP_OR_NSC` An operation was attempted on an object that is legal only on pointer or Nsc objects.
    `static int` | `OBJ_ERR_NOT_SEGMENT` An attempt was made to use an object that is not a segment where a segment was required.
    `static int` | `OBJ_ERR_NOT_SPECIAL_KIND` The object is not implemented as a special object.
    `static int` | `OBJ_ERR_OOP_NOT_ALLOCATED` An attempt was made to store a forward reference using an oop that has not been allocated to the session.
    `static int` | `OBJ_ERR_RESULT_NSC_TOO_BIG` An attempt was made to increase the size of an NSC beyond the maximum(maxSmallInt).
    `static int` | `OBJ_ERR_TIME_T_OUT_OF_RANGE` Given time_t is out of range; must be greater than or equal to zero.
    `static int` | `REP_ERR_BAD_BKUP_SWIZZLE` an invalid swizzle transform was detected in a backup file.
    `static int` | `REP_ERR_BAD_BKUP_VERSION` an incompatible file version was detected in a backup file.
    `static int` | `REP_ERR_BAD_DBF_SWIZZLE` An invalid swizzle transform was detected in a database extent.
    `static int` | `REP_ERR_BAD_EXTENT_SIZE` The given maximum extent size is smaller than the minimum size of an extent.
    `static int` | `REP_ERR_BAD_FILE_SPEC` The given file spec was invalid.
    `static int` | `REP_ERR_CANT_CREATE_FILE` The system was unable to create the given file.
    `static int` | `REP_ERR_CANT_CREATE_REPOS` The specified repository could not be created.
    `static int` | `REP_ERR_CANT_DISPOSE` Unable to dispose of the replicate.
    `static int` | `REP_ERR_CANT_OPEN_FILE` The given file could not be opened.
    `static int` | `REP_ERR_EXTENT_NOT_MOUNTED` The given extent was not part of the logical repository.
    `static int` | `REP_ERR_FILE_ALREADY_EXISTS` A file already exists with the given name.
    `static int` | `REP_ERR_FILE_NAME_TOO_BIG` The filename is too large.
    `static int` | `REP_ERR_INCOMPATIBLE_REPOS` The repository version does not match the version of GemStone currently being run.
    `static int` | `REP_ERR_MAX_EXTENTS` An attempt was made to create a new extent when the logical repository already has the maximum number of extents attached.
    `static int` | `REP_ERR_MAX_ONLINE_REPOS` An attempt was made to attach more repositories than can be on-line at one time.
    `static int` | `REP_ERR_NO_FREE_PAGES` Stone was unable to find any free pages after growing the repository.
    `static int` | `REP_ERR_PRE_GROW_FAILURE` The given extent could not be created because an attempt to pre-grow the file failed for disk capacity reasons.
    `static int` | `REP_ERR_REPLICATE_NOT_MOUNTED` The replicate referenced is not mounted.
    `static int` | `REP_ERR_REPLICATE_ONLINE` The given extent already has a replicate online.
    `static int` | `REP_ERR_REPOS_FULL` The logical repository is full.
    `static int` | `REP_ERR_REPOS_NEEDS_RECOVERY` The repository could not be attached because it was left in an inconsistent state.
    `static int` | `REP_ERR_REPOS_NOT_ATTACHED` The repository referenced is not attached.
    `static int` | `REP_ERR_REPOS_READ` A read error was detected when reading from the repository.
    `static int` | `REP_ERR_REPOS_WRITE` A write error was detected when writing to the repository.
    `static int` | `REP_ERR_SYSTEM_REP_NOT_ATTACHED` The system repository could not be attached.
    `static int` | `REP_ERR_SYSTEM_REP_NOT_ATTACHED_BAD_PID` The system repository could not be attached because the pid in the repos did not match stone pid.
    `static int` | `REP_ERR_SYSTEM_REP_NOT_ATTACHED_INCOMPATIBLE` The system repository could not be attached because extent is not compatible with primary extent.
    `static int` | `REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_EXTENT` The system repository could not be attached because the extent could not be mounted.
    `static int` | `REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_STONE` The system repository could not be attached because the stone could not be found.
    `static int` | `RT_ERR_ABORT_TRANS` The transaction was aborted by the user.
    `static int` | `RT_ERR_ABORT_WOULD_LOSE_DATA` A method is being run that requires an abort to function, however, an abort would result in lost data as there are modified objects.
    `static int` | `RT_ERR_ADD_DUP_INSTVAR` The name of a new instance variable would duplicate the name of an already existing instance variable.
    `static int` | `RT_ERR_ALREADY_HAS_SUBCLASSES` disallowSubclasses is not allowed because The class (Arg1) already has subclasses.
    `static int` | `RT_ERR_ARG_NOT_CHR` An attempt was made to store a object other than a character into a string.
    `static int` | `RT_ERR_ARG_NOT_POSITIVE` A negative or non-numeric was found where a positive numeric was expected.
    `static int` | `RT_ERR_ARG_NOT_POWER_OF_TWO` The value was expected to be a power of 2.
    `static int` | `RT_ERR_ARG_OUT_OF_RANGE` An argument was too large or out of range.
    `static int` | `RT_ERR_ARG_TOO_LARGE` The object (arg 1) is too large.
    `static int` | `RT_ERR_ARG_TOO_SMALL` The object (arg 1) is too small.
    `static int` | `RT_ERR_ATTEMPT_TO_PASSIVATE_INVALID_OBJECT` Attempted to write an object to a passive object.
    `static int` | `RT_ERR_AUTH_ARRAY_SIZE` An attempt was made to change Segment authorization, but the number of elements in the authorization array was wrong.
    `static int` | `RT_ERR_AUTH_ILLEGAL_OPERATION` An operation for a UserProfile was attempted which is disallowed under the current authentication scheme.
    `static int` | `RT_ERR_AUTH_ILLEGAL_PASSWD_CHANGE` An attempt was made to change the password of a UserProfile which is not using GemStone athentication.
    `static int` | `RT_ERR_BAD_ARG_KIND` The specified object was not of the expected class kind.
    `static int` | `RT_ERR_BAD_ARG_KIND_2` The object is not one of the expected class kinds.
    `static int` | `RT_ERR_BAD_BLOCK_ARG_COUNT` An attempt was made to evaluate a block or method with the wrong number of arguments.
    `static int` | `RT_ERR_BAD_CONSTRAINT_FOR_MIGRATION` An object cannot be migrated an inst var participates in an index with a constraint.
    `static int` | `RT_ERR_BAD_COPY_FROM_TO` An index range was specified for a sequenceable collection with the starting index greater than the ending index.
    `static int` | `RT_ERR_BAD_DATE_TIME_ARGS` Invalid arguments given to DateTime instance creation.
    `static int` | `RT_ERR_BAD_ERR` An attempt was to signal an error that has a bad format, but it has a non-positive error number.
    `static int` | `RT_ERR_BAD_EUC_FORMAT` The bytes of the EUCString are not in EUC format.
    `static int` | `RT_ERR_BAD_EUC_VALUE` The EUC value is not valid and does not correspond to a JISCharacter.
    `static int` | `RT_ERR_BAD_EXTENT_ID` Bad extent Id passed in System>>_startGcSession:extentId:.
    `static int` | `RT_ERR_BAD_FORMAT` An object was being read from a string or stream, but the format was not correct to read an object of the specified class.
    `static int` | `RT_ERR_BAD_FORMAT_SPEC` An illegal formatting array was specified for the given class.
    `static int` | `RT_ERR_BAD_GC_TYPE` Bad GcType code passed in System>>_startGcSession:extentId:.
    `static int` | `RT_ERR_BAD_GSPROCESS_ARG_COUNT` An attempt was made to create a GsProcess with the wrong number of arguments for the specified block.
    `static int` | `RT_ERR_BAD_OBJ_SIZE` Object has invalid size.
    `static int` | `RT_ERR_BAD_PASSWORD` Specific errors related to object traversal on the GCI client.
    `static int` | `RT_ERR_BAD_PATTERN` Illegal pattern array for string pattern matching.
    `static int` | `RT_ERR_BAD_PRIV` A privilege was specified that was not a valid privilege string.
    `static int` | `RT_ERR_BAD_SESSION` A session was specified that does not exist.
    `static int` | `RT_ERR_BAD_STREAM_POSITION` An attempt was made to set the Stream position beyond the limits of the collection.
    `static int` | `RT_ERR_BAD_SUBSCRIPT` A subscript that was out of range or not an Integer was used to index an object.
    `static int` | `RT_ERR_BAD_SYMBOL_LIST` The user's symbol list is not a kind of Array containing objects that are a kind of SymbolDictionary.
    `static int` | `RT_ERR_BAD_TAG_NUM` The tag number specified is not allowed, legal values are 1 and 2.
    `static int` | `RT_ERR_BAG_CLASS_DOES_NOT_SUPPORT_RANGE_OPERATORS` An attempt was made to create an equality index with a class that does not support range operators.
    `static int` | `RT_ERR_BAG_INVALID_PREDICATE_FOR_STREAM_SELECTION` The predicate for selectAsStream was invalid.
    `static int` | `RT_ERR_BAG_INVALID_SORT_SPECIFICATION` Unable to sort using the given sort specification.
    `static int` | `RT_ERR_BAG_NO_CONSTRAINT_ALONG_PATH` An attempt was made to create an index along the path with no constraint.
    `static int` | `RT_ERR_BAG_NO_RANGE_INDEX_ON_PATH_EXPRESSION` The path expression in the predicate for selectAsStream does not have a range equality index.
    `static int` | `RT_ERR_BAG_ONLY_ONE_PREDICATE_ALLOWED` Only one predicate is allowed for selectAsStream.
    `static int` | `RT_ERR_BAG_ONLY_SELECT_BLOCK_ALLOWED` Only select blocks are allowed for selectAsStream.
    `static int` | `RT_ERR_BAG_OPERATION_NOT_SUPPORTED` The comparison operation in the predicate for selectAsStream is not supported.
    `static int` | `RT_ERR_BEGIN_TRANS` An attempt was made to begin a new transaction when already in a transaction.
    `static int` | `RT_ERR_BTREE_READ_STREAM_END_OF_STREAM` An attempt was made to read beyond the end of the stream.
    `static int` | `RT_ERR_CANNOT_BECOME_GENERIC` become is not allowed on this object.
    `static int` | `RT_ERR_CANNOT_BECOME_SELF_ON_STACK` The object is present on the GemStone Smalltalk stack as "self", and cannot participate in a "become" operation.
    `static int` | `RT_ERR_CANNOT_SUSPEND_LOGINS` Cannot suspend logins.
    `static int` | `RT_ERR_CANT_BECOME_BOTHIDX` Attempt was made to use become on two objects that both participate in indexes and are not of the same class.
    `static int` | `RT_ERR_CANT_BECOME_CLASSKIND` Attempt to use become on an object that is used internally by the virtual machine.
    `static int` | `RT_ERR_CANT_BECOME_INDEXED_NSC` Attempt to use become on an object that is a kind of Bag while the object has indexed paths.
    `static int` | `RT_ERR_CANT_BECOME_ONEIDX` Attempt to use become when one object is indexed, and the other object is not the same format as the indexed object.
    `static int` | `RT_ERR_CANT_BECOME_SPECIAL` An attempt was made to use become with an object that is a special object.
    `static int` | `RT_ERR_CANT_CHANGE_CLASS` An illegal attempt was made to change the class of an object.
    `static int` | `RT_ERR_CANT_CHANGE_CONSTRAINT` A constraint cannot be changed in a Dictionary that is not empty.
    `static int` | `RT_ERR_CANT_CHANGE_PASSWORD` An attempt was made to change the password for another UserProfile with oldPassword:newPassword:.
    `static int` | `RT_ERR_CANT_PERFORM` Cannot perform the given selector with the given arguments.
    `static int` | `RT_ERR_CANT_READ_FILE` The system was unable to read the given file.
    `static int` | `RT_ERR_CANT_RETURN` GemStone Smalltalk execution could not return from the current activation.
    `static int` | `RT_ERR_CANT_WRITE_FILE` The system was unable to write to the given file.
    `static int` | `RT_ERR_CHANGE_SYMBOL` Users are not allowed to change the class of an object from or to class Symbol.
    `static int` | `RT_ERR_CLASS_HISTORY_MISMATCH` Become is not allowed because the classes of the two objects do not have identical class histories.
    `static int` | `RT_ERR_CLASS_NOT_MODIFIABLE` An attempt was made to modify a class that is not modifiable.
    `static int` | `RT_ERR_CLIENT_ACTION_DISALLOWED` An attempt was made to execute a client user action from a session that is not allowed to do this.
    `static int` | `RT_ERR_CLIENT_FWD` The client encountered an uncaught exception when a message was forwarded.
    `static int` | `RT_ERR_CLIENT_FWD_SEND` Used to send a message to a Client.
    `static int` | `RT_ERR_CODE_BREAKPOINT` You have encountered a method breakpoint.
    `static int` | `RT_ERR_COLLECTION_WITH_INCOMPLETE_INDEX` An attempt was made to create an index on a collection that has incomplete indexes.
    `static int` | `RT_ERR_COMMIT_ABORT_PENDING` The transaction is about to be committed or aborted.
    `static int` | `RT_ERR_COMMIT_DB_IN_RESTORE` Commits are disallowed because the database is being restored from transaction logs and restoreFromCurrentLogs has not completed.
    `static int` | `RT_ERR_COMMIT_DISALLOWED` Commits are disallowed because an error occurred during object manager recursion to GemStone Smalltalk.
    `static int` | `RT_ERR_COMMIT_DISALLOWED_UNTIL_ABORT` Commits are disabled until after the next abort.
    `static int` | `RT_ERR_COMMIT_PROHIBITING_ERROR` An error occurred (probably during index maintenance) such that commits are disallowed so that indexing objects remain consistent.
    `static int` | `RT_ERR_CONFIG_PARM_READ_ONLY` An attempt was made to modify a configuration parameter that is read-only while the system is running.
    `static int` | `RT_ERR_CONSTR_NOT_A_CLASS` A new constraint was specified that is not a Class.
    `static int` | `RT_ERR_CONSTR_NOT_SUBCLASS_OF` In class modification, a new constraint was neither identical to, nor a subclass of, an inherited constraint.
    `static int` | `RT_ERR_CONTINUE_TRANS_ERROR` continueTransaction is not allowed.
    `static int` | `RT_ERR_DATE_TIME_OUT_OF_RANGE` The resulting DateTime object would be out of range.
    `static int` | `RT_ERR_DECODED_OBJ_DOES_NOT_EXIST` The decoded object at offset (2) does not exist.
    `static int` | `RT_ERR_DECR_NOT_ALLOWED` An RcPositiveCounter cannot be decremented to a negative value.
    `static int` | `RT_ERR_DELAY_IN_PROGRESS` An interval Delay object already has a process waiting on it.
    `static int` | `RT_ERR_DEPENDENCY_LIST_TOO_LARGE` A dependency list was too large.
    `static int` | `RT_ERR_DIRTY_OBJS_NEEDS_INIT` GciDirtyObjsInit must be executed at least once before GciDirtyObjs.
    `static int` | `RT_ERR_DISALLOWED_PASSWORD` A new password matches a word that is not allowed as a password.
    `static int` | `RT_ERR_DOES_NOT_UNDERSTAND` No method was found for the given selector.
    `static int` | `RT_ERR_DUPLICATE_KEY` Key already exists in a dictionary.
    `static int` | `RT_ERR_DYNAMIC_IV_STORE` Error storing a dynamic instVar.
    `static int` | `RT_ERR_DYNAMIC_IV_STORE_DEPENCENCY` Cannot add or store to a Ruby dynamic instVar in an object with a dependency tag.
    `static int` | `RT_ERR_EOF_ON_READ_STREAM` End-of-file was encountered on a ReadStream.
    `static int` | `RT_ERR_EPOCH_GC_ARRAY_SIZE` The number of elements in the array used to set the Epoch Garbage Collector information is incorrect.
    `static int` | `RT_ERR_EXCEPT_BLOCK_NUM_ARGS` A block does not have the number of arguments required for it to be usable as an exception block.
    `static int` | `RT_ERR_EXCEPTION_NOT_LINKED` An attempt was made to remove an unlinked exception.
    `static int` | `RT_ERR_ExceptionAlreadyInstalled` Ensure block already installed in the current frame.
    `static int` | `RT_ERR_EXPECTED_BOOLEAN` The virtual machine expected a boolean to be on top of the stack but found something else.
    `static int` | `RT_ERR_EXPECTED_BYTE_VALUE` An attempt was made to store into a byte object something other than a SmallInteger in the range 0-255.
    `static int` | `RT_ERR_EXPECTED_CLASS` The specified object was expected to be a class but was not.
    `static int` | `RT_ERR_FAILED_STN_CFG_WRITE` The operation should update the stone configuration file but the write failed.
    `static int` | `RT_ERR_FILE_CORRUPT` The given file is corrupted.
    `static int` | `RT_ERR_FIRST_PATH_TERM_SET_VALUED` The first term in an Nsc index path expression cannot indicate a set-valued instance variable (i.e.
    `static int` | `RT_ERR_FLUSH_FOR_COMMIT_FAILED` Cannot commit.
    `static int` | `RT_ERR_FREE_SPACE_THRESHOLD` Indicates that the repository is currently running below the freeSpaceThreshold.
    `static int` | `RT_ERR_GAIJI_NOT_SUPPORTED` A Gaiji character was encountered, but Gaiji is not supported by GemStone.
    `static int` | `RT_ERR_GARBAGE_COLLECT` Attempt to run mark for collect when not the only user on the system AND the concurrency mode is set for no read set.
    `static int` | `RT_ERR_GC_SESSION_FAILED` Problem executing System>>_startGcSession:extentId:, probably due to some netldi problems.
    `static int` | `RT_ERR_GC_SESSION_INVALID` Either a Gc Gem of the selected type on the selected extent has already been started, or the selected type is incompatible with other GcGems on the system.
    `static int` | `RT_ERR_GCGEM_STARTUP_FAILURES` Stone has logged GcGem Startup failures since last success.
    `static int` | `RT_ERR_GCI_CLASS_MISMATCH` In Gci store traversal, the class in the object report of an existing object does not match the actual class of that object in the database.
    `static int` | `RT_ERR_GCI_STORE_FLOAT` An illegal GCI store into a float object was detected.
    `static int` | `RT_ERR_GCI_TRAV_NOT_LICENSED` License does not allow use of Gci Traversal operations.
    `static int` | `RT_ERR_GENERIC_ERROR` Error number available for application use.
    `static int` | `RT_ERR_GENERIC_KERNEL_ERROR` Generic error from kernel class method.
    `static int` | `RT_ERR_GET_GC_LOCK_FAILED` An operation that needs to acquire the gcLock was not able to get the lock within a reasonable amount of time.
    `static int` | `RT_ERR_GET_NET_PEER` Stone could not get gem's network address.
    `static int` | `RT_ERR_GS_COMMIT_LIST_NB_TIMEOUT` Error during GS commit list nonblocking timeout.
    `static int` | `RT_ERR_GSPROCESS_NOT_DEBUGGABLE` The gsprocess is not in a debuggable state.
    `static int` | `RT_ERR_GSPROCESS_TERMINATED` The active GsProcess was sent the terminate message.
    `static int` | `RT_ERR_GSSOCKET` A GsSocket method failed due to a socket error.
    `static int` | `RT_ERR_GSSOCKET_INVARIANT` An instance of GsSocket that was not changable was sent a message that would have required it to change.
    `static int` | `RT_ERR_HARD_BREAK` A hard break was received.
    `static int` | `RT_ERR_IDENTITY_INDEX_CANNOT_INVOKE_RANGE_OPERATION` An attempt was made to use a range operation (< > = <= >=) on a path expression only supported by an identity index.
    `static int` | `RT_ERR_ILLEGAL_AUTH_SCHEME_CHANGE` Illegal attempt to modify authentication scheme of a special UserProfile.
    `static int` | `RT_ERR_ILLEGAL_DN` The string is not a valid distinguished name or does not contain the %s pattern.
    `static int` | `RT_ERR_ILLEGAL_PASSWORD_EXPIRATION` An attempt was made enable password expiration for a special UserProfile.
    `static int` | `RT_ERR_INDEX_AUTH_ERR_SEG_READ` An attempt was made to read the object using an index in a segment with insufficient authorization.
    `static int` | `RT_ERR_INDEX_DICTIONARY_ENTRY_NOT_IN_DICTIONARY` An entry for the key/term/value was not present in the dictionary.
    `static int` | `RT_ERR_INSTVAR_ADD_TO_BYTES` An attempt was made to add a named instance variable to a class whose format is Bytes.
    `static int` | `RT_ERR_INSTVAR_ADD_TO_NSC` An attempt was made to add a named instance variable to a class whose format is NSC.
    `static int` | `RT_ERR_INTERNAL` SYSTEM ERROR: A system runtime error was detected.
    `static int` | `RT_ERR_INVALID_ARG_CLASS` The object is not one of the expected class kinds.
    `static int` | `RT_ERR_INVALID_ARGUMENT` Argument (1) was an invalid argument to a method.
    `static int` | `RT_ERR_INVALID_AUTH_SCHEME_ID` The authentication scheme id is invalid.
    `static int` | `RT_ERR_INVALID_AUTH_SCHEME_SYMBOL` The authentication scheme symbol is invalid.
    `static int` | `RT_ERR_INVALID_BTREE_READ_STREAM` The btree read stream is invalid (possibly due to modifications to objects referenced by the stream).
    `static int` | `RT_ERR_INVALID_INDEX_PATH_EXPRESSION` The given string is an invalid term in a path expression.
    `static int` | `RT_ERR_INVALID_LANG` The compiler language environment is invalid.
    `static int` | `RT_ERR_INVALID_METHOD` The virtual machine cannot execute a method until it has been upgraded to a 4.0 or higher version.
    `static int` | `RT_ERR_INVALID_RESTORE_TIME` The argument to SystemRepository>>timeToRestoreTo: was invalid, Args (1) reason (a String).
    `static int` | `RT_ERR_INVALID_TRANS_MODE` The argument specified for transactionMode: was not valid.
    `static int` | `RT_ERR_INVALID_UNIX_USER_ID` The specified UNIX user ID is invalid.
    `static int` | `RT_ERR_KEY_NOT_FOUND` A reference into a dictionary using a non-existent key was made.
    `static int` | `RT_ERR_LARGE_INT_OVERFLOW` An Integer would exceed 130144 bits.
    `static int` | `RT_ERR_LAST_CONSTRAINT_NOT_BOOLEAN` The SelectBlock must evaluate to a boolean expression.
    `static int` | `RT_ERR_LOAD_SAVE_STACK` Error during loading or saving GemStone Smalltalk execution stack.
    `static int` | `RT_ERR_LOCAL_XACTION_FAILED_COMMIT` Local session failed to commit after remote sessions voted to commit.
    `static int` | `RT_ERR_LOG_DIR_NOT_EXIST` The path (Arg 1) does not exist as a directory or raw device.
    `static int` | `RT_ERR_LOST_SESSION_STATE` An object that has some associated session state has lost that transient state.
    `static int` | `RT_ERR_MAX_CHARS_OF_TYPE` A new password would contain too many consecutive characters of a type.
    `static int` | `RT_ERR_MAX_CLUSTER_ID` A request to create a new clusterbucket exceeded the maximum size allowed for a clusterId.
    `static int` | `RT_ERR_MAX_COMMIT_RETRY` There were too many attempts to recommit after failing to resolve RC conflicts.
    `static int` | `RT_ERR_MAX_CONSEC_CHARS` A new password would contain too many consecutive characters ('abcd..').
    `static int` | `RT_ERR_MAX_PASSWORD_SIZE` A new password would exceed the maximum password size.
    `static int` | `RT_ERR_MAX_RECURSION` Too many recursions from useractions to GemStone Smalltalk or within object manager.
    `static int` | `RT_ERR_MAX_REPEATING_CHARS` A new password would contain too many repeating characters ('aaaa..').
    `static int` | `RT_ERR_MAX_SUPERCLASS_DEPTH` Attempt to create a subclass too far below Object in superclass chain.
    `static int` | `RT_ERR_METHOD_PROTECTED` An illegal attempt to execute a protected method.
    `static int` | `RT_ERR_MIGRATION_CONSTRAINT` An object migration could not occur because of a constraint migration.
    `static int` | `RT_ERR_MIN_PASSWORD_SIZE` A new password would be smaller than the minimum password size.
    `static int` | `RT_ERR_MUST_BE_SYSTEMUSER` Only SystemUser is allowed to perform this operation.
    `static int` | `RT_ERR_NAT_STACK_NOT_CONVERTABLE` Cannot convert native stack to portable stack.
    `static int` | `RT_ERR_NATIVE_CODE` Error in native code generator: native code execution disabled for remainder of session.
    `static int` | `RT_ERR_NEW_STACK_LIMIT` The value specified for the new stack limit is smaller than the current size of the execution stack.
    `static int` | `RT_ERR_NEW_TRANLOG_DIR_FAILED` An attempt to dynamically define a new transaction log directory failed.
    `static int` | `RT_ERR_NIL_KEY_VALUE_DICT_KEY` An illegal attempt was made to store nil as a key in a KeyValueDictionary.
    `static int` | `RT_ERR_NO_BREAK_IN_NATIVE` Breakpoints and single-step not supported in native code.
    `static int` | `RT_ERR_NO_ELEM_DETECTED` The object Arg2 was not detected in Arg1.
    `static int` | `RT_ERR_NO_EUC_REP` The character does not have an EUC representation.
    `static int` | `RT_ERR_NO_EXISTING_SYM` GciSendMsg failed because there is no existing Symbol that matches the selector String.
    `static int` | `RT_ERR_NO_INDEX_FOR_PATH` An index with the path was not found for the Nsc.
    `static int` | `RT_ERR_NO_INST_VARS` An attempt was made to directly access the instance variables of an object with instVarAt: or instVarAt:put:, but the object has no instance variables.
    `static int` | `RT_ERR_NO_MESSAGE` An error was signalled for which there is no message.
    `static int` | `RT_ERR_NO_MORE_CBUFFERS` All available CBuffers are in use.
    `static int` | `RT_ERR_NO_MORE_OBJECT_SECURITY_POLICIES` No more segments can be created.
    `static int` | `RT_ERR_NO_PRIV` An attempt was made to do a privileged operation for which no privilege had been granted.
    `static int` | `RT_ERR_NO_PROCESS_TO_CONTINUE` The Process specified from which to continue is invalid.
    `static int` | `RT_ERR_NO_STRUCT_UPDATE` A GCI update operation is not allowed on the target object.
    `static int` | `RT_ERR_NO_SUCH_BP` A breakpoint was specified for deletion that does not exist in the breakpoint table.
    `static int` | `RT_ERR_NO_SUCH_INST_VAR` An instance variable was not found in evaluating a path expression for an object.
    `static int` | `RT_ERR_NOREPLICATES_WITH_MID_CACHE` Replicates not supported when using a mid-level cache.
    `static int` | `RT_ERR_NOT_A_SUBCLASS_OF` Class 1 is neither identical to nor a subclass of Class 2.
    `static int` | `RT_ERR_NOT_ONLY_USER` An operation that needs exclusive use of the system was attempted when other users were logged in.
    `static int` | `RT_ERR_NOTIFICATION` Default error number for an instance of Notification.
    `static int` | `RT_ERR_OBJ_INVARIANT` An object that should have been variant is invariant.
    `static int` | `RT_ERR_OBJ_IS_NP` Object may not be committed.
    `static int` | `RT_ERR_OBJ_MUST_BE_COMMITTED` The given object is a temporary object but is required to be a committed object.
    `static int` | `RT_ERR_OBJ_NOT_FOUND` The object Arg2 was not found in Arg1.
    `static int` | `RT_ERR_OBJ_NOT_IN_EXPORT_SET` Illegal argument to GciStoreTravDoTravRefs, one or more objects not found in exported set were not found in the referenced and/or exported set.
    `static int` | `RT_ERR_OBJ_VARIANT` The object is not invariant.
    `static int` | `RT_ERR_OBJECT_HAS_NO_DEPENDENCY_LIST` The object does not have a dependency list.
    `static int` | `RT_ERR_OBJECT_INVALID_INST_VAR_OFFSET` The object does not have an instance variable with the given name.
    `static int` | `RT_ERR_OBJECT_PATH_TERM_NOT_IN_DEPENDENCY_LIST` The object did not have the path term in its dependency.
    `static int` | `RT_ERR_OBJECT_PROTECTED` An illegal attempt to fetch/store into a protected object.
    `static int` | `RT_ERR_OBSOLETE` A selector was sent to an object whose class is obsolete.
    `static int` | `RT_ERR_OBSOLETE_CLASS` Class is obsolete.
    `static int` | `RT_ERR_OP_NOT_ALLOWED` The current operation is not allowed at this time.
    `static int` | `RT_ERR_PAGES_NEED_SCAVENGING` The attempt to schedule pages for scavenging failed because some other session was using the commit token.
    `static int` | `RT_ERR_PASSWORD_MISSING_CHAR` The password must contain at least one character of specified type.
    `static int` | `RT_ERR_PASSWORD_NOT_VARIANT` The password for session parameters must be variant.
    `static int` | `RT_ERR_PASSWORD_TOO_BIG` A password was specified with more than 255 characters.
    `static int` | `RT_ERR_PATH_NOT_TRAVERSABLE` A class along a constrained path does not have an inst var corresponding to a term in an index path.
    `static int` | `RT_ERR_PATH_TERM_OBJECT_NOT_AN_NSC` An object traversed along an index path through a set-valued inst var was not an Nsc.
    `static int` | `RT_ERR_PATH_TO_STR_IVNAME` Path to String conversion failed due to invalid instVar offset.
    `static int` | `RT_ERR_PAUSE` Execution has been halted by an Object|pause message.
    `static int` | `RT_ERR_PGSVR_CREATION` Problem encountered in creating a pageserver.
    `static int` | `RT_ERR_PREVENTING_COMMIT` Used internally to append a message to the end of a previously raised error message.
    `static int` | `RT_ERR_PRIM_NOT_FOUND` a method was invoked that calls a non-existent primitive.
    `static int` | `RT_ERR_PRIM_OUTSIDE_TRANS` An attempt was made to execute a primitive that is disallowed when not inside of a transaction.
    `static int` | `RT_ERR_PRIMITIVE_SYSERR` A primitive failed due to a system error.
    `static int` | `RT_ERR_RANGE_EQUALITY_INDEX_INVALID_CLASS_KIND_FOR_BTREE` Attempt to insert a key into the btree that was an invalid class for which the btree was created.
    `static int` | `RT_ERR_RANGE_EQUALITY_INDEX_OBJECT_NOT_IN_BTREE` An entry for the key/value was not present in the btree.
    `static int` | `RT_ERR_RC_UPDATE_DISALLOWED` An attempt was made to update an RC object in a continued transaction.
    `static int` | `RT_ERR_RCQUEUE_ENTRIES_FOUND` In attempting to reset the maxSessionId for the queue to a smaller value, an entry was found that was added by a session whose sessionId is larger than the value currently being set.
    `static int` | `RT_ERR_RECLAIM_ALL_MISSING_GC_GEM` A reclaimAll operation was attempted but at least one GC session is not running.
    `static int` | `RT_ERR_REMOTE_ERROR` An error occurred on the remote system.
    `static int` | `RT_ERR_REMOTE_LOGIN_FAILED` A remote login attempt failed.
    `static int` | `RT_ERR_REMOTE_SESSION_FAILED_COMMIT` Remote session failed to commit after voting affirmative.
    `static int` | `RT_ERR_REMOVE_ALL_INDEXES_FAILED` An attempt to remove all indexes has failed.
    `static int` | `RT_ERR_REMOVE_SPECIAL_USER` An attempt was made to remove a reserved account from AllUsers.
    `static int` | `RT_ERR_RESOLVE_SYM_FAILED` GciResolveSymbol failed to find the specified C string or symbol.
    `static int` | `RT_ERR_ROLLBACK_DL_FAIL` Rollback of objects in a specific dirty list not allowed after failed commit.
    `static int` | `RT_ERR_SCHEDULER_DEADLOCKED` The processor scheduler is dead locked.
    `static int` | `RT_ERR_SELECTIVE_ABORT` The selectiveAbort primitive was attempted on an object that is involved in an index.
    `static int` | `RT_ERR_SEMAPHORE` A semaphore operation failed.
    `static int` | `RT_ERR_SHOULD_NOT_IMPLEMENT` A method was invoked that has been specifically disallowed in a subclass.
    `static int` | `RT_ERR_SHR_PC_DETACH` An error occurred while detaching from the SharedPageCache.
    `static int` | `RT_ERR_SHR_PC_NOT_ATTACHED` The config file specified that a shared cache was to be used, but the cache could not be attached.
    `static int` | `RT_ERR_SHRPC_COMPATIBILITY` The compatibility level of the SharedPageCache Monitor does not match that of the executable trying to attach.
    `static int` | `RT_ERR_SIG_MSG_TOO_BIG` The message was too long.
    `static int` | `RT_ERR_SIGNAL_ABORT` This error indicates that while running outside of a transaction stone requested the gem process to abort.
    `static int` | `RT_ERR_SIGNAL_COMMIT` This error indicates that a member of the notifySet has been committed and was added to the signaledObjects set.
    `static int` | `RT_ERR_SIGNAL_GEMSTONE_SESSION` This error indicates that the session received a signal from another GemStone session.
    `static int` | `RT_ERR_SIZE_LIMIT` The object was referenced with a byte index that was out of range.
    `static int` | `RT_ERR_SOFT_BREAK` A soft break was received.
    `static int` | `RT_ERR_SPECIAL_OR_NOT_COMMITTED` An attempt was made to add a special or uncommitted object to the NotifySet.
    `static int` | `RT_ERR_STACK_BREAKPOINT` A return from block has encountered a stack breakpoint.
    `static int` | `RT_ERR_STACK_LIMIT` GemStone Smalltalk execution stack overflow.
    `static int` | `RT_ERR_STACK_LIMIT_RED` GemStone Smalltalk execution stack overflow, in red zone page.
    `static int` | `RT_ERR_START_GC` A process is already running as the GC user or the process attempting to run the Reclaim or EpochGc is not the Gc process.
    `static int` | `RT_ERR_STEP` You have encountered a single-step breakpoint.
    `static int` | `RT_ERR_STR_TO_PATH_CONSTRAINT` String to path conversion failed due to lack of constraints.
    `static int` | `RT_ERR_STR_TO_PATH_IVNAME` String to path conversion failed due to invalid instVar name.
    `static int` | `RT_ERR_STREAM_NOT_ON_A_COLL` A stream was accessed to create an instance of a class, but the collection of the stream was not of the proper class kind.
    `static int` | `RT_ERR_SUBCLASS_RESPONSIBILITY` A method has been invoked in an abstract superclass that was designed to have been overridden in a concrete subclass.
    `static int` | `RT_ERR_SUPERCLASS_IS_NP` Class may not have instances persistent because superclass is NP.
    `static int` | `RT_ERR_SYM_ALREADY_DEFINED` The specified symbol was already defined.
    `static int` | `RT_ERR_SYM_NOT_FOUND` The symbol could not be found in the symbol list of the specified UserProfile.
    `static int` | `RT_ERR_SYMBOL_CREATION_NOT_ALLOWED` Creation of new Symbols not allowed at this time.
    `static int` | `RT_ERR_SYMBOL_TOO_LARGE` Attempt to create a symbol that is more than 1024 bytes.
    `static int` | `RT_ERR_TAG_NOT_ALLOWED` An attempt was made to put a tag on a special object, which is not allowed.
    `static int` | `RT_ERR_TOO_MANY_ERR_ARGS` System|signal:args:signalDictionary: was sent with an array argument containing more than 9 elements.
    `static int` | `RT_ERR_TRANLOG_DIR_FULL` Indicates that the tranlog directories are full and that the system is waiting for an operator to make more space available either by cleaning up the existing files (copying them to archive media and deleting them or by adding a new tranlog directory.
    `static int` | `RT_ERR_UALIB_LOAD_FAILED` An attempt to load a user action library failed.
    `static int` | `RT_ERR_UNCOMPILED_METHOD` A method is obsolete and needs to be recompiled.
    `static int` | `RT_ERR_UNCONTINUABLE_ERROR` An attempt was made to continue execution past an uncontinuable error.
    `static int` | `RT_ERR_UNDEF_POM_OBJ` Unsatisified forward references exist that were created by GciCreate or GciStore.
    `static int` | `RT_ERR_UNKNOWN_BYTECODE` A unknown bytecode was encountered by the GemStone Smalltalk execution subsystem.
    `static int` | `RT_ERR_USER_ID_ALREADY_EXISTS` An attempt was made to add a UserProfile to a UserProfileSet that already has an entry with the same userId.
    `static int` | `RT_ERR_VARYING_CONSTR_BYTES` An attempt was made to constrain the indexable portion of the a class whose format is Bytes.
    `static int` | `RT_ERR_VARYING_CONSTR_NONIDX` An attempt was made to constrain the indexable portion of a class which is not indexable.
    `static int` | `RT_ERR_WARNING_PASSWORD_EXPIRE` The password of the current UserProfile is about to expire.
    `static int` | `RT_ERR_WEAK_DICT_NEEDS_INIT` GciWeakDictInit() must be called before other weak dictionary functions.
    `static int` | `RT_GC_COMMIT_FAILURE` A commit during a garbage collection operation failed.
    `static int` | `SEG_ERR_BAD_AUTH_KIND` An attempt was made to change the authorization for a segment to an unrecognized value.
    `static int` | `SEG_ERR_BAD_GROUP` A group name was specified that was not in AllGroups.
    `static int` | `SEG_ERR_CANT_MOVE_OBJ` An attempt was made to change the segment of a special object or a symbol.
    `static int` | `SEG_ERR_MAX_SEG_GROUPS` An attempt was made to add a group to a segment that already recognizes four groups.
    `static int` | `SEG_ERR_MAX_USER_PROFILE_GROUPS` An attempt was made to add a UserProfile to a group when the UserProfile was already a member of four groups.
    `static int` | `SEG_ERR_TOO_MANY_GROUPS` A collection of groups was specified that held more than four members.
    `static int` | `STDB_ERR_ALREADY_DEFINED` The symbol is already defined as a temporary, an instance variable, or a parameter.
    `static int` | `STDB_ERR_ARRAY_TOO_LARGE` Arrays created by #[...] constructs may only contain up to 255 elements.
    `static int` | `STDB_ERR_ArrayBuilder_conversion` Error in ArrayBuilder conversion.
    `static int` | `STDB_ERR_BAD_CHAR_IN_ATENV` for envN: , env is followed by ch other than digits or :.
    `static int` | `STDB_ERR_BAD_CHR` The character found is not valid as a beginning character for a token.
    `static int` | `STDB_ERR_BAD_CHR_IN_RADIX_NUM` The character included in the radixed number is out of range or is an invalid character.
    `static int` | `STDB_ERR_BAD_EUC_FORMAT` The bytes of the source string are not in EUC format.
    `static int` | `STDB_ERR_BAD_FLT` The given exponent in the floating point number does not begin with a digit or is out of range.
    `static int` | `STDB_ERR_BAD_NUM_OF_ARGS` The block has the wrong number of arguments for this selector.
    `static int` | `STDB_ERR_BAD_NUM_OF_SELECT_ARGS` A SelectBlock was encountered that does not have one argument.
    `static int` | `STDB_ERR_BAD_PRIM_NUM` The maximum primitive number is 1023.
    `static int` | `STDB_ERR_BAD_RADIX` The maximum radix is 36.
    `static int` | `STDB_ERR_BAD_SELECT_OPERATOR` An unacceptable operator was given in the select block term; must be one of <, >, <=, >=, =, ~=, ==, ~~
    `static int` | `STDB_ERR_BLOCKS_TOO_DEEP` Blocks can only be nested 15 levels.
    `static int` | `STDB_ERR_ByteArrayLitElemRange` Error in ByteArrayLitElemRange.
    `static int` | `STDB_ERR_CODE_GEN_LOGIC` Internal logic error in compiler.
    `static int` | `STDB_ERR_CODE_TOO_BIG` The size of the compiled method exceeds the maximum allowed.
    `static int` | `STDB_ERR_COMPILER_BAD_IR` Malformed IR from parser detected by code generator.
    `static int` | `STDB_ERR_DISALLOWED_SELECTOR` You may not compile a method for this selector.
    `static int` | `STDB_ERR_ENV_TOO_BIG` envN: has N > 255.
    `static int` | `STDB_ERR_EOF_IN_CHR_LIT` Did not find a character after the dollar sign in a character literal.
    `static int` | `STDB_ERR_EOF_IN_COMMENT` Scanned to the end of the method without finding an ending quote for a comment.
    `static int` | `STDB_ERR_EOF_IN_STR_LIT` Scanned to the end of the method without finding an ending prime for a string literal.
    `static int` | `STDB_ERR_EXPECTED_ASSIGNABLE` The symbol on the right of an assignment must be either an instance variable, a temporary, or a literal variable.
    `static int` | `STDB_ERR_EXPECTED_BLOCK_OR_EXPR` The object was not a block or an expression.
    `static int` | `STDB_ERR_EXPECTED_BOOL_OR_EXPR` The object was not true, false or an expression.
    `static int` | `STDB_ERR_EXPECTED_EOF` Tokens were found after the logical end of a parseable method.
    `static int` | `STDB_ERR_EXPECTED_GT` A primitive did not end with the expected > token.
    `static int` | `STDB_ERR_EXPECTED_INT_OR_EXPR` The object was not an Integer or expression.
    `static int` | `STDB_ERR_EXPECTED_LIT_OR_EXPR` The object was a literal or an expression.
    `static int` | `STDB_ERR_EXPECTED_MSG_PATTERN` Invalid message pattern.
    `static int` | `STDB_ERR_EXPECTED_OPERAND` An operand was missing from the select block term.
    `static int` | `STDB_ERR_EXPECTED_PRIM` Expected to find the keyword "Primitive" after <.
    `static int` | `STDB_ERR_EXPECTED_PRIM_NUM` Expected to find an integer.
    `static int` | `STDB_ERR_EXPECTED_PRIMARY` Expected a primary expression.
    `static int` | `STDB_ERR_EXPECTED_RIGHT_BRACE` Expected a right curly bracket to terminate a selection block.
    `static int` | `STDB_ERR_EXPECTED_RIGHT_BRACKET` Expected a ].
    `static int` | `STDB_ERR_EXPECTED_RIGHT_PAREN` Expected a right parenthesis.
    `static int` | `STDB_ERR_EXPECTED_SELECT_TERM` Encountered an empty select block which evaluates to nil.
    `static int` | `STDB_ERR_EXPECTED_SELECTOR` Expected a selector beginning symbol for a message pattern.
    `static int` | `STDB_ERR_EXPECTED_STATEMENT` Expected a statement beginning token.
    `static int` | `STDB_ERR_EXPECTED_VAR` Expected a variable name.
    `static int` | `STDB_ERR_EXPECTED_VERTICAL_BAR` Expected a vertical bar to end a temporaries declaration.
    `static int` | `STDB_ERR_FIRST_TERM_CANNOT_BE_SET_VALUED` The first term of a path in a SelectBlock cannot indicate search over a set-valued instance variable (cannot be '*').
    `static int` | `STDB_ERR_ILLEGAL_PROTECTED_METHOD` Specified primitive method cannot be a protected method.
    `static int` | `STDB_ERR_LIT_TOO_BIG` String literals cannot be larger than 10,000 characters.
    `static int` | `STDB_ERR_LITERAL_INVARIANT` Attempt to modify an invariant literal such as EmptyString or EmptyArray; generated when compiling in dbf conversion mode.
    `static int` | `STDB_ERR_MAX_ARG` Only 15 arguments are allowed in a keyword message selector.
    `static int` | `STDB_ERR_MAX_ARGS` the maximum number of arguments to a method or block is 255.
    `static int` | `STDB_ERR_MAX_ARGS_TEMPS` The maximum sum of args and temps for a method or block is 2048, including the args and temps from any optimized block that is embedded in the method or block.
    `static int` | `STDB_ERR_MAX_LITS` The maximum number of literals is 255.
    `static int` | `STDB_ERR_MAX_PATH` Paths are allowed only 16 elements.
    `static int` | `STDB_ERR_MAX_SELECTORS` The maximum number of selectors is 255.
    `static int` | `STDB_ERR_NODIGIT_IN_ATENV` for envN: , env has no trailing digits.
    `static int` | `STDB_ERR_NOT_DEFINED` The symbol is not defined before its use.
    `static int` | `STDB_ERR_NOT_POS_INT_OR_EXPR` The object was not a positive Integer or expression.
    `static int` | `STDB_ERR_ODD_SIZE_DB_STRING` source string that is DoubleByteString has odd basic size.
    `static int` | `STDB_ERR_ODD_SIZE_MB_STRING` source string that is Double/QuadByteString has odd basic size.
    `static int` | `STDB_ERR_PRAGMA_IN_PRIM` pragma not allowed in a primitive:, protected, unprotected , requiresVc method.
    `static int` | `STDB_ERR_PREDICATE_TOO_BIG` The selection block's predicate is too complex.
    `static int` | `STDB_ERR_PRIM_NOT_ALLOWED` You may not compile a primitive or protected method.
    `static int` | `STDB_ERR_PRIMITIVE_IN_PRAGMA` primitive: , protected, unprotected , requiresVc not allowed in pragma.
    `static int` | `STDB_ERR_PROTECTED_TOKEN_REQUIRED` Method requires either <protected> or <unprotected>.
    `static int` | `STDB_ERR_STACK_TOO_BIG` The activation record requirements of the given method exceed the limits of the system.
    `static int` | `STDB_ERR_SUPER_NOT_ALLOWED` reference to super not allowed in instance method for Object.
    `static int` | `STDB_ERR_TERMS_NOT_PAREN` The conjoined terms of the given SelectionBlock were not parenthesized.
    `static int` | `STDB_ERR_TOO_MANY_BLOCKS` The maximum number of blocks in a method is 65536.
    `static int` | `STDB_ERR_UNEXPECTED_COLON` A colon must immediately precede either an equals sign (assignment) or an identifier (block parameter).
    `static int` | `STDB_ERR_UNEXPECTED_POUND` A pound sign must immediately precede one of the following: (, [, or a valid symbol character.
    `static int` | `STDB_ERR_UNEXPECTED_TOKEN` The indicated token was totally unexpected.
    `static int` | `STDB_ERR_UNUSED_TEMP_VAR` method or block temporary is unused.
    `static int` | `STDB_EXPRESSION_DEPTH` expression nesting too deep for configured GEM_TEMPOBJ_SCOPES_SIZE.
    `static int` | `STDB_INVALID_ATRUBY_KEYWORD` invalid form of ruby selector.
    `static int` | `STDB_MALFORMED_COMPILER_ERROR` Malformed error in compiler.
    `static int` | `STDB_METHOD_SOURCE_TOO_BIG` source string for a method is too big, max size 1073741823.
    `static int` | `STDB_SYMBOL_TOO_BIG` selector or symbol literal would exceed 1024 bytes.
    `static int` | `WARNING_FINISHED_MFC` Completed execution of the markForCollection method.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjGemStoneErrors()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPILER_ERR_STDB

          public static final int COMPILER_ERR_STDB

      compilation errors found. Arg1: Array of error descriptors, Arg2: source string object.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_PATH

          public static final int STDB_ERR_MAX_PATH

      Paths are allowed only 16 elements. The indicated path has too many elements.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ARRAY_TOO_LARGE

          public static final int STDB_ERR_ARRAY_TOO_LARGE

      Arrays created by #[...] constructs may only contain up to 255 elements.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EOF_IN_STR_LIT

          public static final int STDB_ERR_EOF_IN_STR_LIT

      Scanned to the end of the method without finding an ending prime for a string literal.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EOF_IN_COMMENT

          public static final int STDB_ERR_EOF_IN_COMMENT

      Scanned to the end of the method without finding an ending quote for a comment.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EOF_IN_CHR_LIT

          public static final int STDB_ERR_EOF_IN_CHR_LIT

      Did not find a character after the dollar sign in a character literal.
      See Also:
        Constant Field Values

    - #### STDB_ERR_UNEXPECTED_COLON

          public static final int STDB_ERR_UNEXPECTED_COLON

      A colon must immediately precede either an equals sign (assignment) or an identifier (block parameter). [This one is neither.]
      See Also:
        Constant Field Values

    - #### STDB_ERR_UNEXPECTED_POUND

          public static final int STDB_ERR_UNEXPECTED_POUND

      A pound sign must immediately precede one of the following: (, [, or a valid symbol character. [Did not find one of these.]
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_CHR

          public static final int STDB_ERR_BAD_CHR

      The character found is not valid as a beginning character for a token.
      See Also:
        Constant Field Values

    - #### STDB_ERR_LIT_TOO_BIG

          public static final int STDB_ERR_LIT_TOO_BIG

      String literals cannot be larger than 10,000 characters.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_RADIX

          public static final int STDB_ERR_BAD_RADIX

      The maximum radix is 36. This radix is too big.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_CHR_IN_RADIX_NUM

          public static final int STDB_ERR_BAD_CHR_IN_RADIX_NUM

      The character included in the radixed number is out of range or is an invalid character.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_RIGHT_PAREN

          public static final int STDB_ERR_EXPECTED_RIGHT_PAREN

      Expected a right parenthesis. Did not find it.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_PRIMARY

          public static final int STDB_ERR_EXPECTED_PRIMARY

      Expected a primary expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_VAR

          public static final int STDB_ERR_EXPECTED_VAR

      Expected a variable name.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_SELECTOR

          public static final int STDB_ERR_EXPECTED_SELECTOR

      Expected a selector beginning symbol for a message pattern.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_ARG

          public static final int STDB_ERR_MAX_ARG

      Only 15 arguments are allowed in a keyword message selector.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_EOF

          public static final int STDB_ERR_EXPECTED_EOF

      Tokens were found after the logical end of a parseable method.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_STATEMENT

          public static final int STDB_ERR_EXPECTED_STATEMENT

      Expected a statement beginning token. It is missing.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_PRIM

          public static final int STDB_ERR_EXPECTED_PRIM

      Expected to find the keyword "Primitive" after <. It is missing.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_PRIM_NUM

          public static final int STDB_ERR_EXPECTED_PRIM_NUM

      Expected to find an integer. It is missing.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_PRIM_NUM

          public static final int STDB_ERR_BAD_PRIM_NUM

      The maximum primitive number is 1023. This number is either larger than that or less than 1.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_RIGHT_BRACE

          public static final int STDB_ERR_EXPECTED_RIGHT_BRACE

      Expected a right curly bracket to terminate a selection block. It is missing.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_ARGS_TEMPS

          public static final int STDB_ERR_MAX_ARGS_TEMPS

      The maximum sum of args and temps for a method or block is 2048, including the args and temps from any optimized block that is embedded in the method or block.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_VERTICAL_BAR

          public static final int STDB_ERR_EXPECTED_VERTICAL_BAR

      Expected a vertical bar to end a temporaries declaration. It is missing.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_MSG_PATTERN

          public static final int STDB_ERR_EXPECTED_MSG_PATTERN

      Invalid message pattern.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_GT

          public static final int STDB_ERR_EXPECTED_GT

      A primitive did not end with the expected > token.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_FLT

          public static final int STDB_ERR_BAD_FLT

      The given exponent in the floating point number does not begin with a digit or is out of range.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_ASSIGNABLE

          public static final int STDB_ERR_EXPECTED_ASSIGNABLE

      The symbol on the right of an assignment must be either an instance variable, a temporary, or a literal variable. The symbol found is none of these.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ALREADY_DEFINED

          public static final int STDB_ERR_ALREADY_DEFINED

      The symbol is already defined as a temporary, an instance variable, or a parameter.
      See Also:
        Constant Field Values

    - #### STDB_ERR_NOT_DEFINED

          public static final int STDB_ERR_NOT_DEFINED

      The symbol is not defined before its use.
      See Also:
        Constant Field Values

    - #### STDB_ERR_PREDICATE_TOO_BIG

          public static final int STDB_ERR_PREDICATE_TOO_BIG

      The selection block's predicate is too complex. Simplify it and recompile the method.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BLOCKS_TOO_DEEP

          public static final int STDB_ERR_BLOCKS_TOO_DEEP

      Blocks can only be nested 15 levels.
      See Also:
        Constant Field Values

    - #### STDB_ERR_UNEXPECTED_TOKEN

          public static final int STDB_ERR_UNEXPECTED_TOKEN

      The indicated token was totally unexpected.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_RIGHT_BRACKET

          public static final int STDB_ERR_EXPECTED_RIGHT_BRACKET

      Expected a ]. Did not find it.
      See Also:
        Constant Field Values

    - #### STDB_ERR_STACK_TOO_BIG

          public static final int STDB_ERR_STACK_TOO_BIG

      The activation record requirements of the given method exceed the limits of the system. Reduce the complexity of the method and recompile it.
      See Also:
        Constant Field Values

    - #### STDB_ERR_CODE_TOO_BIG

          public static final int STDB_ERR_CODE_TOO_BIG

      The size of the compiled method exceeds the maximum allowed. Reduce the size of the method, and recompile it.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_LITS

          public static final int STDB_ERR_MAX_LITS

      The maximum number of literals is 255. This method has too many.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_SELECTORS

          public static final int STDB_ERR_MAX_SELECTORS

      The maximum number of selectors is 255. The method has too many.
      See Also:
        Constant Field Values

    - #### STDB_ERR_PRIM_NOT_ALLOWED

          public static final int STDB_ERR_PRIM_NOT_ALLOWED

      You may not compile a primitive or protected method.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_BOOL_OR_EXPR

          public static final int STDB_ERR_EXPECTED_BOOL_OR_EXPR

      The object was not true, false or an expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_BLOCK_OR_EXPR

          public static final int STDB_ERR_EXPECTED_BLOCK_OR_EXPR

      The object was not a block or an expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_INT_OR_EXPR

          public static final int STDB_ERR_EXPECTED_INT_OR_EXPR

      The object was not an Integer or expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_NOT_POS_INT_OR_EXPR

          public static final int STDB_ERR_NOT_POS_INT_OR_EXPR

      The object was not a positive Integer or expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_DISALLOWED_SELECTOR

          public static final int STDB_ERR_DISALLOWED_SELECTOR

      You may not compile a method for this selector.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_NUM_OF_ARGS

          public static final int STDB_ERR_BAD_NUM_OF_ARGS

      The block has the wrong number of arguments for this selector.
      See Also:
        Constant Field Values

    - #### STDB_ERR_LITERAL_INVARIANT

          public static final int STDB_ERR_LITERAL_INVARIANT

      Attempt to modify an invariant literal such as EmptyString or EmptyArray; generated when compiling in dbf conversion mode.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_OPERAND

          public static final int STDB_ERR_EXPECTED_OPERAND

      An operand was missing from the select block term.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_SELECT_OPERATOR

          public static final int STDB_ERR_BAD_SELECT_OPERATOR

      An unacceptable operator was given in the select block term; must be one of <, >, <=, >=, =, ~=, ==, ~~
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_SELECT_TERM

          public static final int STDB_ERR_EXPECTED_SELECT_TERM

      Encountered an empty select block which evaluates to nil. The select block must evaluate to a boolean.
      See Also:
        Constant Field Values

    - #### STDB_ERR_TERMS_NOT_PAREN

          public static final int STDB_ERR_TERMS_NOT_PAREN

      The conjoined terms of the given SelectionBlock were not parenthesized.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_NUM_OF_SELECT_ARGS

          public static final int STDB_ERR_BAD_NUM_OF_SELECT_ARGS

      A SelectBlock was encountered that does not have one argument.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_EUC_FORMAT

          public static final int STDB_ERR_BAD_EUC_FORMAT

      The bytes of the source string are not in EUC format.
      See Also:
        Constant Field Values

    - #### STDB_ERR_TOO_MANY_BLOCKS

          public static final int STDB_ERR_TOO_MANY_BLOCKS

      The maximum number of blocks in a method is 65536.
      See Also:
        Constant Field Values

    - #### STDB_ERR_MAX_ARGS

          public static final int STDB_ERR_MAX_ARGS

      the maximum number of arguments to a method or block is 255.
      See Also:
        Constant Field Values

    - #### STDB_ERR_CODE_GEN_LOGIC

          public static final int STDB_ERR_CODE_GEN_LOGIC

      Internal logic error in compiler.
      See Also:
        Constant Field Values

    - #### STDB_ERR_FIRST_TERM_CANNOT_BE_SET_VALUED

          public static final int STDB_ERR_FIRST_TERM_CANNOT_BE_SET_VALUED

      The first term of a path in a SelectBlock cannot indicate search over a set-valued instance variable (cannot be '*').
      See Also:
        Constant Field Values

    - #### STDB_ERR_ILLEGAL_PROTECTED_METHOD

          public static final int STDB_ERR_ILLEGAL_PROTECTED_METHOD

      Specified primitive method cannot be a protected method.
      See Also:
        Constant Field Values

    - #### STDB_ERR_PROTECTED_TOKEN_REQUIRED

          public static final int STDB_ERR_PROTECTED_TOKEN_REQUIRED

      Method requires either <protected> or <unprotected>.
      See Also:
        Constant Field Values

    - #### STDB_ERR_SUPER_NOT_ALLOWED

          public static final int STDB_ERR_SUPER_NOT_ALLOWED

      reference to super not allowed in instance method for Object.
      See Also:
        Constant Field Values

    - #### STDB_ERR_UNUSED_TEMP_VAR

          public static final int STDB_ERR_UNUSED_TEMP_VAR

      method or block temporary is unused.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ODD_SIZE_MB_STRING

          public static final int STDB_ERR_ODD_SIZE_MB_STRING

      source string that is Double/QuadByteString has odd basic size.
      See Also:
        Constant Field Values

    - #### STDB_ERR_PRIMITIVE_IN_PRAGMA

          public static final int STDB_ERR_PRIMITIVE_IN_PRAGMA

      primitive: , protected, unprotected , requiresVc not allowed in pragma.
      See Also:
        Constant Field Values

    - #### STDB_ERR_PRAGMA_IN_PRIM

          public static final int STDB_ERR_PRAGMA_IN_PRIM

      pragma not allowed in a primitive:, protected, unprotected , requiresVc method.
      See Also:
        Constant Field Values

    - #### STDB_ERR_EXPECTED_LIT_OR_EXPR

          public static final int STDB_ERR_EXPECTED_LIT_OR_EXPR

      The object was a literal or an expression.
      See Also:
        Constant Field Values

    - #### STDB_ERR_NODIGIT_IN_ATENV

          public static final int STDB_ERR_NODIGIT_IN_ATENV

      for envN: , env has no trailing digits.
      See Also:
        Constant Field Values

    - #### STDB_ERR_BAD_CHAR_IN_ATENV

          public static final int STDB_ERR_BAD_CHAR_IN_ATENV

      for envN: , env is followed by ch other than digits or :.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ENV_TOO_BIG

          public static final int STDB_ERR_ENV_TOO_BIG

      envN: has N > 255.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ByteArrayLitElemRange

          public static final int STDB_ERR_ByteArrayLitElemRange

      Error in ByteArrayLitElemRange.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ArrayBuilder_conversion

          public static final int STDB_ERR_ArrayBuilder_conversion

      Error in ArrayBuilder conversion.
      See Also:
        Constant Field Values

    - #### STDB_ERR_COMPILER_BAD_IR

          public static final int STDB_ERR_COMPILER_BAD_IR

      Malformed IR from parser detected by code generator.
      See Also:
        Constant Field Values

    - #### STDB_EXPRESSION_DEPTH

          public static final int STDB_EXPRESSION_DEPTH

      expression nesting too deep for configured GEM_TEMPOBJ_SCOPES_SIZE.
      See Also:
        Constant Field Values

    - #### STDB_METHOD_SOURCE_TOO_BIG

          public static final int STDB_METHOD_SOURCE_TOO_BIG

      source string for a method is too big, max size 1073741823.
      See Also:
        Constant Field Values

    - #### STDB_MALFORMED_COMPILER_ERROR

          public static final int STDB_MALFORMED_COMPILER_ERROR

      Malformed error in compiler.
      See Also:
        Constant Field Values

    - #### STDB_SYMBOL_TOO_BIG

          public static final int STDB_SYMBOL_TOO_BIG

      selector or symbol literal would exceed 1024 bytes.
      See Also:
        Constant Field Values

    - #### STDB_INVALID_ATRUBY_KEYWORD

          public static final int STDB_INVALID_ATRUBY_KEYWORD

      invalid form of ruby selector.
      See Also:
        Constant Field Values

    - #### STDB_ERR_ODD_SIZE_DB_STRING

          public static final int STDB_ERR_ODD_SIZE_DB_STRING

      source string that is DoubleByteString has odd basic size.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_TRANS_MODE

          public static final int RT_ERR_INVALID_TRANS_MODE

      The argument specified for transactionMode: was not valid. Args: (1) the invalid argument.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_SYMBOL_LIST

          public static final int RT_ERR_BAD_SYMBOL_LIST

      The user's symbol list is not a kind of Array containing objects that are a kind of SymbolDictionary.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_BAD_OFFSET_INCOMPLETE

          public static final int OBJ_ERR_BAD_OFFSET_INCOMPLETE

      An indexable object was referenced with an index that was out of range. The index must be between 1 and the number of indexable fields. Args: (1) the object; (2) the subscript. OR An NSC was indexed with a subscript that was out of bounds. Args: (1) the NSC; (2) the subscript.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_SUBSCRIPT

          public static final int RT_ERR_BAD_SUBSCRIPT

      A subscript that was out of range or not an Integer was used to index an object. Args: (1) the object; (2) the subscript.
      See Also:
        Constant Field Values

    - #### GCI_ERR_BAD_NUM_MSG_PARTS

          public static final int GCI_ERR_BAD_NUM_MSG_PARTS

      GciSendMsg was called with an inconsistent number of message parts. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_AUTH_ARRAY_SIZE

          public static final int RT_ERR_AUTH_ARRAY_SIZE

      An attempt was made to change Segment authorization, but the number of elements in the authorization array was wrong. The array should be of size 5. Args: (1) the array.
      See Also:
        Constant Field Values

    - #### RT_ERR_SHOULD_NOT_IMPLEMENT

          public static final int RT_ERR_SHOULD_NOT_IMPLEMENT

      A method was invoked that has been specifically disallowed in a subclass. Args: (1) the receiver; (2) the selector.
      See Also:
        Constant Field Values

    - #### RT_ERR_SUBCLASS_RESPONSIBILITY

          public static final int RT_ERR_SUBCLASS_RESPONSIBILITY

      A method has been invoked in an abstract superclass that was designed to have been overridden in a concrete subclass. Args: (1) the abstract superclass; (2) the selector
      See Also:
        Constant Field Values

    - #### OBJ_ERR_CLASS_VARIANT

          public static final int OBJ_ERR_CLASS_VARIANT

      An attempt was made to create an instance of a modifiable class (that is, a class still involved in schema design). Send the message "immediateInvariant" to the class to terminate class modification and allow instance creation. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_DOES_NOT_UNDERSTAND

          public static final int RT_ERR_DOES_NOT_UNDERSTAND

      No method was found for the given selector. Args: (1) the receiver; (2) the selector; 3) an array of arguments.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_SEGMENT

          public static final int OBJ_ERR_NOT_SEGMENT

      An attempt was made to use an object that is not a segment where a segment was required. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_INDEXABLE

          public static final int OBJ_ERR_NOT_INDEXABLE

      An attempt was made to index an object that is not indexable. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_PERFORM

          public static final int RT_ERR_CANT_PERFORM

      Cannot perform the given selector with the given arguments. Either the method was not found or the wrong number of arguments was specified. Args: (1) the receiver; (2) the selector; (3) array of arguments.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_SUBCLASS_DISALLOWED

          public static final int CLASS_ERR_SUBCLASS_DISALLOWED

      Cannot create a subclass of the given class. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_IN_COLLECTION

          public static final int OBJ_ERR_NOT_IN_COLLECTION

      Cannot find the object in designated collection.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_IN_NSC

          public static final int OBJ_ERR_NOT_IN_NSC

      An object was not found in collection where it was expected. Args: (1) the collection; (2) the object not found.
      See Also:
        Constant Field Values

    - #### REP_ERR_MAX_EXTENTS

          public static final int REP_ERR_MAX_EXTENTS

      An attempt was made to create a new extent when the logical repository already has the maximum number of extents attached. Args: (1) the maximum number of extents.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_PATTERN

          public static final int RT_ERR_BAD_PATTERN

      Illegal pattern array for string pattern matching. Args: (1) the pattern.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_BLOCK_ARG_COUNT

          public static final int RT_ERR_BAD_BLOCK_ARG_COUNT

      An attempt was made to evaluate a block or method with the wrong number of arguments. Args: (1) the block or method; (2) the expected number of arguments; (3) the number of arguments used.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_COLLECTION_EMPTY

          public static final int OBJ_ERR_COLLECTION_EMPTY

      An attempt was made to access elements of an empty Collection. Args: (1) the collection.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_NOT_CHR

          public static final int RT_ERR_ARG_NOT_CHR

      An attempt was made to store a object other than a character into a string. Args: (1) the object to be stored.
      See Also:
        Constant Field Values

    - #### RT_ERR_KEY_NOT_FOUND

          public static final int RT_ERR_KEY_NOT_FOUND

      A reference into a dictionary using a non-existent key was made. Args: (1) the dictionary; (2) the key.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_DATE_TIME_ARGS

          public static final int RT_ERR_BAD_DATE_TIME_ARGS

      Invalid arguments given to DateTime instance creation. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_GENERIC_KERNEL_ERROR

          public static final int RT_ERR_GENERIC_KERNEL_ERROR

      Generic error from kernel class method. Args: (1) message String.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_SUCH_BP

          public static final int RT_ERR_NO_SUCH_BP

      A breakpoint was specified for deletion that does not exist in the breakpoint table. Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_CANT_CREATE_FILE

          public static final int REP_ERR_CANT_CREATE_FILE

      The system was unable to create the given file. Args: (1) the filename.
      See Also:
        Constant Field Values

    - #### NUM_ERR_INT_DIVISION_BY_ZERO

          public static final int NUM_ERR_INT_DIVISION_BY_ZERO

      An attempt was made to divide an integer by zero. Args: (1) the number.
      See Also:
        Constant Field Values

    - #### RT_ERR_SPECIAL_OR_NOT_COMMITTED

          public static final int RT_ERR_SPECIAL_OR_NOT_COMMITTED

      An attempt was made to add a special or uncommitted object to the NotifySet. Args: (1) the object that is special or uncommitted.
      See Also:
        Constant Field Values

    - #### REP_ERR_PRE_GROW_FAILURE

          public static final int REP_ERR_PRE_GROW_FAILURE

      The given extent could not be created because an attempt to pre-grow the file failed for disk capacity reasons. Args: (1) the filename.
      See Also:
        Constant Field Values

    - #### RT_ERR_BEGIN_TRANS

          public static final int RT_ERR_BEGIN_TRANS

      An attempt was made to begin a new transaction when already in a transaction. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_PRIM_OUTSIDE_TRANS

          public static final int RT_ERR_PRIM_OUTSIDE_TRANS

      An attempt was made to execute a primitive that is disallowed when not inside of a transaction. Examples are commit, backup and restore. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_INVARIANT

          public static final int OBJ_ERR_INVARIANT

      An attempt was made to change an invariant object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_METH_CAT_EXISTS

          public static final int CLASS_ERR_METH_CAT_EXISTS

      An attempt was made to create a method category that already exists. Args: (1) the class; (2) the category.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_SELECTOR_NOT_FOUND

          public static final int CLASS_ERR_SELECTOR_NOT_FOUND

      A reference was made to a selector that could not be found in a class's method dictionary. Args: (1) the class; (2) the selector.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_REMOVE

          public static final int LOCK_ERR_REMOVE

      The user is not allowed to remove a lock on an object that they do not have a lock on. Args: (1) the object for which the user was trying to remove the lock.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_METH_CAT_NOT_FOUND

          public static final int CLASS_ERR_METH_CAT_NOT_FOUND

      In searching a class, the specified category name was not found. Args: (1) the class; (2) the category.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_BYTE_OBJ_INST_VARS

          public static final int CLASS_ERR_BYTE_OBJ_INST_VARS

      An attempt was made to create a byte subclass with instance variables. Args: (1) the superclass of the intended new class.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_CONSTRAINT_NOT_CLASS

          public static final int CLASS_ERR_CONSTRAINT_NOT_CLASS

      A constraint was specified incorrectly for subclass creation. A constraint must be specified as a class for Nscs or an array of pairs for pointer classes. Args: (1) the constraint argument.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_INVARIANT_SUPERCLASS

          public static final int CLASS_ERR_INVARIANT_SUPERCLASS

      An attempt was made to create a variant subclass of an invariant class. Args: none.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_NSC_NOT_INDEXABLE

          public static final int CLASS_ERR_NSC_NOT_INDEXABLE

      An attempt was made to create an indexable subclass of an Nsc class. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### REP_ERR_EXTENT_NOT_MOUNTED

          public static final int REP_ERR_EXTENT_NOT_MOUNTED

      The given extent was not part of the logical repository. Args: (1) the extent name or extentId.
      See Also:
        Constant Field Values

    - #### RT_ERR_PAGES_NEED_SCAVENGING

          public static final int RT_ERR_PAGES_NEED_SCAVENGING

      The attempt to schedule pages for scavenging failed because some other session was using the commit token. Try again later.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_NSC_INST_VARS

          public static final int CLASS_ERR_NSC_INST_VARS

      An attempt was made to create an Nsc subclass with instance variables. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_CLASS_VAR_NAME_EXISTS

          public static final int CLASS_ERR_CLASS_VAR_NAME_EXISTS

      An attempt was made to create a new class variable with the same name as an existing class variable. Args: (1) the class; (2) the variable name.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_POOL_DICT_EXISTS

          public static final int CLASS_ERR_POOL_DICT_EXISTS

      An attempt was made to add a dictionary to a shared pool in which it was already a member. Args: (1) the class of the pool; (2) the dictionary.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_POOL_DICT_NOT_FOUND

          public static final int CLASS_ERR_POOL_DICT_NOT_FOUND

      An attempt was made to remove a dictionary from a shared pool in which it was not a member. Args: (1) the class of the pool; (2) the dictionary.
      See Also:
        Constant Field Values

    - #### CLAMP_ERR_NO_SUCH_INSTVAR

          public static final int CLAMP_ERR_NO_SUCH_INSTVAR

      During clamp compilation, an instance variable clamp was encountered for a non-existent instance variable. Args: (1) the class (2) the instance variable name.
      See Also:
        Constant Field Values

    - #### CLAMP_ERR_NOT_A_CLASS

          public static final int CLAMP_ERR_NOT_A_CLASS

      An object was specified for class or instance variable clamping that was not a class object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### CLAMP_ERR_NOT_A_CLAMPSPEC

          public static final int CLAMP_ERR_NOT_A_CLAMPSPEC

      In an attempt to perform clamped object traversal, a ClampSpecification object was expected, but the specified object was of the wrong class. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### CLAMP_ERR_BAD_ARG

          public static final int CLAMP_ERR_BAD_ARG

      An argument to a clamp specification method had a bad size or implementation. Args: (1) the argument object.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPLICATE_ONLINE

          public static final int REP_ERR_REPLICATE_ONLINE

      The given extent already has a replicate online. Args: (1) filename of the existing replicate.
      See Also:
        Constant Field Values

    - #### REP_ERR_BAD_EXTENT_SIZE

          public static final int REP_ERR_BAD_EXTENT_SIZE

      The given maximum extent size is smaller than the minimum size of an extent. Args: (1) the invalid size, (2) the minimum size allowed for an extent.
      See Also:
        Constant Field Values

    - #### REP_ERR_CANT_OPEN_FILE

          public static final int REP_ERR_CANT_OPEN_FILE

      The given file could not be opened. Args: (1) the name of the file.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_SUCH_INST_VAR

          public static final int RT_ERR_NO_SUCH_INST_VAR

      An instance variable was not found in evaluating a path expression for an object. Args: (1) the object in the path where the failure occurred; (2) the name of the instance variable.
      See Also:
        Constant Field Values

    - #### RT_ERR_TAG_NOT_ALLOWED

          public static final int RT_ERR_TAG_NOT_ALLOWED

      An attempt was made to put a tag on a special object, which is not allowed. Args: (1) the special object.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_TAG_NUM

          public static final int RT_ERR_BAD_TAG_NUM

      The tag number specified is not allowed, legal values are 1 and 2. Args: (1) the object on which the tag was being added; (2) the tag number specified.
      See Also:
        Constant Field Values

    - #### SEG_ERR_MAX_SEG_GROUPS

          public static final int SEG_ERR_MAX_SEG_GROUPS

      An attempt was made to add a group to a segment that already recognizes four groups. Args: (1) the segment; (2) the group.
      See Also:
        Constant Field Values

    - #### SEG_ERR_BAD_AUTH_KIND

          public static final int SEG_ERR_BAD_AUTH_KIND

      An attempt was made to change the authorization for a segment to an unrecognized value. (The only possible values are: #read, #write, or #none.) Args: (1) the segment; (2) the symbol.
      See Also:
        Constant Field Values

    - #### RT_ERR_UNDEF_POM_OBJ

          public static final int RT_ERR_UNDEF_POM_OBJ

      Unsatisified forward references exist that were created by GciCreate or GciStore. This error prevents commit. GciCreate must be used to create objects that satisfy the references. Args: (1) The oop of one of the objects that was not yet created.
      See Also:
        Constant Field Values

    - #### RT_ERR_STACK_LIMIT

          public static final int RT_ERR_STACK_LIMIT

      GemStone Smalltalk execution stack overflow. Not trappable in StDB . Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_NOT_POSITIVE

          public static final int RT_ERR_ARG_NOT_POSITIVE

      A negative or non-numeric was found where a positive numeric was expected. Args: (1) the value.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_OUT_OF_RANGE

          public static final int RT_ERR_ARG_OUT_OF_RANGE

      An argument was too large or out of range. Args: (1) the argument.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_CHANGE_CONSTRAINT

          public static final int RT_ERR_CANT_CHANGE_CONSTRAINT

      A constraint cannot be changed in a Dictionary that is not empty.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_MESSAGE

          public static final int RT_ERR_NO_MESSAGE

      An error was signalled for which there is no message. Args: (1) the LanguageDictionary; (2) the error.
      See Also:
        Constant Field Values

    - #### NUM_ERR_ARG_NOT_CHR

          public static final int NUM_ERR_ARG_NOT_CHR

      An attempt was made to coerce an integer into a kind of Character, but its value was not in range. Args: (1) the integer.
      See Also:
        Constant Field Values

    - #### NUM_ERR_ARG_NOT_FLT_EXCEPTION

          public static final int NUM_ERR_ARG_NOT_FLT_EXCEPTION

      An unrecognized float exception was specified. Legal float exceptions are: 'divideByZero', 'inexactResult', 'invalidOperation', 'overflow', and 'underflow'. Args: (1) the specified exception.
      See Also:
        Constant Field Values

    - #### NUM_ERR_FLT_EXCEPTION

          public static final int NUM_ERR_FLT_EXCEPTION

      A floating point exception has been raised. Arg: (1) The type of floating point exception (a String); (2) The selector that generated the exception; (3) the default result; (4-10) arguments to the original operation.
      See Also:
        Constant Field Values

    - #### NUM_ERR_ARG_NOT_ROUNDING_MODE

          public static final int NUM_ERR_ARG_NOT_ROUNDING_MODE

      An unrecognized float rounding mode was specified. Legal modes are: 'nearestEven', 'towardMinusInfinity', 'towardPlusInfinity', and 'towardZero'. Args: (1) the specified rounding mode.
      See Also:
        Constant Field Values

    - #### SEG_ERR_CANT_MOVE_OBJ

          public static final int SEG_ERR_CANT_MOVE_OBJ

      An attempt was made to change the segment of a special object or a symbol. Segment changes are not allowed for special objects or symbols. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_EXCEPTION_NOT_LINKED

          public static final int RT_ERR_EXCEPTION_NOT_LINKED

      An attempt was made to remove an unlinked exception. Args: (1) the exception.
      See Also:
        Constant Field Values

    - #### NUM_ERR_ARG_NOT_FLT_STATUS

          public static final int NUM_ERR_ARG_NOT_FLT_STATUS

      An invalid float status was specified. Args: (1) the float status.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_UNDEFINED_LOCK

          public static final int LOCK_ERR_UNDEFINED_LOCK

      The lock kind specified was invalid. Args: (1) the object upon which the lock was requested; (2) kind of lock requested.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_INCOMPLETE

          public static final int LOCK_ERR_INCOMPLETE

      One or more of the objects you requested had a lock error. Args:(1) objects that were not locked i.e., LOCK_ERR_DENIED (an Array); (2) objects that were locked but have new values i.e., LOCK_ERR_OBJ_HAS_CHANGED (an Array); (3) special objects i.e., LOCK_ERR_SPECIAL (an Array).
      See Also:
        Constant Field Values

    - #### LOCK_ERR_OBJ_HAS_CHANGED

          public static final int LOCK_ERR_OBJ_HAS_CHANGED

      A requested lock was granted, but the object has changed value since you started this transaction. Args (1) object upon which lock was requested.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_DENIED

          public static final int LOCK_ERR_DENIED

      A requested lock was denied. Args (1) object upon which lock was requested; (2) the kind of lock requested (#read, #write, or #exclusive).
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_CLUSTER_ID

          public static final int RT_ERR_MAX_CLUSTER_ID

      A request to create a new clusterbucket exceeded the maximum size allowed for a clusterId. Args: (1) The max size.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_ERR

          public static final int RT_ERR_BAD_ERR

      An attempt was to signal an error that has a bad format, but it has a non-positive error number. Args: (1) the error number; (2) the original error list (an Array); (3) the SymbolDictionary.
      See Also:
        Constant Field Values

    - #### RT_ERR_USER_ID_ALREADY_EXISTS

          public static final int RT_ERR_USER_ID_ALREADY_EXISTS

      An attempt was made to add a UserProfile to a UserProfileSet that already has an entry with the same userId. Args: (1) the set; (2) the userId.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_RETURN

          public static final int RT_ERR_CANT_RETURN

      GemStone Smalltalk execution could not return from the current activation. The activation or process to return to may no longer be active. Args: none (the Process will contain the stack in which the return failed).
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_CHANGE_CLASS

          public static final int RT_ERR_CANT_CHANGE_CLASS

      An illegal attempt was made to change the class of an object. The new class must be a direct subclass of the object's class and have the same implementation and constraints. Args: (1) the object; (2) the new class.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_BECOME_SPECIAL

          public static final int RT_ERR_CANT_BECOME_SPECIAL

      An attempt was made to use become with an object that is a special object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_GARBAGE_COLLECT

          public static final int RT_ERR_GARBAGE_COLLECT

      Attempt to run mark for collect when not the only user on the system AND the concurrency mode is set for no read set.
      See Also:
        Constant Field Values

    - #### RT_ERR_PRIM_NOT_FOUND

          public static final int RT_ERR_PRIM_NOT_FOUND

      a method was invoked that calls a non-existent primitive. Args: (1) the primitive number.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_INST_VARS

          public static final int RT_ERR_NO_INST_VARS

      An attempt was made to directly access the instance variables of an object with instVarAt: or instVarAt:put:, but the object has no instance variables. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_EXPECTED_BOOLEAN

          public static final int RT_ERR_EXPECTED_BOOLEAN

      The virtual machine expected a boolean to be on top of the stack but found something else. Args: (1) the object on top of the stack.
      See Also:
        Constant Field Values

    - #### RT_ERR_DIRTY_OBJS_NEEDS_INIT

          public static final int RT_ERR_DIRTY_OBJS_NEEDS_INIT

      GciDirtyObjsInit must be executed at least once before GciDirtyObjs.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_CHANGE_PASSWORD

          public static final int RT_ERR_CANT_CHANGE_PASSWORD

      An attempt was made to change the password for another UserProfile with oldPassword:newPassword:. Use password: instead. Args: (1) the UserProfile.
      See Also:
        Constant Field Values

    - #### RT_ERR_NEW_STACK_LIMIT

          public static final int RT_ERR_NEW_STACK_LIMIT

      The value specified for the new stack limit is smaller than the current size of the execution stack. Args: (1) new stack limit value.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_COPY_FROM_TO

          public static final int RT_ERR_BAD_COPY_FROM_TO

      An index range was specified for a sequenceable collection with the starting index greater than the ending index. Args: (1) the starting index; (2) the ending index.
      See Also:
        Constant Field Values

    - #### RT_ERR_NIL_KEY_VALUE_DICT_KEY

          public static final int RT_ERR_NIL_KEY_VALUE_DICT_KEY

      An illegal attempt was made to store nil as a key in a KeyValueDictionary.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_BECOME_BOTHIDX

          public static final int RT_ERR_CANT_BECOME_BOTHIDX

      Attempt was made to use become on two objects that both participate in indexes and are not of the same class. Args: (1) obj1; (2) obj2.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_PROCESS_TO_CONTINUE

          public static final int RT_ERR_NO_PROCESS_TO_CONTINUE

      The Process specified from which to continue is invalid. Args: (1) the Process.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_STREAM_POSITION

          public static final int RT_ERR_BAD_STREAM_POSITION

      An attempt was made to set the Stream position beyond the limits of the collection. The position must be in the range of 1 to collection size + 1. Args: (1) the stream; (2) the position.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_ARG_KIND

          public static final int RT_ERR_BAD_ARG_KIND

      The specified object was not of the expected class kind. Args: (1) the object; (2) the expected class.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_CLASS_VAR_NOT_FOUND

          public static final int CLASS_ERR_CLASS_VAR_NOT_FOUND

      An attempt was made to remove a class variable that did not exist. Args: (1) the class; (2) the variable name.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_NO_ELEMENTS_DETECTED

          public static final int ASSOC_ERR_NO_ELEMENTS_DETECTED

      detect: was sent to a collection, but no elements of the collection satisfied the block. Args: (1) the collection; (2) the block.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_NOT_A_VAR

          public static final int CLASS_ERR_NOT_A_VAR

      A symbol was not resolvable as a variable within a class (i.e., an instance variable, class variable, or pool variable). Args: (1) the class; (2) the symbol.
      See Also:
        Constant Field Values

    - #### SEG_ERR_TOO_MANY_GROUPS

          public static final int SEG_ERR_TOO_MANY_GROUPS

      A collection of groups was specified that held more than four members. Args: (1) the collection.
      See Also:
        Constant Field Values

    - #### RT_ERR_EXPECTED_BYTE_VALUE

          public static final int RT_ERR_EXPECTED_BYTE_VALUE

      An attempt was made to store into a byte object something other than a SmallInteger in the range 0-255. Args: (1) the object being stored.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_BAD_FORMAT

          public static final int CLASS_ERR_BAD_FORMAT

      A class creation was attempted with an illegal representation. Args: (1) the potential class name.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_DOES_NOT_EXIST

          public static final int OBJ_ERR_DOES_NOT_EXIST

      The object does not exist. Args: (1) Integer value of objectId, trappable only by an Exception specifying exactly this error.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_OOP_KIND

          public static final int OBJ_ERR_NOT_OOP_KIND

      The object is not implemented as a pointer object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_BYTE_KIND

          public static final int OBJ_ERR_NOT_BYTE_KIND

      The object is not implemented as a byte object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_NSC_KIND

          public static final int OBJ_ERR_NOT_NSC_KIND

      The object is not implemented as an Nsc object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_ALREADY_EXISTS

          public static final int OBJ_ERR_ALREADY_EXISTS

      An attempt was made to create an object that already exists. Args: (1) the object; (2) object identifier of the object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_OOP_NOT_ALLOCATED

          public static final int OBJ_ERR_OOP_NOT_ALLOCATED

      An attempt was made to store a forward reference using an oop that has not been allocated to the session. Args: (1) the object identifier.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_CONSTRAINT_VIOLATION

          public static final int OBJ_ERR_CONSTRAINT_VIOLATION

      An object of the wrong class was stored into a constrained instance variable. Args: (1) the object being modified; (2) object stored; (3) the highest allowable class; (4) the class of the object stored.
      See Also:
        Constant Field Values

    - #### RT_ERR_EXPECTED_CLASS

          public static final int RT_ERR_EXPECTED_CLASS

      The specified object was expected to be a class but was not. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### OBJ_CLASS_NOT_OOP_KIND

          public static final int OBJ_CLASS_NOT_OOP_KIND

      An attempt was made to create a pointer object for a class which does not specify pointer object format. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_BAD_OFFSET

          public static final int OBJ_ERR_BAD_OFFSET

      An object was indexed using structural access with a index that was out of range. The minimum index is 1. The maximum is specified by an argument. Args: (1) the object; (2) the maximum index; (3) the specified index.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_CANT_CREATE_INSTANCE

          public static final int OBJ_ERR_CANT_CREATE_INSTANCE

      An attempt was made to create an instance of a class that does not allow "new". Args: (1) the class.
      See Also:
        Constant Field Values

    - #### OBJ_CLASS_NOT_BYTE_KIND

          public static final int OBJ_CLASS_NOT_BYTE_KIND

      An attempt was made to create a byte object for a class which does not specify byte object format. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_ARG_SIZE

          public static final int LOCK_ERR_ARG_SIZE

      An argument to a locking primitive was too large.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_SPECIAL_KIND

          public static final int OBJ_ERR_NOT_SPECIAL_KIND

      The object is not implemented as a special object. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_READ

          public static final int AUTH_ERR_SEG_READ

      An attempt was made to read an object with insufficient authorization. Args: (1) the object; (2) its segment.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_WRITE

          public static final int AUTH_ERR_SEG_WRITE

      An attempt was made to modify an object with insufficient authorization. Args: (1) the object; (2) the segment.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_OOP_OR_NSC

          public static final int OBJ_ERR_NOT_OOP_OR_NSC

      An operation was attempted on an object that is legal only on pointer or Nsc objects. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBSOLETE

          public static final int RT_ERR_OBSOLETE

      A selector was sent to an object whose class is obsolete. Args: (1) the object; (2) the selector.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_BECOME_ONEIDX

          public static final int RT_ERR_CANT_BECOME_ONEIDX

      Attempt to use become when one object is indexed, and the other object is not the same format as the indexed object. Args: (1) indexed object; (2) other object.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_FLT

          public static final int OBJ_ERR_NOT_FLT

      Through the GCI, a request was made to convert a float object into another representation. The object given, however, was not a float. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_BECOME_CLASSKIND

          public static final int RT_ERR_CANT_BECOME_CLASSKIND

      Attempt to use become on an object that is used internally by the virtual machine. Args: (1) the object; (2) the class.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_BYTE_SUBCLASS

          public static final int CLASS_ERR_BYTE_SUBCLASS

      You may not create a byte subclass of the given class. Args: (1) the superclass of the intended new class.
      See Also:
        Constant Field Values

    - #### REP_ERR_BAD_BKUP_SWIZZLE

          public static final int REP_ERR_BAD_BKUP_SWIZZLE

      an invalid swizzle transform was detected in a backup file. Args: (1) longTransform; (2) shortTransform.
      See Also:
        Constant Field Values

    - #### REP_ERR_CANT_CREATE_REPOS

          public static final int REP_ERR_CANT_CREATE_REPOS

      The specified repository could not be created. Args: (1) the repository name.
      See Also:
        Constant Field Values

    - #### REP_ERR_BAD_FILE_SPEC

          public static final int REP_ERR_BAD_FILE_SPEC

      The given file spec was invalid. (Is the logical directory defined? Is the filename in host format?) Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_FILE_ALREADY_EXISTS

          public static final int REP_ERR_FILE_ALREADY_EXISTS

      A file already exists with the given name. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_DUPLICATE_KEY

          public static final int RT_ERR_DUPLICATE_KEY

      Key already exists in a dictionary. Args: (1) the dictionary; (2) the key.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_BAD_COMPARISON

          public static final int ASSOC_ERR_BAD_COMPARISON

      The evaluation of a selection block resulted in an illegal comparison being performed. Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_INCOMPATIBLE_REPOS

          public static final int REP_ERR_INCOMPATIBLE_REPOS

      The repository version does not match the version of GemStone currently being run. Args: none.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_CLASS_MODIFIABLE

          public static final int ASSOC_ERR_CLASS_MODIFIABLE

      An attempt was made to create an index where the class of one of the terms in the path is a class that is still modifiable. Args: 1) the class.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_CONSTR_INHER

          public static final int CLASS_ERR_CONSTR_INHER

      The specified constraint is not a subclass of an inherited constraint for an inherited instance variable or indexable part. Args: (1) the specified constraint; (2) the inherited constraint; (3) the offset.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_BAD_CONSTRAINT

          public static final int CLASS_ERR_BAD_CONSTRAINT

      The constraint field was invalid in subclass creation. Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_BAD_BKUP_VERSION

          public static final int REP_ERR_BAD_BKUP_VERSION

      an incompatible file version was detected in a backup file. Args: (1) version.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_BAD_FETCH_OFFSET

          public static final int OBJ_ERR_BAD_FETCH_OFFSET

      A structural access retrieval used an index that was out of range. The minimum index is 1. The maximum is size of object(for singular fetch) or size + 1 (for plural fetch). Args: (1) the object; (2) object size; (3) the specified index.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_BECOME_INDEXED_NSC

          public static final int RT_ERR_CANT_BECOME_INDEXED_NSC

      Attempt to use become on an object that is a kind of Bag while the object has indexed paths. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_INDEX_FOR_PATH

          public static final int RT_ERR_NO_INDEX_FOR_PATH

      An index with the path was not found for the Nsc. Args: (1) the path string.
      See Also:
        Constant Field Values

    - #### OBJ_CLASS_NOT_OOP_OR_NSC_KIND

          public static final int OBJ_CLASS_NOT_OOP_OR_NSC_KIND

      An attempt was made to create a pointer object for a class which does not specify pointer object format. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_RECURSION

          public static final int RT_ERR_MAX_RECURSION

      Too many recursions from useractions to GemStone Smalltalk or within object manager.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_SESSION

          public static final int RT_ERR_BAD_SESSION

      A session was specified that does not exist. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_NOT_ONLY_USER

          public static final int RT_ERR_NOT_ONLY_USER

      An operation that needs exclusive use of the system was attempted when other users were logged in. Args: (1) number of users logged in.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_MAX_SIZE

          public static final int OBJ_ERR_MAX_SIZE

      An attempt was made to extend an object to larger than the maximum allowable size. Args: (1) the object; (2) the maximum size; (3) the specified size.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_METHOD

          public static final int RT_ERR_INVALID_METHOD

      The virtual machine cannot execute a method until it has been upgraded to a 4.0 or higher version. Args: (1) the invalid CompiledMethod
      See Also:
        Constant Field Values

    - #### REP_ERR_MAX_ONLINE_REPOS

          public static final int REP_ERR_MAX_ONLINE_REPOS

      An attempt was made to attach more repositories than can be on-line at one time. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_RCQUEUE_ENTRIES_FOUND

          public static final int RT_ERR_RCQUEUE_ENTRIES_FOUND

      In attempting to reset the maxSessionId for the queue to a smaller value, an entry was found that was added by a session whose sessionId is larger than the value currently being set. Remove and save all entries in the queue. Then changeMaxSessionId and add the saved entries back into the queue. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_FIRST_PATH_TERM_SET_VALUED

          public static final int RT_ERR_FIRST_PATH_TERM_SET_VALUED

      The first term in an Nsc index path expression cannot indicate a set-valued instance variable (i.e. cannot be an asterisk).
      See Also:
        Constant Field Values

    - #### GCI_ERR_PARENT_SESSION

          public static final int GCI_ERR_PARENT_SESSION

      The attempted GCI operation is illegal in a user action when applied to a session inherited from a parent GemStone Smalltalk or GCI scope.
      See Also:
        Constant Field Values

    - #### GCI_ERR_ALREADY_LOGGED_IN

          public static final int GCI_ERR_ALREADY_LOGGED_IN

      An attempt was made to log in after the session was already established. Args: none.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_BAD_IDENTIFIER

          public static final int CLASS_ERR_BAD_IDENTIFIER

      An illegal identifier was used to name an instance variable or class. Args: (1) the name.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_CONSTR_PRIVATE_IV

          public static final int CLASS_ERR_CONSTR_PRIVATE_IV

      Illegal attempt to constrain a private instance variable. Args: (1) name of the instance variable.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_PRIV

          public static final int RT_ERR_NO_PRIV

      An attempt was made to do a privileged operation for which no privilege had been granted. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_BTREE_READ_STREAM

          public static final int RT_ERR_INVALID_BTREE_READ_STREAM

      The btree read stream is invalid (possibly due to modifications to objects referenced by the stream). Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_DECR_NOT_ALLOWED

          public static final int RT_ERR_DECR_NOT_ALLOWED

      An RcPositiveCounter cannot be decremented to a negative value.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPOS_NOT_ATTACHED

          public static final int REP_ERR_REPOS_NOT_ATTACHED

      The repository referenced is not attached. Args: (1) the repository.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPOS_NEEDS_RECOVERY

          public static final int REP_ERR_REPOS_NEEDS_RECOVERY

      The repository could not be attached because it was left in an inconsistent state. A recovery program must be run on it. Args: (1) the repository.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPLICATE_NOT_MOUNTED

          public static final int REP_ERR_REPLICATE_NOT_MOUNTED

      The replicate referenced is not mounted. Args: (1) the replicate.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPOS_READ

          public static final int REP_ERR_REPOS_READ

      A read error was detected when reading from the repository. Args: (1) the page number; (2) the filename of the repository extent.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPOS_WRITE

          public static final int REP_ERR_REPOS_WRITE

      A write error was detected when writing to the repository. Args: (1) the page number (2) the filename of the repository extent.
      See Also:
        Constant Field Values

    - #### RT_ERR_MIGRATION_CONSTRAINT

          public static final int RT_ERR_MIGRATION_CONSTRAINT

      An object migration could not occur because of a constraint migration. Args: (1) the object; (2) instVar value; (3) constraint on instVar value required by destination class.
      See Also:
        Constant Field Values

    - #### RT_ERR_SELECTIVE_ABORT

          public static final int RT_ERR_SELECTIVE_ABORT

      The selectiveAbort primitive was attempted on an object that is involved in an index. Args: (1) the object on which the selectiveAbort was attempted.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_DATETIME_OUT_OF_RANGE

          public static final int OBJ_ERR_DATETIME_OUT_OF_RANGE

      The DateTime passed is either out of range for a time_t, or the julianSeconds field is not between 0 and 86399 inclusive. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_LONG_NOT_SMALL_INT

          public static final int OBJ_ERR_LONG_NOT_SMALL_INT

      The integer passed to gciIntToObject was outside the range of SmallIntegers. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_LONG

          public static final int OBJ_ERR_NOT_LONG

      gciObjectToInt was passed an object which was not a SmallInteger. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_CHR

          public static final int OBJ_ERR_NOT_CHR

      The argument to a GCI object to character conversion was not an instance of Character, or is out of range of the result. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_COMPRESS_FAILURE

          public static final int LGC_ERR_COMPRESS_FAILURE

      compress() in the zlib library failed. Args: (1) error code.
      See Also:
        Constant Field Values

    - #### LGC_ERR_UNCOMPRESS_FAILURE

          public static final int LGC_ERR_UNCOMPRESS_FAILURE

      uncompress() in the zlib library failed. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_TRAVSWIZZ_FAILURE

          public static final int LGC_ERR_TRAVSWIZZ_FAILURE

      travBuffSwizzle() in the linkgc.hc module failed. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_TOO_LARGE

          public static final int RT_ERR_ARG_TOO_LARGE

      The object (arg 1) is too large. The maximum allowed size is (arg 2).
      See Also:
        Constant Field Values

    - #### RT_ERR_UALIB_LOAD_FAILED

          public static final int RT_ERR_UALIB_LOAD_FAILED

      An attempt to load a user action library failed. Args: (1) C string explaining why load failed.
      See Also:
        Constant Field Values

    - #### LGC_ERR_OBJREPHDR_SIZE

          public static final int LGC_ERR_OBJREPHDR_SIZE

      Mismatch in size of GciObjRepHdrSType, problems with C compiler used to build a client GCI perhaps. Args: none.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_WRITE_SEG

          public static final int AUTH_ERR_SEG_WRITE_SEG

      An attempt was made to write to a segment with insufficient authorization. Args: (1) the segment.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_READ_SEG

          public static final int AUTH_ERR_SEG_READ_SEG

      An attempt was made to read from a segment with insufficient authorization. Args: (1) the segment.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_PATH_TOO_LONG

          public static final int ASSOC_ERR_PATH_TOO_LONG

      A path was specified with more than 1024 characters. Args: (1) the path.
      See Also:
        Constant Field Values

    - #### REP_ERR_FILE_NAME_TOO_BIG

          public static final int REP_ERR_FILE_NAME_TOO_BIG

      The filename is too large. Args: (1) the filename; (2) maximum size.
      See Also:
        Constant Field Values

    - #### RT_ERR_SEMAPHORE

          public static final int RT_ERR_SEMAPHORE

      A semaphore operation failed. Args: (1) the semaphore index; (2) the message returned by the underlying system routine.
      See Also:
        Constant Field Values

    - #### RT_ERR_PASSWORD_TOO_BIG

          public static final int RT_ERR_PASSWORD_TOO_BIG

      A password was specified with more than 255 characters. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_CLASS_HISTORY_MISMATCH

          public static final int RT_ERR_CLASS_HISTORY_MISMATCH

      Become is not allowed because the classes of the two objects do not have identical class histories. Args: (1) anObject; (2) anObject.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_METH_DICT_LIMIT

          public static final int CLASS_ERR_METH_DICT_LIMIT

      A Class has more than 1500 methods in its method dictionary. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_SHR_PC_DETACH

          public static final int RT_ERR_SHR_PC_DETACH

      An error occurred while detaching from the SharedPageCache. Args: (1) an error message returned from the lower levels.
      See Also:
        Constant Field Values

    - #### REP_ERR_CANT_DISPOSE

          public static final int REP_ERR_CANT_DISPOSE

      Unable to dispose of the replicate. Args: (1) the replicate name.
      See Also:
        Constant Field Values

    - #### RT_ERR_INTERNAL

          public static final int RT_ERR_INTERNAL

      SYSTEM ERROR: A system runtime error was detected. Args: (1) the system error number; (2..n) error-specific arguments.
      See Also:
        Constant Field Values

    - #### RT_ERR_STREAM_NOT_ON_A_COLL

          public static final int RT_ERR_STREAM_NOT_ON_A_COLL

      A stream was accessed to create an instance of a class, but the collection of the stream was not of the proper class kind. Args: (1) the class; (2) the stream; (3) the expected collection class kind.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_FORMAT

          public static final int RT_ERR_BAD_FORMAT

      An object was being read from a string or stream, but the format was not correct to read an object of the specified class. Args: (1) the class; (2) the string or stream.
      See Also:
        Constant Field Values

    - #### RT_ERR_SHRPC_COMPATIBILITY

          public static final int RT_ERR_SHRPC_COMPATIBILITY

      The compatibility level of the SharedPageCache Monitor does not match that of the executable trying to attach. Args: (1) compatibility level of the SharedPageCache Monitor; (2) compatibility level of this process.
      See Also:
        Constant Field Values

    - #### SEG_ERR_BAD_GROUP

          public static final int SEG_ERR_BAD_GROUP

      A group name was specified that was not in AllGroups. Args: (1) the group name.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_PRIV

          public static final int RT_ERR_BAD_PRIV

      A privilege was specified that was not a valid privilege string. Args: (1) the privilege string.
      See Also:
        Constant Field Values

    - #### RT_ERR_RESOLVE_SYM_FAILED

          public static final int RT_ERR_RESOLVE_SYM_FAILED

      GciResolveSymbol failed to find the specified C string or symbol. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SYM_ALREADY_DEFINED

          public static final int RT_ERR_SYM_ALREADY_DEFINED

      The specified symbol was already defined. Args: (1) the UserProfile of the current session; (2) the symbol.
      See Also:
        Constant Field Values

    - #### RT_ERR_SYM_NOT_FOUND

          public static final int RT_ERR_SYM_NOT_FOUND

      The symbol could not be found in the symbol list of the specified UserProfile. Args: (1) the UserProfile; (2) the symbol.
      See Also:
        Constant Field Values

    - #### RT_ERR_EOF_ON_READ_STREAM

          public static final int RT_ERR_EOF_ON_READ_STREAM

      End-of-file was encountered on a ReadStream. Args: (1) the stream.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_SORT_ODD_LENGTH_ARRAY

          public static final int ASSOC_ERR_SORT_ODD_LENGTH_ARRAY

      A sorting array was specified that was not an even number of elements long. Args: (1) the array.
      See Also:
        Constant Field Values

    - #### ASSOC_ERR_BAD_DIRECTION

          public static final int ASSOC_ERR_BAD_DIRECTION

      A sorting direction was specified that was not ASCENDING or DESCENDING. Args: (1) the direction specified.
      See Also:
        Constant Field Values

    - #### RT_ERR_CONFIG_PARM_READ_ONLY

          public static final int RT_ERR_CONFIG_PARM_READ_ONLY

      An attempt was made to modify a configuration parameter that is read-only while the system is running. Args: (1) name of parameter.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_FORMAT_SPEC

          public static final int RT_ERR_BAD_FORMAT_SPEC

      An illegal formatting array was specified for the given class. Args: (1) the class; (2) the array.
      See Also:
        Constant Field Values

    - #### HOST_ERR_FILE_EXPORT

          public static final int HOST_ERR_FILE_EXPORT

      The string cannot be exported to the specified file. Args: (1) the string; (2) the file name.
      See Also:
        Constant Field Values

    - #### HOST_ERR_FILE_IMPORT

          public static final int HOST_ERR_FILE_IMPORT

      The specified file cannot be imported. Args: (1) the file name.
      See Also:
        Constant Field Values

    - #### HOST_ERR_FILE_DIRECTORY

          public static final int HOST_ERR_FILE_DIRECTORY

      Cannot fetch the server OS directory. Args: (1) the directory name.
      See Also:
        Constant Field Values

    - #### HOST_ERR_FILE_DELETE

          public static final int HOST_ERR_FILE_DELETE

      The specified file cannot be deleted. Args: (1) the file name.
      See Also:
        Constant Field Values

    - #### HOST_ERR_PERFORM

          public static final int HOST_ERR_PERFORM

      The specified string cannot be executed in the OS shell. Args: (1) the string.
      See Also:
        Constant Field Values

    - #### RT_ERR_SIG_MSG_TOO_BIG

          public static final int RT_ERR_SIG_MSG_TOO_BIG

      The message was too long. Args: (1) the message string; (2) the size of the string; (3) the maximum size allowed.
      See Also:
        Constant Field Values

    - #### GCI_ERR_OP_IN_PROGRESS

          public static final int GCI_ERR_OP_IN_PROGRESS

      A GCI operation was attempted before a previous nonblocking operation was completed. Args: (1) an integer representing the current operation in progress.
      See Also:
        Constant Field Values

    - #### GCI_ERR_NO_START_CMD

          public static final int GCI_ERR_NO_START_CMD

      A request was made to complete a non-blocking GCI call when no such call was initiated.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_BAD_CLUSTER_BUCKET

          public static final int OBJ_ERR_BAD_CLUSTER_BUCKET

      The specified clusterId is invalid. Cluster IDs must be in the range 1.. (AllClusterBuckets size). Args: (1) the invalid clusterId; (2) possibly invalid aClusterBucket; (3) max allowed clusterId.
      See Also:
        Constant Field Values

    - #### RT_ERR_EPOCH_GC_ARRAY_SIZE

          public static final int RT_ERR_EPOCH_GC_ARRAY_SIZE

      The number of elements in the array used to set the Epoch Garbage Collector information is incorrect. The size should be 4. Args: (1) the array.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_RESULT_NSC_TOO_BIG

          public static final int OBJ_ERR_RESULT_NSC_TOO_BIG

      An attempt was made to increase the size of an NSC beyond the maximum(maxSmallInt). Args: none.
      See Also:
        Constant Field Values

    - #### HOST_ERR_MEMORY_ALLOC

          public static final int HOST_ERR_MEMORY_ALLOC

      Host memory allocation failed; there is insufficient primary memory and/or swap space. (memory allocation failure in the C heap space used by GemStone or GCI).
      See Also:
        Constant Field Values

    - #### GCI_ERR_CATCH_BUFF_NOT_FOUND

          public static final int GCI_ERR_CATCH_BUFF_NOT_FOUND

      A non-existent catch buffer was specified. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_CATCH_BUFF_LIMIT

          public static final int GCI_ERR_CATCH_BUFF_LIMIT

      The catch buffer level must be in the range 0 to 20. An invalid level was specified. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NOT_BOOLEAN

          public static final int OBJ_ERR_NOT_BOOLEAN

      gciObjectToBool was passed an object that was not either True or False. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_UNCOMPILED_METHOD

          public static final int RT_ERR_UNCOMPILED_METHOD

      A method is obsolete and needs to be recompiled. Args: (1) selector; (2) class; (3) method.
      See Also:
        Constant Field Values

    - #### RT_ERR_MUST_BE_SYSTEMUSER

          public static final int RT_ERR_MUST_BE_SYSTEMUSER

      Only SystemUser is allowed to perform this operation. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_PASSWORD

          public static final int RT_ERR_BAD_PASSWORD

      Specific errors related to object traversal on the GCI client.
      See Also:
        Constant Field Values

    - #### GCI_ERR_TRAV_OBJ_NOT_FOUND

          public static final int GCI_ERR_TRAV_OBJ_NOT_FOUND

      The given object was not found within the given traversal buffer. Args: none
      See Also:
        Constant Field Values

    - #### GCI_ERR_TRAV_COMPLETED

          public static final int GCI_ERR_TRAV_COMPLETED

      There exists no valid traversal because there was no prior invocation of gciTraverseObjects or there has been a modification to the database. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_TRAV_BUFF_TOO_SMALL

          public static final int GCI_ERR_TRAV_BUFF_TOO_SMALL

      The given traversal buffer length must be of sufficient size to report at least one object. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_PATH_TO_STR_IVNAME

          public static final int RT_ERR_PATH_TO_STR_IVNAME

      Path to String conversion failed due to invalid instVar offset. Args: (1) 1-based index of the term in the path that failed; (2) the invalid offset of the named instvar; (3) the class on which invalid offset was applied; (4) maximum legal offset.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_NEGATIVE_COUNT

          public static final int OBJ_ERR_NEGATIVE_COUNT

      In a network call fetching elements out of an object a negative count was specified. Args: (1) the count.
      See Also:
        Constant Field Values

    - #### GCI_ERR_RESULT_PATH_TOO_LARGE

          public static final int GCI_ERR_RESULT_PATH_TOO_LARGE

      In GciStrToPath, GciPathToStr, the result was larger than the C array specified to hold the result. Args: (1) size of result; (2) specified max size.
      See Also:
        Constant Field Values

    - #### GCI_ERR_FETCH_PATH_FAIL

          public static final int GCI_ERR_FETCH_PATH_FAIL

      A path in GciFetchPaths failed due to another GemStone error. OOP_ILLEGAL appears as the result for that path. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_STR_TO_PATH_IVNAME

          public static final int RT_ERR_STR_TO_PATH_IVNAME

      String to path conversion failed due to invalid instVar name. Args: (1) 1-based index of the term in the path that failed; (2) class in which the instVar lookup failed; (3) the invalid instvar name.
      See Also:
        Constant Field Values

    - #### RT_ERR_STR_TO_PATH_CONSTRAINT

          public static final int RT_ERR_STR_TO_PATH_CONSTRAINT

      String to path conversion failed due to lack of constraints. Args: (1) 1-based index of the term in the path that was not constrained.
      See Also:
        Constant Field Values

    - #### GCI_ERR_BREAK_CANCELED_MSG

          public static final int GCI_ERR_BREAK_CANCELED_MSG

      Given command was not processed due to a hard break. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_SYNC_1

          public static final int LGC_ERR_SYNC_1

      The first byte of the two-byte synchronization sequence was wrong in the network. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_SYNC_2

          public static final int LGC_ERR_SYNC_2

      The second byte of the two-byte synchronization sequence was wrong in the network. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_BYTE_PACKET_TOO_LONG

          public static final int LGC_ERR_BYTE_PACKET_TOO_LONG

      A byte array packet was received over the network that was too long.
      See Also:
        Constant Field Values

    - #### LGC_ERR_ARG_SIZE_INCONSISTENT

          public static final int LGC_ERR_ARG_SIZE_INCONSISTENT

      An array argument was received on the network that had a length different from that specified with the argument. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_OOP_PACKET_TOO_LONG

          public static final int LGC_ERR_OOP_PACKET_TOO_LONG

      An oop array packet was received over the network that was too long.
      See Also:
        Constant Field Values

    - #### LGC_ERR_PACKET_KIND_BAD

          public static final int LGC_ERR_PACKET_KIND_BAD

      A packet of the wrong kind was received. Args: (1) the expected kind; (2) the packet kind received.
      See Also:
        Constant Field Values

    - #### LGC_ERR_EXPECTED_CONTINUE

          public static final int LGC_ERR_EXPECTED_CONTINUE

      A packet kind was received other than the continue packet that was expected. Args: (1) the packet kind received.
      See Also:
        Constant Field Values

    - #### LGC_ERR_EXPECTED_END

          public static final int LGC_ERR_EXPECTED_END

      A packet kind was received other than the end packet that was expected. Args: (1) the packet kind received.
      See Also:
        Constant Field Values

    - #### LGC_ERR_PACKET_KIND_UNKNOWN

          public static final int LGC_ERR_PACKET_KIND_UNKNOWN

      An unknown packet kind was received. Args: (1) the packet kind.
      See Also:
        Constant Field Values

    - #### LGC_ERR_EXPECTED_CMD

          public static final int LGC_ERR_EXPECTED_CMD

      A packet kind was received other than the command packet that was expected. Args: (1) the packet kind received.
      See Also:
        Constant Field Values

    - #### HOST_ERR_LOG_FILE_NOT_OPENED

          public static final int HOST_ERR_LOG_FILE_NOT_OPENED

      Log file not opened before adding messages to it. Args: none.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_MAX_INST_VARS

          public static final int CLASS_ERR_MAX_INST_VARS

      Attempt to create a subclass while specifying more than 255 instance variables. Args: (1) the superClass; (2) the array which specifies too many instance variables.
      See Also:
        Constant Field Values

    - #### RT_ERR_TOO_MANY_ERR_ARGS

          public static final int RT_ERR_TOO_MANY_ERR_ARGS

      System|signal:args:signalDictionary: was sent with an array argument containing more than 9 elements. Args: (1) the number of elements.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_BAD_SIZE

          public static final int OBJ_ERR_BAD_SIZE

      An attempt was made to create an object of an illegal size or change it to an illegal size. This error occurs in non-indexable pointer objects since their size must be exactly the number of named instance variables. Args: (1) the class; (2) the size; (3, if available) the object.
      See Also:
        Constant Field Values

    - #### LGC_ERR_INCONSISTENT_SIZE

          public static final int LGC_ERR_INCONSISTENT_SIZE

      When using the network interface, inconsistent information was given about the size of an object; i.e., the size was specified as one value but the data given implied another size. Args: (1) specified size; (2) the implied size.
      See Also:
        Constant Field Values

    - #### LGC_ERR_INCONSISTENT_OBJ_KIND

          public static final int LGC_ERR_INCONSISTENT_OBJ_KIND

      When using the network interface, inconsistent information was given about the implementation of an object; i.e., one implementation was specified but the class of the object had a different one. Args: (1) the class of the object; (2) the specified implementation.
      See Also:
        Constant Field Values

    - #### RT_ERR_START_GC

          public static final int RT_ERR_START_GC

      A process is already running as the GC user or the process attempting to run the Reclaim or EpochGc is not the Gc process. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_ARG_KIND_2

          public static final int RT_ERR_BAD_ARG_KIND_2

      The object is not one of the expected class kinds. Args: (1) the object; (2) an expected class; (3) an expected class.
      See Also:
        Constant Field Values

    - #### LGC_ERR_SEQUENCE_MISMATCH

          public static final int LGC_ERR_SEQUENCE_MISMATCH

      Sequence number mismatch for an IPC response packet.
      See Also:
        Constant Field Values

    - #### RT_ERR_EXCEPT_BLOCK_NUM_ARGS

          public static final int RT_ERR_EXCEPT_BLOCK_NUM_ARGS

      A block does not have the number of arguments required for it to be usable as an exception block. Args: (1) the block; (2) the required number of arguments; (3) the actual number of arguments to the block.
      See Also:
        Constant Field Values

    - #### RT_ERR_GCI_STORE_FLOAT

          public static final int RT_ERR_GCI_STORE_FLOAT

      An illegal GCI store into a float object was detected. You must use GciStoreBytesInst with the correct class argument. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_GCI_CLASS_MISMATCH

          public static final int RT_ERR_GCI_CLASS_MISMATCH

      In Gci store traversal, the class in the object report of an existing object does not match the actual class of that object in the database. Args: (1) object; (2) class in buffer; (3) class in database.
      See Also:
        Constant Field Values

    - #### RT_ERR_COMMIT_DB_IN_RESTORE

          public static final int RT_ERR_COMMIT_DB_IN_RESTORE

      Commits are disallowed because the database is being restored from transaction logs and restoreFromCurrentLogs has not completed.
      See Also:
        Constant Field Values

    - #### RT_ERR_COMMIT_DISALLOWED

          public static final int RT_ERR_COMMIT_DISALLOWED

      Commits are disallowed because an error occurred during object manager recursion to GemStone Smalltalk. This session must abort this transaction.
      See Also:
        Constant Field Values

    - #### ERR_LOG_IO_FAILURE

          public static final int ERR_LOG_IO_FAILURE

      Gem commit failed due to a Transaction Log I/O Error.
      See Also:
        Constant Field Values

    - #### LGC_ERR_PACKET_KIND

          public static final int LGC_ERR_PACKET_KIND

      Invalid IPC packet kind.
      See Also:
        Constant Field Values

    - #### RT_ERR_LOAD_SAVE_STACK

          public static final int RT_ERR_LOAD_SAVE_STACK

      Error during loading or saving GemStone Smalltalk execution stack. Execution cannot continue. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_UNKNOWN_BYTECODE

          public static final int RT_ERR_UNKNOWN_BYTECODE

      A unknown bytecode was encountered by the GemStone Smalltalk execution subsystem. Either a compiled method is corrupt or there is an internal Bug. Args: (1) the bytecode.
      See Also:
        Constant Field Values

    - #### ERR_SESSION_BLOCKED_ON_OUTPUT

          public static final int ERR_SESSION_BLOCKED_ON_OUTPUT

      An attempt was made to send a signal to a session, but the output buffer from stone to the target session is full. Args: (1) the target session Id.
      See Also:
        Constant Field Values

    - #### ERR_PRIM_NOT_SUPPORTED

          public static final int ERR_PRIM_NOT_SUPPORTED

      The primitive is not supported in this executable. Args: (1) receiver; (2) selector; (3) executable which DOES support the primitive.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_CURRENT_SEG

          public static final int AUTH_ERR_SEG_CURRENT_SEG

      No authorization to write in your current segment; resetting the current segment to your default login segment. Args: (1) the oop of the bad segment.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_SET_CURRENT_SEG

          public static final int AUTH_ERR_SEG_SET_CURRENT_SEG

      No authorization to set the current segment to the given segment. Args: (1) the segment oop of the bad segment.
      See Also:
        Constant Field Values

    - #### ERR_PRIM_FAILED

          public static final int ERR_PRIM_FAILED

      The primitive failed for the specified selector. This primitive should never fail. Args: (1) the receiver; (2) the selector.
      See Also:
        Constant Field Values

    - #### GCI_ERR_EXEC_CLIENT_USERACT

          public static final int GCI_ERR_EXEC_CLIENT_USERACT

      Invoke the client useraction with arguments: (1) the action name; (2) reserved for internal use; (3-10) the arguments to the action routine. Normally not seen as an error, since it is sent by the gem to the rpc client to invoke a useraction that the client has registered with the gem.
      See Also:
        Constant Field Values

    - #### GCI_ERR_ACTIVE_SESSIONS

          public static final int GCI_ERR_ACTIVE_SESSIONS

      You attempted to install a user action, and there are GemStone sessions already active. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_CORRUPT_OBJ

          public static final int OBJ_ERR_CORRUPT_OBJ

      The object is corrupt or inconsistent. Args: (1) an Integer which is the object identifer of the corrupt object; (2) string describing the kind of corruption. Trappable only be an Exception specifying exactly this error.
      See Also:
        Constant Field Values

    - #### GCI_ERR_MAX_ACTION_ARGS

          public static final int GCI_ERR_MAX_ACTION_ARGS

      You are requesting too many arguments for a user action. Args: (1) The number of arguments requested; (2) The maximum number allowed.
      See Also:
        Constant Field Values

    - #### GCI_ERR_BAD_NUM_ACTION_ARGS

          public static final int GCI_ERR_BAD_NUM_ACTION_ARGS

      You invoked a method or user action with the wrong number of arguments. Args: (1) The name of the method or user action; (2) number of arguments expected; (3) the number of arguments actually passed.
      See Also:
        Constant Field Values

    - #### GCI_ERR_USER_ACTION_PENDING

          public static final int GCI_ERR_USER_ACTION_PENDING

      You attempted a GCI operation that is not legal during the implementation of a user action. Args: (1) The name of the user action.
      See Also:
        Constant Field Values

    - #### GCI_ERR_BAD_NUM_LCL_ACTION_ARGS

          public static final int GCI_ERR_BAD_NUM_LCL_ACTION_ARGS

      You invoked a local user action with the wrong number of arguments. Args: (1) the number of arguments expected; (2) the number of arguments actually passed.
      See Also:
        Constant Field Values

    - #### RT_ERR_INSTVAR_ADD_TO_NSC

          public static final int RT_ERR_INSTVAR_ADD_TO_NSC

      An attempt was made to add a named instance variable to a class whose format is NSC. Args: (1) The class.
      See Also:
        Constant Field Values

    - #### RT_ERR_VARYING_CONSTR_BYTES

          public static final int RT_ERR_VARYING_CONSTR_BYTES

      An attempt was made to constrain the indexable portion of the a class whose format is Bytes. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_VARYING_CONSTR_NONIDX

          public static final int RT_ERR_VARYING_CONSTR_NONIDX

      An attempt was made to constrain the indexable portion of a class which is not indexable. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_INSTVAR_ADD_TO_BYTES

          public static final int RT_ERR_INSTVAR_ADD_TO_BYTES

      An attempt was made to add a named instance variable to a class whose format is Bytes. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_CLASS_NOT_MODIFIABLE

          public static final int RT_ERR_CLASS_NOT_MODIFIABLE

      An attempt was made to modify a class that is not modifiable. Args: (1) the class.
      See Also:
        Constant Field Values

    - #### RT_ERR_ADD_DUP_INSTVAR

          public static final int RT_ERR_ADD_DUP_INSTVAR

      The name of a new instance variable would duplicate the name of an already existing instance variable. Args: (1) the class in which the instVar already exists; (2) the name.
      See Also:
        Constant Field Values

    - #### RT_ERR_NOT_A_SUBCLASS_OF

          public static final int RT_ERR_NOT_A_SUBCLASS_OF

      Class 1 is neither identical to nor a subclass of Class 2. Args: (1) Class 1; (2) Class 2.
      See Also:
        Constant Field Values

    - #### RT_ERR_CONSTR_NOT_SUBCLASS_OF

          public static final int RT_ERR_CONSTR_NOT_SUBCLASS_OF

      In class modification, a new constraint was neither identical to, nor a subclass of, an inherited constraint. Args: (1) the new constraint; (2) the inherited constraint.
      See Also:
        Constant Field Values

    - #### RT_ERR_CONSTR_NOT_A_CLASS

          public static final int RT_ERR_CONSTR_NOT_A_CLASS

      A new constraint was specified that is not a Class. Args: (1) the constraint.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_INVARIANT

          public static final int RT_ERR_OBJ_INVARIANT

      An object that should have been variant is invariant. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_DUP_VAR_CONSTR

          public static final int CLASS_ERR_DUP_VAR_CONSTR

      During subclass creation, more than one constraint was specified for the indexable part of a pointer object. Args: (1) the first constraint; (2) the second constraint.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_LOGINS_ENABLED

          public static final int BKUP_ERR_LOGINS_ENABLED

      A restore operation requires that logins be disabled. Args: none.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_REMOVE_INHER_IV

          public static final int CLASS_ERR_REMOVE_INHER_IV

      An attempt was made to remove an instance variable from a class, but the specified instance variable is inherited from a superclass. Args: (1) the class; (2) the instance variable name.
      See Also:
        Constant Field Values

    - #### CONCUR_ERR_INVALID_MODE

          public static final int CONCUR_ERR_INVALID_MODE

      An attempt was made to change to an invalid concurrency control mode.
      See Also:
        Constant Field Values

    - #### CLASS_ERR_SELECTOR_LOOKUP

          public static final int CLASS_ERR_SELECTOR_LOOKUP

      A message sent to an object was not found in the proper class.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_EUC_FORMAT

          public static final int RT_ERR_BAD_EUC_FORMAT

      The bytes of the EUCString are not in EUC format. Args: (1) the invalid EUCString.
      See Also:
        Constant Field Values

    - #### RT_ERR_GAIJI_NOT_SUPPORTED

          public static final int RT_ERR_GAIJI_NOT_SUPPORTED

      A Gaiji character was encountered, but Gaiji is not supported by GemStone. Args: (1) the JapaneseString containing the Gaiji character.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_ARG_CLASS

          public static final int RT_ERR_INVALID_ARG_CLASS

      The object is not one of the expected class kinds. Args: (1) the invalid argument; (2) an Array of acceptable classes.
      See Also:
        Constant Field Values

    - #### RT_ERR_SIZE_LIMIT

          public static final int RT_ERR_SIZE_LIMIT

      The object was referenced with a byte index that was out of range. Args: (1) the object; (2) the byte index.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_EUC_REP

          public static final int RT_ERR_NO_EUC_REP

      The character does not have an EUC representation. Args: (1) the character.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_EUC_VALUE

          public static final int RT_ERR_BAD_EUC_VALUE

      The EUC value is not valid and does not correspond to a JISCharacter. Args: (1) the EUC value.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_LANG

          public static final int RT_ERR_INVALID_LANG

      The compiler language environment is invalid. Args: (1) the invalid language environment.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_INDEX_PATH_EXPRESSION

          public static final int RT_ERR_INVALID_INDEX_PATH_EXPRESSION

      The given string is an invalid term in a path expression.
      See Also:
        Constant Field Values

    - #### RT_ERR_DEPENDENCY_LIST_TOO_LARGE

          public static final int RT_ERR_DEPENDENCY_LIST_TOO_LARGE

      A dependency list was too large.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_COMMIT_RETRY

          public static final int RT_ERR_MAX_COMMIT_RETRY

      There were too many attempts to recommit after failing to resolve RC conflicts.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_ARGUMENT

          public static final int RT_ERR_INVALID_ARGUMENT

      Argument (1) was an invalid argument to a method.
      See Also:
        Constant Field Values

    - #### RT_ERR_PATH_NOT_TRAVERSABLE

          public static final int RT_ERR_PATH_NOT_TRAVERSABLE

      A class along a constrained path does not have an inst var corresponding to a term in an index path.
      See Also:
        Constant Field Values

    - #### RT_ERR_BTREE_READ_STREAM_END_OF_STREAM

          public static final int RT_ERR_BTREE_READ_STREAM_END_OF_STREAM

      An attempt was made to read beyond the end of the stream.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJECT_PATH_TERM_NOT_IN_DEPENDENCY_LIST

          public static final int RT_ERR_OBJECT_PATH_TERM_NOT_IN_DEPENDENCY_LIST

      The object did not have the path term in its dependency.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJECT_INVALID_INST_VAR_OFFSET

          public static final int RT_ERR_OBJECT_INVALID_INST_VAR_OFFSET

      The object does not have an instance variable with the given name.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJECT_HAS_NO_DEPENDENCY_LIST

          public static final int RT_ERR_OBJECT_HAS_NO_DEPENDENCY_LIST

      The object does not have a dependency list.
      See Also:
        Constant Field Values

    - #### RT_ERR_INDEX_DICTIONARY_ENTRY_NOT_IN_DICTIONARY

          public static final int RT_ERR_INDEX_DICTIONARY_ENTRY_NOT_IN_DICTIONARY

      An entry for the key/term/value was not present in the dictionary.
      See Also:
        Constant Field Values

    - #### RT_ERR_PATH_TERM_OBJECT_NOT_AN_NSC

          public static final int RT_ERR_PATH_TERM_OBJECT_NOT_AN_NSC

      An object traversed along an index path through a set-valued inst var was not an Nsc.
      See Also:
        Constant Field Values

    - #### RT_ERR_IDENTITY_INDEX_CANNOT_INVOKE_RANGE_OPERATION

          public static final int RT_ERR_IDENTITY_INDEX_CANNOT_INVOKE_RANGE_OPERATION

      An attempt was made to use a range operation (< > = <= >=) on a path expression only supported by an identity index.
      See Also:
        Constant Field Values

    - #### RT_ERR_RANGE_EQUALITY_INDEX_INVALID_CLASS_KIND_FOR_BTREE

          public static final int RT_ERR_RANGE_EQUALITY_INDEX_INVALID_CLASS_KIND_FOR_BTREE

      Attempt to insert a key into the btree that was an invalid class for which the btree was created.
      See Also:
        Constant Field Values

    - #### RT_ERR_RANGE_EQUALITY_INDEX_OBJECT_NOT_IN_BTREE

          public static final int RT_ERR_RANGE_EQUALITY_INDEX_OBJECT_NOT_IN_BTREE

      An entry for the key/value was not present in the btree.
      See Also:
        Constant Field Values

    - #### ERR_NO_BACKUP_IN_PROGRESS

          public static final int ERR_NO_BACKUP_IN_PROGRESS

      a backup or restore continuation was attempted without having executed restoreFrom: or fullBackupTo:MBytes:.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_OPEN_FAILED

          public static final int BKUP_ERR_OPEN_FAILED

      An attempt to open a file failed. Args: (1) (String) the full path name of the file; (2) (String) whether the file was being opened for read or write; (3) (String) the host error string.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_MBYTE_LIMIT_BAD_RANGE

          public static final int BKUP_ERR_MBYTE_LIMIT_BAD_RANGE

      The byte limit may be zero (0), or must be within the range of 1 Mbytes to 4,194 Mbytes. Args: (1) (SmallInteger) specified byteLimit; (2) (SmallInteger) minimum allowable byte limit; (3) (SmallInteger) maximum allowable byte limit.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_WRITE_FAILED

          public static final int BKUP_ERR_WRITE_FAILED

      An attempt to write to a file failed. Args: (1) (String) the full path name of the file; (2) (String) the host error string.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_IN_PROGRESS

          public static final int BKUP_ERR_IN_PROGRESS

      An attempt was made to do a full backup but a backup is currently in progress by another session. Args: none.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_READ_FAILED

          public static final int BKUP_ERR_READ_FAILED

      An attempt to read from a file failed. Args: (1) reason (a string); (2) filename; (3) recordId in file string.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_NO_CONSTRAINT_ALONG_PATH

          public static final int RT_ERR_BAG_NO_CONSTRAINT_ALONG_PATH

      An attempt was made to create an index along the path with no constraint.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_CLASS_DOES_NOT_SUPPORT_RANGE_OPERATORS

          public static final int RT_ERR_BAG_CLASS_DOES_NOT_SUPPORT_RANGE_OPERATORS

      An attempt was made to create an equality index with a class that does not support range operators.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_ONLY_SELECT_BLOCK_ALLOWED

          public static final int RT_ERR_BAG_ONLY_SELECT_BLOCK_ALLOWED

      Only select blocks are allowed for selectAsStream.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_ONLY_ONE_PREDICATE_ALLOWED

          public static final int RT_ERR_BAG_ONLY_ONE_PREDICATE_ALLOWED

      Only one predicate is allowed for selectAsStream.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_NO_RANGE_INDEX_ON_PATH_EXPRESSION

          public static final int RT_ERR_BAG_NO_RANGE_INDEX_ON_PATH_EXPRESSION

      The path expression in the predicate for selectAsStream does not have a range equality index.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_INVALID_PREDICATE_FOR_STREAM_SELECTION

          public static final int RT_ERR_BAG_INVALID_PREDICATE_FOR_STREAM_SELECTION

      The predicate for selectAsStream was invalid.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_OPERATION_NOT_SUPPORTED

          public static final int RT_ERR_BAG_OPERATION_NOT_SUPPORTED

      The comparison operation in the predicate for selectAsStream is not supported.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAG_INVALID_SORT_SPECIFICATION

          public static final int RT_ERR_BAG_INVALID_SORT_SPECIFICATION

      Unable to sort using the given sort specification.
      See Also:
        Constant Field Values

    - #### RT_ERR_INDEX_AUTH_ERR_SEG_READ

          public static final int RT_ERR_INDEX_AUTH_ERR_SEG_READ

      An attempt was made to read the object using an index in a segment with insufficient authorization.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_TIME_T_OUT_OF_RANGE

          public static final int OBJ_ERR_TIME_T_OUT_OF_RANGE

      Given time_t is out of range; must be greater than or equal to zero. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_GENERIC_ERROR

          public static final int RT_ERR_GENERIC_ERROR

      Error number available for application use. Args: (1) error identifier (a user-defined object); (2) user defined error text; (3) an array of arguments (user specified).
      See Also:
        Constant Field Values

    - #### RT_ERR_METHOD_PROTECTED

          public static final int RT_ERR_METHOD_PROTECTED

      An illegal attempt to execute a protected method.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_CONSTRAINT_FOR_MIGRATION

          public static final int RT_ERR_BAD_CONSTRAINT_FOR_MIGRATION

      An object cannot be migrated an inst var participates in an index with a constraint.
      See Also:
        Constant Field Values

    - #### RT_ERR_PREVENTING_COMMIT

          public static final int RT_ERR_PREVENTING_COMMIT

      Used internally to append a message to the end of a previously raised error message. The appended message indicates that the previous error occurred during index maintenance, and consequently the current transaction must be aborted.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANNOT_BECOME_SELF_ON_STACK

          public static final int RT_ERR_CANNOT_BECOME_SELF_ON_STACK

      The object is present on the GemStone Smalltalk stack as "self", and cannot participate in a "become" operation.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJECT_PROTECTED

          public static final int RT_ERR_OBJECT_PROTECTED

      An illegal attempt to fetch/store into a protected object.
      See Also:
        Constant Field Values

    - #### RT_ERR_NEW_TRANLOG_DIR_FAILED

          public static final int RT_ERR_NEW_TRANLOG_DIR_FAILED

      An attempt to dynamically define a new transaction log directory failed. Args: (1) reason.
      See Also:
        Constant Field Values

    - #### ERR_COMMIT_WHILE_BACKUP_IN_PROGRESS

          public static final int ERR_COMMIT_WHILE_BACKUP_IN_PROGRESS

      A commit or abort was attempted while a multi-file full backup is in progress. Use abortFullBackup to cancel the backup and restore ability to commit from this session.
      See Also:
        Constant Field Values

    - #### ERR_UNCONVERTED_OBJECT

          public static final int ERR_UNCONVERTED_OBJECT

      The contents of the object have not been converted from a prior version of GemStone; the object is not compatible with this executable. Args (1) the object. Example: 4.0 UserProfile or Segment with 4.1 executables, and dbf conversion was skipped.
      See Also:
        Constant Field Values

    - #### RT_ERR_LAST_CONSTRAINT_NOT_BOOLEAN

          public static final int RT_ERR_LAST_CONSTRAINT_NOT_BOOLEAN

      The SelectBlock must evaluate to a boolean expression.
      See Also:
        Constant Field Values

    - #### RT_ERR_COMMIT_PROHIBITING_ERROR

          public static final int RT_ERR_COMMIT_PROHIBITING_ERROR

      An error occurred (probably during index maintenance) such that commits are disallowed so that indexing objects remain consistent. This session must abort this transaction.
      See Also:
        Constant Field Values

    - #### RT_ERR_ATTEMPT_TO_PASSIVATE_INVALID_OBJECT

          public static final int RT_ERR_ATTEMPT_TO_PASSIVATE_INVALID_OBJECT

      Attempted to write an object to a passive object. nil was written instead.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_RESTORE_TIME

          public static final int RT_ERR_INVALID_RESTORE_TIME

      The argument to SystemRepository>>timeToRestoreTo: was invalid, Args (1) reason (a String).
      See Also:
        Constant Field Values

    - #### LOCK_ERR_ALL_SYMBOLS

          public static final int LOCK_ERR_ALL_SYMBOLS

      Users are not allowed to lock AllSymbols. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_SYMBOL_FWD_REF

          public static final int GCI_ERR_SYMBOL_FWD_REF

      User attempted to create a forward reference to a Symbol or define (fill in the state of) a forward reference as a Symbol Args: (1) oop specified for the forward reference.
      See Also:
        Constant Field Values

    - #### RT_ERR_CHANGE_SYMBOL

          public static final int RT_ERR_CHANGE_SYMBOL

      Users are not allowed to change the class of an object from or to class Symbol. Args: (1) theSymbol.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_VARIANT

          public static final int RT_ERR_OBJ_VARIANT

      The object is not invariant. Args: (1) the object.
      See Also:
        Constant Field Values

    - #### RT_ERR_ALREADY_HAS_SUBCLASSES

          public static final int RT_ERR_ALREADY_HAS_SUBCLASSES

      disallowSubclasses is not allowed because The class (Arg1) already has subclasses.
      See Also:
        Constant Field Values

    - #### RT_ERR_CLIENT_FWD_SEND

          public static final int RT_ERR_CLIENT_FWD_SEND

      Used to send a message to a Client. Args: (1) the instance of ClientForwarder; (2) the receiver of the message to be forwarded; (3) the selector of the message to be forwarded; (4) an array containing the arguments to the message. See documentation in class ClientForwarder.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_OBJ_SIZE

          public static final int RT_ERR_BAD_OBJ_SIZE

      Object has invalid size. Args: (1) object; (2) required size; (3) actual size.
      See Also:
        Constant Field Values

    - #### RT_ERR_FREE_SPACE_THRESHOLD

          public static final int RT_ERR_FREE_SPACE_THRESHOLD

      Indicates that the repository is currently running below the freeSpaceThreshold. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_TRANLOG_DIR_FULL

          public static final int RT_ERR_TRANLOG_DIR_FULL

      Indicates that the tranlog directories are full and that the system is waiting for an operator to make more space available either by cleaning up the existing files (copying them to archive media and deleting them or by adding a new tranlog directory. Args: none.
      See Also:
        Constant Field Values

    - #### OBJ_ERR_DICT_CONSTRAINT_VIOL

          public static final int OBJ_ERR_DICT_CONSTRAINT_VIOL

      constraint violation when attempting to store a new value into a dictionary. Args: (1) dictionary; (2) new value; (3) constraint; (4) class of new value.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_PASSWORD_SIZE

          public static final int RT_ERR_MAX_PASSWORD_SIZE

      A new password would exceed the maximum password size. Args: (1) new password; (2) max size.
      See Also:
        Constant Field Values

    - #### RT_ERR_MIN_PASSWORD_SIZE

          public static final int RT_ERR_MIN_PASSWORD_SIZE

      A new password would be smaller than the minimum password size. Args: (1) new password; (2) min size.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_CONSEC_CHARS

          public static final int RT_ERR_MAX_CONSEC_CHARS

      A new password would contain too many consecutive characters ('abcd..'). Args: (1) new password; (2) max consecutive chars allowed; (3) substring of new password that is in violation.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_REPEATING_CHARS

          public static final int RT_ERR_MAX_REPEATING_CHARS

      A new password would contain too many repeating characters ('aaaa..'). Args: (1) new password; (2) max repeating chars allowed; (3) substring of new password that is in violation.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_CHARS_OF_TYPE

          public static final int RT_ERR_MAX_CHARS_OF_TYPE

      A new password would contain too many consecutive characters of a type. Args: (1) new password; (2) max consecutive chars allowed; (3) type ('alpha', 'numeric', etc); (4) substring of new password that is in violation.
      See Also:
        Constant Field Values

    - #### RT_ERR_DISALLOWED_PASSWORD

          public static final int RT_ERR_DISALLOWED_PASSWORD

      A new password matches a word that is not allowed as a password. Args: (1) new password.
      See Also:
        Constant Field Values

    - #### RT_ERR_WARNING_PASSWORD_EXPIRE

          public static final int RT_ERR_WARNING_PASSWORD_EXPIRE

      The password of the current UserProfile is about to expire.
      See Also:
        Constant Field Values

    - #### RT_ERR_LOG_DIR_NOT_EXIST

          public static final int RT_ERR_LOG_DIR_NOT_EXIST

      The path (Arg 1) does not exist as a directory or raw device.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_TOO_SMALL

          public static final int RT_ERR_ARG_TOO_SMALL

      The object (arg 1) is too small. The minimum allowed size is (arg 2).
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_STRUCT_UPDATE

          public static final int RT_ERR_NO_STRUCT_UPDATE

      A GCI update operation is not allowed on the target object. Args: (1) the object; (2) string describing the kind of update that is not allowed.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBSOLETE_CLASS

          public static final int RT_ERR_OBSOLETE_CLASS

      Class is obsolete.
      See Also:
        Constant Field Values

    - #### RT_ERR_LOCAL_XACTION_FAILED_COMMIT

          public static final int RT_ERR_LOCAL_XACTION_FAILED_COMMIT

      Local session failed to commit after remote sessions voted to commit.
      See Also:
        Constant Field Values

    - #### RT_ERR_REMOTE_SESSION_FAILED_COMMIT

          public static final int RT_ERR_REMOTE_SESSION_FAILED_COMMIT

      Remote session failed to commit after voting affirmative.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_ELEM_DETECTED

          public static final int RT_ERR_NO_ELEM_DETECTED

      The object Arg2 was not detected in Arg1.
      See Also:
        Constant Field Values

    - #### RT_ERR_DATE_TIME_OUT_OF_RANGE

          public static final int RT_ERR_DATE_TIME_OUT_OF_RANGE

      The resulting DateTime object would be out of range.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_NOT_FOUND

          public static final int RT_ERR_OBJ_NOT_FOUND

      The object Arg2 was not found in Arg1.
      See Also:
        Constant Field Values

    - #### RT_ERR_FAILED_STN_CFG_WRITE

          public static final int RT_ERR_FAILED_STN_CFG_WRITE

      The operation should update the stone configuration file but the write failed.
      See Also:
        Constant Field Values

    - #### GCI_ERR_NO_USER_ACTION

          public static final int GCI_ERR_NO_USER_ACTION

      Attempt to call a user action that is not registered with the gem. Args: (1) the action name; (2) reserved for internal use; (3-10) the arguments to the action routine. Normally not seen.
      See Also:
        Constant Field Values

    - #### SEG_ERR_MAX_USER_PROFILE_GROUPS

          public static final int SEG_ERR_MAX_USER_PROFILE_GROUPS

      An attempt was made to add a UserProfile to a group when the UserProfile was already a member of four groups. Args: (1) the UserProfile; (2) the group.
      See Also:
        Constant Field Values

    - #### RT_ERR_GS_COMMIT_LIST_NB_TIMEOUT

          public static final int RT_ERR_GS_COMMIT_LIST_NB_TIMEOUT

      Error during GS commit list nonblocking timeout. Args: (1) sessionId.
      See Also:
        Constant Field Values

    - #### RT_ERR_GCGEM_STARTUP_FAILURES

          public static final int RT_ERR_GCGEM_STARTUP_FAILURES

      Stone has logged GcGem Startup failures since last success. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_GSSOCKET

          public static final int RT_ERR_GSSOCKET

      A GsSocket method failed due to a socket error. Args: (1) GsSocket instance or nil; (2) lastErrorSymbol; (3) lastErrorString; (4) lastErrorCode.
      See Also:
        Constant Field Values

    - #### RT_ERR_GSSOCKET_INVARIANT

          public static final int RT_ERR_GSSOCKET_INVARIANT

      An instance of GsSocket that was not changable was sent a message that would have required it to change. Args: (1) GsSocket instance.
      See Also:
        Constant Field Values

    - #### RT_ERR_LOST_SESSION_STATE

          public static final int RT_ERR_LOST_SESSION_STATE

      An object that has some associated session state has lost that transient state. Examples of classes that use session state are GsSocket and GsFile. Args: (1) the oop of the instance that lost it session state.
      See Also:
        Constant Field Values

    - #### RT_ERR_DELAY_IN_PROGRESS

          public static final int RT_ERR_DELAY_IN_PROGRESS

      An interval Delay object already has a process waiting on it. Args: (1) the delay.
      See Also:
        Constant Field Values

    - #### RT_ERR_SCHEDULER_DEADLOCKED

          public static final int RT_ERR_SCHEDULER_DEADLOCKED

      The processor scheduler is dead locked. Args: (1) the processor scheduler.
      See Also:
        Constant Field Values

    - #### RT_ERR_PRIMITIVE_SYSERR

          public static final int RT_ERR_PRIMITIVE_SYSERR

      A primitive failed due to a system error. Args: (1) a string describing the system error.
      See Also:
        Constant Field Values

    - #### RT_ERR_GSPROCESS_TERMINATED

          public static final int RT_ERR_GSPROCESS_TERMINATED

      The active GsProcess was sent the terminate message. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_MORE_CBUFFERS

          public static final int RT_ERR_NO_MORE_CBUFFERS

      All available CBuffers are in use. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_REMOTE_ERROR

          public static final int RT_ERR_REMOTE_ERROR

      An error occurred on the remote system. Args: (1) the text of the error message.
      See Also:
        Constant Field Values

    - #### RT_ERR_REMOTE_LOGIN_FAILED

          public static final int RT_ERR_REMOTE_LOGIN_FAILED

      A remote login attempt failed. Args: (1) the error text.
      See Also:
        Constant Field Values

    - #### RT_ERR_CLIENT_FWD

          public static final int RT_ERR_CLIENT_FWD

      The client encountered an uncaught exception when a message was forwarded. Args (1) the error number from the client; (2) the error message from the client; (3) the stack trace from the client.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_GSPROCESS_ARG_COUNT

          public static final int RT_ERR_BAD_GSPROCESS_ARG_COUNT

      An attempt was made to create a GsProcess with the wrong number of arguments for the specified block. Args: (1) the block; (2) the expected number of arguments; (3) the number of arguments used.
      See Also:
        Constant Field Values

    - #### RT_ERR_PASSWORD_NOT_VARIANT

          public static final int RT_ERR_PASSWORD_NOT_VARIANT

      The password for session parameters must be variant.
      See Also:
        Constant Field Values

    - #### RT_ERR_GSPROCESS_NOT_DEBUGGABLE

          public static final int RT_ERR_GSPROCESS_NOT_DEBUGGABLE

      The gsprocess is not in a debuggable state. Args: (1) the gsprocess.
      See Also:
        Constant Field Values

    - #### GCI_ERR_ARG_NOT_PAIRS

          public static final int GCI_ERR_ARG_NOT_PAIRS

      The argument to remotePerform: should be a list of pairs of object/bools, of maximum size 20. Args: (1) the argument that was given.
      See Also:
        Constant Field Values

    - #### RT_ERR_CLIENT_ACTION_DISALLOWED

          public static final int RT_ERR_CLIENT_ACTION_DISALLOWED

      An attempt was made to execute a client user action from a session that is not allowed to do this. Args: (1) The name of the user action.
      See Also:
        Constant Field Values

    - #### RT_ERR_REMOVE_SPECIAL_USER

          public static final int RT_ERR_REMOVE_SPECIAL_USER

      An attempt was made to remove a reserved account from AllUsers. Args: (1) The userId of the reserved account.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_GC_TYPE

          public static final int RT_ERR_BAD_GC_TYPE

      Bad GcType code passed in System>>_startGcSession:extentId:. Args: (1) the gcType.
      See Also:
        Constant Field Values

    - #### RT_ERR_BAD_EXTENT_ID

          public static final int RT_ERR_BAD_EXTENT_ID

      Bad extent Id passed in System>>_startGcSession:extentId:. Args: (1) the extentId.
      See Also:
        Constant Field Values

    - #### RT_ERR_GC_SESSION_INVALID

          public static final int RT_ERR_GC_SESSION_INVALID

      Either a Gc Gem of the selected type on the selected extent has already been started, or the selected type is incompatible with other GcGems on the system. Args: (1) the gcType; (2) the extentId.
      See Also:
        Constant Field Values

    - #### RT_ERR_GC_SESSION_FAILED

          public static final int RT_ERR_GC_SESSION_FAILED

      Problem executing System>>_startGcSession:extentId:, probably due to some netldi problems. Args: (1) the gcType; (2) the extentId.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_NO_SPC

          public static final int BKUP_ERR_NO_SPC

      Backup/restore disallowed with no shared page cache. Args: none.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_NO_START_32

          public static final int BKUP_ERR_NO_START_32

      GS/32 only: Backup failed. Args: (1) reason. See BKUP_ERR_NO_START for GS/64 version
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_READ_FILE

          public static final int RT_ERR_CANT_READ_FILE

      The system was unable to read the given file. Args: (1) the filename; (2) errno.
      See Also:
        Constant Field Values

    - #### RT_ERR_FILE_CORRUPT

          public static final int RT_ERR_FILE_CORRUPT

      The given file is corrupted. Args: (1) the filename; (2) message.
      See Also:
        Constant Field Values

    - #### RT_GC_COMMIT_FAILURE

          public static final int RT_GC_COMMIT_FAILURE

      A commit during a garbage collection operation failed.
      See Also:
        Constant Field Values

    - #### RT_ERR_SYMBOL_CREATION_NOT_ALLOWED

          public static final int RT_ERR_SYMBOL_CREATION_NOT_ALLOWED

      Creation of new Symbols not allowed at this time. Args: (1) reason; (2) symbol value.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_NO_START

          public static final int BKUP_ERR_NO_START

      GS/64 only: Backup failed. Args: (1) reason. See BKUP_ERR_NO_START_32 for GS/S version.
      See Also:
        Constant Field Values

    - #### RT_ERR_DECODED_OBJ_DOES_NOT_EXIST

          public static final int RT_ERR_DECODED_OBJ_DOES_NOT_EXIST

      The decoded object at offset (2) does not exist. Args: (1) Integer value of objectId; (2) offset in the byte array.
      See Also:
        Constant Field Values

    - #### RT_ERR_MAX_SUPERCLASS_DEPTH

          public static final int RT_ERR_MAX_SUPERCLASS_DEPTH

      Attempt to create a subclass too far below Object in superclass chain. Args: (1) receiver; (2) max depth.
      See Also:
        Constant Field Values

    - #### RT_ERR_RECLAIM_ALL_MISSING_GC_GEM

          public static final int RT_ERR_RECLAIM_ALL_MISSING_GC_GEM

      A reclaimAll operation was attempted but at least one GC session is not running. Ensure all reclaim sessions and the Admin GC session are running and try the operation again.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANNOT_SUSPEND_LOGINS

          public static final int RT_ERR_CANNOT_SUSPEND_LOGINS

      Cannot suspend logins. Args:(1) reason.
      See Also:
        Constant Field Values

    - #### RT_ERR_WEAK_DICT_NEEDS_INIT

          public static final int RT_ERR_WEAK_DICT_NEEDS_INIT

      GciWeakDictInit() must be called before other weak dictionary functions. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SYMBOL_TOO_LARGE

          public static final int RT_ERR_SYMBOL_TOO_LARGE

      Attempt to create a symbol that is more than 1024 bytes.
      See Also:
        Constant Field Values

    - #### RT_ERR_FLUSH_FOR_COMMIT_FAILED

          public static final int RT_ERR_FLUSH_FOR_COMMIT_FAILED

      Cannot commit. Args: (1) reason (a String).
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_EXISTING_SYM

          public static final int RT_ERR_NO_EXISTING_SYM

      GciSendMsg failed because there is no existing Symbol that matches the selector String. Args: (1) selector.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_MUST_BE_COMMITTED

          public static final int RT_ERR_OBJ_MUST_BE_COMMITTED

      The given object is a temporary object but is required to be a committed object. Args: (1) the object; (2) details.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANT_WRITE_FILE

          public static final int RT_ERR_CANT_WRITE_FILE

      The system was unable to write to the given file. Args: (1) the filename; (2) errno; (3) error message.
      See Also:
        Constant Field Values

    - #### RT_ERR_NOREPLICATES_WITH_MID_CACHE

          public static final int RT_ERR_NOREPLICATES_WITH_MID_CACHE

      Replicates not supported when using a mid-level cache.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_IS_NP

          public static final int RT_ERR_OBJ_IS_NP

      Object may not be committed. Args: (1) an object; (2) reason. Not Trappable in Gemstone Smalltalk if preceeding System>>trapAddToClosureList: had non-nil arg.
      See Also:
        Constant Field Values

    - #### RT_ERR_SUPERCLASS_IS_NP

          public static final int RT_ERR_SUPERCLASS_IS_NP

      Class may not have instances persistent because superclass is NP. Args: (1) a Class.
      See Also:
        Constant Field Values

    - #### RT_ERR_CONTINUE_TRANS_ERROR

          public static final int RT_ERR_CONTINUE_TRANS_ERROR

      continueTransaction is not allowed. Args (1) reason (a String).
      See Also:
        Constant Field Values

    - #### LGC_ERR_TRAV_BUFF_SIZE

          public static final int LGC_ERR_TRAV_BUFF_SIZE

      a Traversal buffer received over the network exceeded RPC client's allocated buffer size.
      See Also:
        Constant Field Values

    - #### RT_ERR_ABORT_WOULD_LOSE_DATA

          public static final int RT_ERR_ABORT_WOULD_LOSE_DATA

      A method is being run that requires an abort to function, however, an abort would result in lost data as there are modified objects.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_NOT_IN_PROGRESS

          public static final int BKUP_ERR_NOT_IN_PROGRESS

      An attempt to continue a full backup when no backup is in progress.
      See Also:
        Constant Field Values

    - #### GCI_ERR_CALL_NOT_SUPPORTED

          public static final int GCI_ERR_CALL_NOT_SUPPORTED

      The GCI call is not supported when invoked from a client user action.
      See Also:
        Constant Field Values

    - #### RT_ERR_REMOVE_ALL_INDEXES_FAILED

          public static final int RT_ERR_REMOVE_ALL_INDEXES_FAILED

      An attempt to remove all indexes has failed.
      See Also:
        Constant Field Values

    - #### RT_ERR_COLLECTION_WITH_INCOMPLETE_INDEX

          public static final int RT_ERR_COLLECTION_WITH_INCOMPLETE_INDEX

      An attempt was made to create an index on a collection that has incomplete indexes. The incomplete indexes must be removed before creating new indexes. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_MORE_OBJECT_SECURITY_POLICIES

          public static final int RT_ERR_NO_MORE_OBJECT_SECURITY_POLICIES

      No more segments can be created. SystemRepository has reached maximum size. Args: none.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_DEADLOCK

          public static final int LOCK_ERR_DEADLOCK

      RcRetry or Application write lock denied due to possible deadlock. Args: (1) object upon which lock was requested.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_TIMEOUT

          public static final int LOCK_ERR_TIMEOUT

      RcRetry or Application write lock denied due to timeout. Args: (1) object upon which lock was requested.
      See Also:
        Constant Field Values

    - #### LOCK_ERR_INVALID_OBJECT

          public static final int LOCK_ERR_INVALID_OBJECT

      RcRetry or Application write lock denied: a different object is already registered with the lock queue. Args: (1) details (String).
      See Also:
        Constant Field Values

    - #### AUTH_ERR_PROCESS_SWITCH

          public static final int AUTH_ERR_PROCESS_SWITCH

      Error in process switch.
      See Also:
        Constant Field Values

    - #### RT_ERR_OBJ_NOT_IN_EXPORT_SET

          public static final int RT_ERR_OBJ_NOT_IN_EXPORT_SET

      Illegal argument to GciStoreTravDoTravRefs, one or more objects not found in exported set were not found in the referenced and/or exported set. Args: (1) a not-found object.
      See Also:
        Constant Field Values

    - #### RT_ERR_GCI_TRAV_NOT_LICENSED

          public static final int RT_ERR_GCI_TRAV_NOT_LICENSED

      License does not allow use of Gci Traversal operations.
      See Also:
        Constant Field Values

    - #### RT_ERR_COMMIT_DISALLOWED_UNTIL_ABORT

          public static final int RT_ERR_COMMIT_DISALLOWED_UNTIL_ABORT

      Commits are disabled until after the next abort.
      See Also:
        Constant Field Values

    - #### RT_ERR_ROLLBACK_DL_FAIL

          public static final int RT_ERR_ROLLBACK_DL_FAIL

      Rollback of objects in a specific dirty list not allowed after failed commit.
      See Also:
        Constant Field Values

    - #### RT_ERR_CANNOT_BECOME_GENERIC

          public static final int RT_ERR_CANNOT_BECOME_GENERIC

      become is not allowed on this object. Args: (1) object; (2) reason string.
      See Also:
        Constant Field Values

    - #### RT_ERR_OP_NOT_ALLOWED

          public static final int RT_ERR_OP_NOT_ALLOWED

      The current operation is not allowed at this time. Args: (1) String describing the operation and reason for the error.
      See Also:
        Constant Field Values

    - #### RT_ERR_ExceptionAlreadyInstalled

          public static final int RT_ERR_ExceptionAlreadyInstalled

      Ensure block already installed in the current frame.
      See Also:
        Constant Field Values

    - #### RT_ERR_NATIVE_CODE

          public static final int RT_ERR_NATIVE_CODE

      Error in native code generator: native code execution disabled for remainder of session. Args: (1) string.
      See Also:
        Constant Field Values

    - #### RT_ERR_NO_BREAK_IN_NATIVE

          public static final int RT_ERR_NO_BREAK_IN_NATIVE

      Breakpoints and single-step not supported in native code.
      See Also:
        Constant Field Values

    - #### RT_ERR_DYNAMIC_IV_STORE_DEPENCENCY

          public static final int RT_ERR_DYNAMIC_IV_STORE_DEPENCENCY

      Cannot add or store to a Ruby dynamic instVar in an object with a dependency tag.
      See Also:
        Constant Field Values

    - #### RT_ERR_DYNAMIC_IV_STORE

          public static final int RT_ERR_DYNAMIC_IV_STORE

      Error storing a dynamic instVar. Args: (1) reason (a String).
      See Also:
        Constant Field Values

    - #### GS_ERR_VM_OUT_OF_GSSCOPES

          public static final int GS_ERR_VM_OUT_OF_GSSCOPES

      VM ran out of GsScopes memory. Args: (1) reason (a string).
      See Also:
        Constant Field Values

    - #### RT_ERR_NOTIFICATION

          public static final int RT_ERR_NOTIFICATION

      Default error number for an instance of Notification.
      See Also:
        Constant Field Values

    - #### RT_ERR_NAT_STACK_NOT_CONVERTABLE

          public static final int RT_ERR_NAT_STACK_NOT_CONVERTABLE

      Cannot convert native stack to portable stack.
      See Also:
        Constant Field Values

    - #### GCI_ERR_ACTION_DEFINED

          public static final int GCI_ERR_ACTION_DEFINED

      This user action is already defined for this application. The user action name is appended to the error text. This error is for GS/64 v3.0 and later, where it is no longer a fatal error. See GCI_ERR_ACTION_DEFINED_FATAL for earlier error.
      See Also:
        Constant Field Values

    - #### RT_ERR_RC_UPDATE_DISALLOWED

          public static final int RT_ERR_RC_UPDATE_DISALLOWED

      An attempt was made to update an RC object in a continued transaction. The transaction must abort.
      See Also:
        Constant Field Values

    - #### RT_ERR_GET_GC_LOCK_FAILED

          public static final int RT_ERR_GET_GC_LOCK_FAILED

      An operation that needs to acquire the gcLock was not able to get the lock within a reasonable amount of time. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_STACK_LIMIT_RED

          public static final int RT_ERR_STACK_LIMIT_RED

      GemStone Smalltalk execution stack overflow, in red zone page. Not Trappable in Gemstone Smalltalk.
      See Also:
        Constant Field Values

    - #### RT_ERR_LARGE_INT_OVERFLOW

          public static final int RT_ERR_LARGE_INT_OVERFLOW

      An Integer would exceed 130144 bits.
      See Also:
        Constant Field Values

    - #### ERR_RUBY_PRINTF_ERROR

          public static final int ERR_RUBY_PRINTF_ERROR

      Error in Ruby printf. Args: (1) aString.
      See Also:
        Constant Field Values

    - #### ERR_RUBY_BAD_INSTVAR_NAME

          public static final int ERR_RUBY_BAD_INSTVAR_NAME

      Error in Ruby instvar name.
      See Also:
        Constant Field Values

    - #### ERR_RangeError

          public static final int ERR_RangeError

      See Also:
        Constant Field Values

    - #### ERR_MEMORY_REGION_FULL

          public static final int ERR_MEMORY_REGION_FULL

      a Memory region managed by the VM is full. Args: (1) reason.
      See Also:
        Constant Field Values

    - #### RT_ERR_ARG_NOT_POWER_OF_TWO

          public static final int RT_ERR_ARG_NOT_POWER_OF_TWO

      The value was expected to be a power of 2. Args: (1) the value.
      See Also:
        Constant Field Values

    - #### RT_ERR_PASSWORD_MISSING_CHAR

          public static final int RT_ERR_PASSWORD_MISSING_CHAR

      The password must contain at least one character of specified type. Args: (1) missing type (aSymbol).
      See Also:
        Constant Field Values

    - #### ERR_DURING_MT_OPERATION

          public static final int ERR_DURING_MT_OPERATION

      An error occurred during a multi-threaded operation. Args: (1) string describing the error.
      See Also:
        Constant Field Values

    - #### WARNING_FINISHED_MFC

          public static final int WARNING_FINISHED_MFC

      Completed execution of the markForCollection method. Args: (1) (long) number of live objects; (2) (long) number of dead objs; (3) (long) number of bytes occupied by dead objects.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_AUTH_SCHEME_ID

          public static final int RT_ERR_INVALID_AUTH_SCHEME_ID

      The authentication scheme id is invalid. Args: (1) authId.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_AUTH_SCHEME_SYMBOL

          public static final int RT_ERR_INVALID_AUTH_SCHEME_SYMBOL

      The authentication scheme symbol is invalid. Args: (1) authSymbol.
      See Also:
        Constant Field Values

    - #### RT_ERR_INVALID_UNIX_USER_ID

          public static final int RT_ERR_INVALID_UNIX_USER_ID

      The specified UNIX user ID is invalid. Args: (1) unixUid.
      See Also:
        Constant Field Values

    - #### RT_ERR_ILLEGAL_AUTH_SCHEME_CHANGE

          public static final int RT_ERR_ILLEGAL_AUTH_SCHEME_CHANGE

      Illegal attempt to modify authentication scheme of a special UserProfile. Args: (1) aUserProfile.
      See Also:
        Constant Field Values

    - #### RT_ERR_AUTH_ILLEGAL_OPERATION

          public static final int RT_ERR_AUTH_ILLEGAL_OPERATION

      An operation for a UserProfile was attempted which is disallowed under the current authentication scheme. Args: (1) aUserProfile; (2) authScheme.
      See Also:
        Constant Field Values

    - #### RT_ERR_AUTH_ILLEGAL_PASSWD_CHANGE

          public static final int RT_ERR_AUTH_ILLEGAL_PASSWD_CHANGE

      An attempt was made to change the password of a UserProfile which is not using GemStone athentication. Args: (1) aUserProfile.
      See Also:
        Constant Field Values

    - #### RT_ERR_ILLEGAL_PASSWORD_EXPIRATION

          public static final int RT_ERR_ILLEGAL_PASSWORD_EXPIRATION

      An attempt was made enable password expiration for a special UserProfile.
      See Also:
        Constant Field Values

    - #### RT_ERR_ILLEGAL_DN

          public static final int RT_ERR_ILLEGAL_DN

      The string is not a valid distinguished name or does not contain the %s pattern.
      See Also:
        Constant Field Values

    - #### ERR_ClientForwarderSend

          public static final int ERR_ClientForwarderSend

      See Also:
        Constant Field Values

    - #### ERR_CompileError

          public static final int ERR_CompileError

      See Also:
        Constant Field Values

    - #### ERR_MessageNotUnderstood

          public static final int ERR_MessageNotUnderstood

      See Also:
        Constant Field Values

    - #### ERR_TerminateProcess

          public static final int ERR_TerminateProcess

      See Also:
        Constant Field Values

    - #### ERR_AbstractException

          public static final int ERR_AbstractException

      See Also:
        Constant Field Values

    - #### ERR_Exception

          public static final int ERR_Exception

      See Also:
        Constant Field Values

    - #### ERR_RubyBreakException

          public static final int ERR_RubyBreakException

      See Also:
        Constant Field Values

    - #### ERR_RubyThrowException

          public static final int ERR_RubyThrowException

      See Also:
        Constant Field Values

    - #### ERR_ControlInterrupt

          public static final int ERR_ControlInterrupt

      See Also:
        Constant Field Values

    - #### ERR_Break

          public static final int ERR_Break

      See Also:
        Constant Field Values

    - #### ERR_Breakpoint

          public static final int ERR_Breakpoint

      See Also:
        Constant Field Values

    - #### ERR_Halt

          public static final int ERR_Halt

      See Also:
        Constant Field Values

    - #### ERR_Error

          public static final int ERR_Error

      See Also:
        Constant Field Values

    - #### ERR_InterSessionSignal

          public static final int ERR_InterSessionSignal

      See Also:
        Constant Field Values

    - #### ERR_EndOfStream

          public static final int ERR_EndOfStream

      See Also:
        Constant Field Values

    - #### ERR_ExternalError

          public static final int ERR_ExternalError

      See Also:
        Constant Field Values

    - #### ERR_IOError

          public static final int ERR_IOError

      See Also:
        Constant Field Values

    - #### ERR_SocketError

          public static final int ERR_SocketError

      See Also:
        Constant Field Values

    - #### ERR_SystemCallError

          public static final int ERR_SystemCallError

      See Also:
        Constant Field Values

    - #### ERR_ImproperOperation

          public static final int ERR_ImproperOperation

      See Also:
        Constant Field Values

    - #### ERR_ArgumentError

          public static final int ERR_ArgumentError

      See Also:
        Constant Field Values

    - #### ERR_ArgumentTypeError

          public static final int ERR_ArgumentTypeError

      See Also:
        Constant Field Values

    - #### ERR_CannotReturn

          public static final int ERR_CannotReturn

      See Also:
        Constant Field Values

    - #### ERR_LookupError

          public static final int ERR_LookupError

      See Also:
        Constant Field Values

    - #### ERR_OffsetError

          public static final int ERR_OffsetError

      See Also:
        Constant Field Values

    - #### ERR_OutOfRange

          public static final int ERR_OutOfRange

      See Also:
        Constant Field Values

    - #### ERR_FloatingPointError

          public static final int ERR_FloatingPointError

      See Also:
        Constant Field Values

    - #### ERR_RegexpError

          public static final int ERR_RegexpError

      See Also:
        Constant Field Values

    - #### ERR_IndexingErrorPreventingCommit

          public static final int ERR_IndexingErrorPreventingCommit

      See Also:
        Constant Field Values

    - #### ERR_InternalError

          public static final int ERR_InternalError

      See Also:
        Constant Field Values

    - #### ERR_GciTransportError

          public static final int ERR_GciTransportError

      See Also:
        Constant Field Values

    - #### ERR_LockError

          public static final int ERR_LockError

      See Also:
        Constant Field Values

    - #### ERR_NameError

          public static final int ERR_NameError

      See Also:
        Constant Field Values

    - #### ERR_Warning

          public static final int ERR_Warning

      See Also:
        Constant Field Values

    - #### ERR_NumericError

          public static final int ERR_NumericError

      See Also:
        Constant Field Values

    - #### ERR_ZeroDivide

          public static final int ERR_ZeroDivide

      See Also:
        Constant Field Values

    - #### ERR_RepositoryError

          public static final int ERR_RepositoryError

      See Also:
        Constant Field Values

    - #### ERR_SecurityError

          public static final int ERR_SecurityError

      See Also:
        Constant Field Values

    - #### ERR_SignalBufferFull

          public static final int ERR_SignalBufferFull

      See Also:
        Constant Field Values

    - #### ERR_ThreadError

          public static final int ERR_ThreadError

      See Also:
        Constant Field Values

    - #### ERR_TransactionError

          public static final int ERR_TransactionError

      See Also:
        Constant Field Values

    - #### ERR_UncontinuableError

          public static final int ERR_UncontinuableError

      See Also:
        Constant Field Values

    - #### ERR_UserDefinedError

          public static final int ERR_UserDefinedError

      See Also:
        Constant Field Values

    - #### ERR_Notification

          public static final int ERR_Notification

      See Also:
        Constant Field Values

    - #### ERR_Admonition

          public static final int ERR_Admonition

      See Also:
        Constant Field Values

    - #### ERR_AlmostOutOfStack

          public static final int ERR_AlmostOutOfStack

      See Also:
        Constant Field Values

    - #### ERR_AlmostOutOfMemory

          public static final int ERR_AlmostOutOfMemory

      See Also:
        Constant Field Values

    - #### ERR_RepositoryViewLost

          public static final int ERR_RepositoryViewLost

      See Also:
        Constant Field Values

    - #### ERR_Deprecated

          public static final int ERR_Deprecated

      See Also:
        Constant Field Values

    - #### ERR_FloatingPointException

          public static final int ERR_FloatingPointException

      See Also:
        Constant Field Values

    - #### ERR_ObjectsCommittedNotification

          public static final int ERR_ObjectsCommittedNotification

      See Also:
        Constant Field Values

    - #### ERR_TransactionBacklog

          public static final int ERR_TransactionBacklog

      See Also:
        Constant Field Values

    - #### ERR_TestFailure

          public static final int ERR_TestFailure

      See Also:
        Constant Field Values

    - #### ERR_RUBY_SystemExitError

          public static final int ERR_RUBY_SystemExitError

      See Also:
        Constant Field Values

    - #### LAST_ANSI_ERROR_NUM

          public static final int LAST_ANSI_ERROR_NUM

      See Also:
        Constant Field Values

    - #### RT_ERR_ABORT_TRANS

          public static final int RT_ERR_ABORT_TRANS

      The transaction was aborted by the user. Only used within GCI internals implementation. Not generated by a user level abort. Args: none.
      See Also:
        Constant Field Values

    - #### ABORT_ERR_GARBAGE_COLLECTION

          public static final int ABORT_ERR_GARBAGE_COLLECTION

      The garbage collection process detected conflict on one of the objects that it might have collected. The operation was aborted and should be tried again later. Args: (1) reason (aString); (2) conflict code (smallInt or nil).
      See Also:
        Constant Field Values

    - #### ABORT_ERR_UNDEF_POM_OBJ

          public static final int ABORT_ERR_UNDEF_POM_OBJ

      References to objects exist in Pom even though the objects have not been defined in Pom. The current transaction is aborted. Args: (1) one of the objects that wasn't defined in Pom.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_RESTORE_SUCCESSFUL

          public static final int BKUP_ERR_RESTORE_SUCCESSFUL

      The restore of a full backup file was successful. Args: (1) (long) number of objects restored; (2) (long) number of corrupt objects not restored; (3) (string) restore status.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_BACKUP_NOT_COMPLETE

          public static final int BKUP_ERR_BACKUP_NOT_COMPLETE

      The backup was successful, but was not completed due to a byte limit restriction. A partial backup file was created. Args: (1) (long) number of objects written to the file; (2) (long) number of bytes written to the file.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_RESTORE_LOG_SUCCESS

          public static final int BKUP_ERR_RESTORE_LOG_SUCCESS

      A restore from a transaction log succeeded.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_RESTORE_LOG_FAIL

          public static final int BKUP_ERR_RESTORE_LOG_FAIL

      A restore from a transaction log failed. Args: (1) (string) reason.
      See Also:
        Constant Field Values

    - #### BKUP_ERR_RESTORE_COMMIT_FAILED

          public static final int BKUP_ERR_RESTORE_COMMIT_FAILED

      Commit failed after restore, restore is unusable. Args: (1) reason (a string).
      See Also:
        Constant Field Values

    - #### ABORT_ERR_FINISHED_MARK

          public static final int ABORT_ERR_FINISHED_MARK

      Completed execution of the markForCollection method. Args: (1) (long) number of live objects; (2) (long) number of dead objs; (3) (long) number of bytes occupied by dead objects.
      See Also:
        Constant Field Values

    - #### ABORT_ERR_FINISHED_OBJ_AUDIT

          public static final int ABORT_ERR_FINISHED_OBJ_AUDIT

      Object audit completed. Args: (1) number of objects containing errors. This error is not trappable from GemStone Smalltalk.
      See Also:
        Constant Field Values

    - #### ABORT_ERR_LOST_OT_ROOT

          public static final int ABORT_ERR_LOST_OT_ROOT

      This error indicates that while running outside of a transaction stone requested the gem process to abort but the gem did not respond in the allocated time, so stone revoked access to the object table. Args: none.
      See Also:
        Constant Field Values

    - #### ABORT_ERR_FINISHED_OBJ_AUDIT_WITH_ERRORS

          public static final int ABORT_ERR_FINISHED_OBJ_AUDIT_WITH_ERRORS

      Object audit completed, but contained errors. Args: (1) number of objects containing errors. This error is not trappable from GemStone Smalltalk.
      See Also:
        Constant Field Values

    - #### ABORT_ERR_RECLAIM_ALL_FAILURE

          public static final int ABORT_ERR_RECLAIM_ALL_FAILURE

      A reclaimAll operation has failed. Generated by quick object audit if possible dead object finalization is in progress when the quick object audit is started.
      See Also:
        Constant Field Values

    - #### GS_ERR_BAD_ROOT_PAGE

          public static final int GS_ERR_BAD_ROOT_PAGE

      The root page of the repository is bad. A disk access of the root page encountered a disk read error, or found corrupted data. Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_REPOS_FULL

          public static final int REP_ERR_REPOS_FULL

      The logical repository is full. If space needs originated from Gem session actions, only the requesting Gem is killed; if space needs originated from Stone monitor processing, Stone shuts down, killing any live Gem sessions.
      See Also:
        Constant Field Values

    - #### REP_ERR_NO_FREE_PAGES

          public static final int REP_ERR_NO_FREE_PAGES

      Stone was unable to find any free pages after growing the repository. Args: (1) the repository.
      See Also:
        Constant Field Values

    - #### HOST_FATAL_ERR_OUT_OF_MEM

          public static final int HOST_FATAL_ERR_OUT_OF_MEM

      Malloc failed in such a way that execution cannot continue. The customer needs more swap space and/or more primary memory. Args: (1) string describing where in GemStone the error happened.
      See Also:
        Constant Field Values

    - #### ERR_CORRUPT_OBJ_SIZE

          public static final int ERR_CORRUPT_OBJ_SIZE

      The size of an object (usually a reserved object) in the database is not the size expected by the virtual machine. Args: (1) object; (2) actual size; (3) expected size. Note: you may be able to bypass this error by logging in as SystemUser and then repair the dbf with GemStone Smalltalk.
      See Also:
        Constant Field Values

    - #### REP_ERR_BAD_DBF_SWIZZLE

          public static final int REP_ERR_BAD_DBF_SWIZZLE

      An invalid swizzle transform was detected in a database extent. Args: (1) longTransform; (2) shortTransform.
      See Also:
        Constant Field Values

    - #### GCI_ERR_ACTION_DEFINED_FATAL

          public static final int GCI_ERR_ACTION_DEFINED_FATAL

      This user action is already defined for this application. The user action name is appended to the error text. This version applies for GS/S 32-bit and GS/64 1.X and 2.X. See GCI_ERR_ACTION_DEFINED for GS/64 3.X and later version.
      See Also:
        Constant Field Values

    - #### ERR_USER_PROFILE_LOST

          public static final int ERR_USER_PROFILE_LOST

      The user profile object for this session has been garbage collected as a result of a restore operation, or by a commit from another session. No args.
      See Also:
        Constant Field Values

    - #### GS_ERR_SHRPC_CONNECTION_FAILURE

          public static final int GS_ERR_SHRPC_CONNECTION_FAILURE

      The process detected a connection failure from the SharedPageCache monitor. Args: (1) the error text.
      See Also:
        Constant Field Values

    - #### GS_ERR_SHRPC_UNEXPECTED_NET_EVENT

          public static final int GS_ERR_SHRPC_UNEXPECTED_NET_EVENT

      The process detected an unexpected read or write event from the SharedPageCache monitor. Args: (1) True indicates read operation, false is write.
      See Also:
        Constant Field Values

    - #### GS_ERR_SHRPC_INVALID_CONFIG

          public static final int GS_ERR_SHRPC_INVALID_CONFIG

      The process tried to login to a Stone with the config file specifying that the SharedPageCache should NOT be used when the Stone already has a SharedPageCache active on the host machine.
      See Also:
        Constant Field Values

    - #### GS_ERR_STOP_GC_GEM

          public static final int GS_ERR_STOP_GC_GEM

      The GcGem process received a signal that forces a shutdown.
      See Also:
        Constant Field Values

    - #### GS_ERR_REMOVE_FROM_CACHES

          public static final int GS_ERR_REMOVE_FROM_CACHES

      A page owned by a Gem could not be removed from a remote cache. after 50 seconds of retries.
      See Also:
        Constant Field Values

    - #### ERR_DURING_LOST_OT_SERVICE

          public static final int ERR_DURING_LOST_OT_SERVICE

      An error occurred during servicing of error 3031. Args: (1) The number of errors found in the global error descriptors; (2) Error number for ErrorDescriptor[0]; (3) Error number for ErrorDescriptor[1]; (4) Error number for ErrorDescriptor[2].
      See Also:
        Constant Field Values

    - #### ERR_CANT_OPEN_TRAN_LOG

          public static final int ERR_CANT_OPEN_TRAN_LOG

      Unable to open the next transaction log for writing. File open failure message giving name of log will preceed this error in the message log.
      See Also:
        Constant Field Values

    - #### GS_ERR_GEM_STONE_NET_PROTOCOL

          public static final int GS_ERR_GEM_STONE_NET_PROTOCOL

      A protocol error occurred on the Gem-Stone network connection. Args: (1) internal failure code (see GscNetErrEType in session.ht).
      See Also:
        Constant Field Values

    - #### GS_ERR_STN_NET_LOST

          public static final int GS_ERR_STN_NET_LOST

      An end of file was received over the Gem-Stone network, indicating that the network is being shut down. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_COPY_PROTECTION

          public static final int GS_ERR_COPY_PROTECTION

      Copy protection check failed. Contact your customer representative. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_NO_CAPABILITY

          public static final int GS_ERR_NO_CAPABILITY

      You attempted to use a feature not licensed to you. Contact your customer representative. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_DISCONNECT_IN_LOGIN

          public static final int GS_ERR_DISCONNECT_IN_LOGIN

      Stone disconnected during an attempt to login, probably because logins are disabled or max users are already logged in.
      See Also:
        Constant Field Values

    - #### GS_ERR_MAX_SESSIONS_LIMIT

          public static final int GS_ERR_MAX_SESSIONS_LIMIT

      Login failed because the system was full. Args: none. OR Login attempt failed - the maximum number of sessions are already logged in. Args: none.
      See Also:
        Constant Field Values

    - #### LGC_ERR_INCOMPAT_GCI

          public static final int LGC_ERR_INCOMPAT_GCI

      The version of the GCI is not compatible with the version of the Gem. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_GCI_SESSIONS_LIMIT

          public static final int GS_ERR_GCI_SESSIONS_LIMIT

      Login failed because the session limit of the GCI has been reached.
      See Also:
        Constant Field Values

    - #### HOST_ERR_CANT_SPAWN

          public static final int HOST_ERR_CANT_SPAWN

      HostFork() attempted to spawn a Gem but was unable to do so. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_BAD_GEM_STONE_VERSION

          public static final int GS_ERR_BAD_GEM_STONE_VERSION

      The Gem and Stone versions are incompatible. Args: (1) the Gem version; (2) the Stone version.
      See Also:
        Constant Field Values

    - #### GS_ERR_BAD_GEM_DBF_VERSION

          public static final int GS_ERR_BAD_GEM_DBF_VERSION

      The Gem and dbf versions are incompatible. Args: (1) the Gem version; (2) the dbf version.
      See Also:
        Constant Field Values

    - #### GS_ERR_ACTIVE_USER_LIMIT

          public static final int GS_ERR_ACTIVE_USER_LIMIT

      Too many sessions already logged in with given userId. Args: (1) the userId.
      See Also:
        Constant Field Values

    - #### GS_ERR_LOGIN_DENIAL

          public static final int GS_ERR_LOGIN_DENIAL

      The login failed because of an invalid userId/password combination, or an expired password. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_LOGINS_DISABLED

          public static final int GS_ERR_LOGINS_DISABLED

      The login failed because all logins are currently disabled. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_STN_SHUTDOWN

          public static final int GS_ERR_STN_SHUTDOWN

      Stone is shutting down. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_SESSION_SHUTDOWN

          public static final int GS_ERR_SESSION_SHUTDOWN

      The Data Curator is shutting down this session. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_GEM_NORMAL_SHUTDOWN

          public static final int GS_ERR_GEM_NORMAL_SHUTDOWN

      Gem is shutting down normally Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_GEM_FATAL_SHUTDOWN

          public static final int GS_ERR_GEM_FATAL_SHUTDOWN

      Gem did not shut down normally. Args: none.
      See Also:
        Constant Field Values

    - #### GS_ERR_NO_MORE_OOPS

          public static final int GS_ERR_NO_MORE_OOPS

      The GemStone system ran out of oops. Args: none.
      See Also:
        Constant Field Values

    - #### NET_ERR_NO_SUCH_STN

          public static final int NET_ERR_NO_SUCH_STN

      The given GemStone does not exist. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_BAD_SESSION_ID

          public static final int GCI_ERR_BAD_SESSION_ID

      The GCI was called with a SessionId that is not a legal VCID. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_UNEXPECTED_LNK_ERR

          public static final int GCI_ERR_UNEXPECTED_LNK_ERR

      An active linkable GCI session received an unexpected error during processing a GCI call to another RPC session. Both the linkable session and the current RPC session were killed. Args: none.
      See Also:
        Constant Field Values

    - #### GCI_ERR_FATAL_INTERNAL_RPC

          public static final int GCI_ERR_FATAL_INTERNAL_RPC

      An internal logic error was detected in the implementation of an RPC GCI call. Args: none.
      See Also:
        Constant Field Values

    - #### FATAL_ERR_INTERNAL

          public static final int FATAL_ERR_INTERNAL

      SYSTEM ERROR: A system fatal error was detected. Args: (1) the system error number; (2..n) error-specific arguments.
      See Also:
        Constant Field Values

    - #### NET_ERR_CONNECTION_REFUSED

          public static final int NET_ERR_CONNECTION_REFUSED

      The connection was refused - check the name of STONE. System error text is appended to message.
      See Also:
        Constant Field Values

    - #### NET_ERR

          public static final int NET_ERR

      An undefined network error. System error text is appended to message.
      See Also:
        Constant Field Values

    - #### REP_ERR_SYSTEM_REP_NOT_ATTACHED

          public static final int REP_ERR_SYSTEM_REP_NOT_ATTACHED

      The system repository could not be attached. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SHR_PC_NOT_ATTACHED

          public static final int RT_ERR_SHR_PC_NOT_ATTACHED

      The config file specified that a shared cache was to be used, but the cache could not be attached. Args: none.
      See Also:
        Constant Field Values

    - #### AUTH_ERR_SEG_LOGIN_SEG

          public static final int AUTH_ERR_SEG_LOGIN_SEG

      No authorization to write in your default login segment. Args: (1) the oop of the bad segment.
      See Also:
        Constant Field Values

    - #### RT_ERR_PGSVR_CREATION

          public static final int RT_ERR_PGSVR_CREATION

      Problem encountered in creating a pageserver. Args: (1) reason returned from the create call.
      See Also:
        Constant Field Values

    - #### REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_STONE

          public static final int REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_STONE

      The system repository could not be attached because the stone could not be found. Args: (1) stone name; (2) reason.
      See Also:
        Constant Field Values

    - #### REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_EXTENT

          public static final int REP_ERR_SYSTEM_REP_NOT_ATTACHED_NO_EXTENT

      The system repository could not be attached because the extent could not be mounted. Args: (1) extent id; (2) reason.
      See Also:
        Constant Field Values

    - #### REP_ERR_SYSTEM_REP_NOT_ATTACHED_BAD_PID

          public static final int REP_ERR_SYSTEM_REP_NOT_ATTACHED_BAD_PID

      The system repository could not be attached because the pid in the repos did not match stone pid. Args: none.
      See Also:
        Constant Field Values

    - #### REP_ERR_SYSTEM_REP_NOT_ATTACHED_INCOMPATIBLE

          public static final int REP_ERR_SYSTEM_REP_NOT_ATTACHED_INCOMPATIBLE

      The system repository could not be attached because extent is not compatible with primary extent. Args: (1) extent name; (2) extent id.
      See Also:
        Constant Field Values

    - #### RT_ERR_GET_NET_PEER

          public static final int RT_ERR_GET_NET_PEER

      Stone could not get gem's network address. Args: (1) reason returned from the get peer call.
      See Also:
        Constant Field Values

    - #### GS_ERR_REMOTE_GEMS_DISALLOWED

          public static final int GS_ERR_REMOTE_GEMS_DISALLOWED

      GemStone/S Limited Edition does not allow remote sessions.
      See Also:
        Constant Field Values

    - #### GS_ERR_NO_FREE_FRAMES

          public static final int GS_ERR_NO_FREE_FRAMES

      No free frames available from the shared page cache.
      See Also:
        Constant Field Values

    - #### ERR_LGC_NET_SHUTDOWN

          public static final int ERR_LGC_NET_SHUTDOWN

      connection to remote GCI client lost.
      See Also:
        Constant Field Values

    - #### GS_ERR_MAX_REMOTE_CACHE_LIMIT

          public static final int GS_ERR_MAX_REMOTE_CACHE_LIMIT

      Login attempt failed - the maximum number of remote caches already exist.
      See Also:
        Constant Field Values

    - #### RT_ERR_PAUSE

          public static final int RT_ERR_PAUSE

      Execution has been halted by an Object|pause message.
      See Also:
        Constant Field Values

    - #### RT_ERR_STEP

          public static final int RT_ERR_STEP

      You have encountered a single-step breakpoint. Args: (1) code object in which the breakpoint existed; (2) instruction offset from first named instVar in code object.
      See Also:
        Constant Field Values

    - #### RT_ERR_SOFT_BREAK

          public static final int RT_ERR_SOFT_BREAK

      A soft break was received. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_HARD_BREAK

          public static final int RT_ERR_HARD_BREAK

      A hard break was received. If this occurs during markForCollection, fullBackupTo:, restoreFromBackup(s): objectAudit, auditWithLimit:, repairWithLimit: or pagesWithPercentFree, the error is fatal. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_CODE_BREAKPOINT

          public static final int RT_ERR_CODE_BREAKPOINT

      You have encountered a method breakpoint. Args: (1) code object in which the breakpoint existed; (2) instruction offset from first named instVar in code object.
      See Also:
        Constant Field Values

    - #### RT_ERR_STACK_BREAKPOINT

          public static final int RT_ERR_STACK_BREAKPOINT

      A return from block has encountered a stack breakpoint. The stack breakpoint has been cleared and the return has been executed. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_COMMIT_ABORT_PENDING

          public static final int RT_ERR_COMMIT_ABORT_PENDING

      The transaction is about to be committed or aborted. (A GciContinue from the point of the error will complete the commit or abort.) Only generated if GciDirtyObjsInit has been called. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SIGNAL_COMMIT

          public static final int RT_ERR_SIGNAL_COMMIT

      This error indicates that a member of the notifySet has been committed and was added to the signaledObjects set. This error is only generated if the user has executed the enableNotifyError method. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SIGNAL_ABORT

          public static final int RT_ERR_SIGNAL_ABORT

      This error indicates that while running outside of a transaction stone requested the gem process to abort. This error is only generated if the user has executed the enableSignalAbortError method. Args: none.
      See Also:
        Constant Field Values

    - #### RT_ERR_SIGNAL_GEMSTONE_SESSION

          public static final int RT_ERR_SIGNAL_GEMSTONE_SESSION

      This error indicates that the session received a signal from another GemStone session. The arguments are the contents of the message sent with the signal. Args: (1) the serialNumber of the session that sent the signal; (2) the signal value (a smallInt); (3) a messageString.
      See Also:
        Constant Field Values

    - #### RT_ERR_UNCONTINUABLE_ERROR

          public static final int RT_ERR_UNCONTINUABLE_ERROR

      An attempt was made to continue execution past an uncontinuable error.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GbjGemStoneErrors

          public GbjGemStoneErrors()